# #!/usr/bin/env python
# -*- coding: utf-8 -*-
# ------------------------------------------------------------------------------
# File   : fwtextid.py
#
# Copyright(c) 2023-2025 Farzad Safa (farzad.safa@xcofdk.de)
# This software is distributed under the MIT License (http://opensource.org/licenses/MIT).
# ------------------------------------------------------------------------------

from enum import auto
from enum import Enum
from enum import unique

@unique
class _EFwTextID(Enum):
    eInvalidText = 0

    eMisc_TE                                    = auto()
    eMisc_FTE                                   = auto()
    eMisc_Main                                  = auto()
    eMisc_Name                                  = auto()
    eMisc_Task                                  = auto()
    eMisc_User                                  = auto()
    eMisc_Async                                 = auto()
    eMisc_Fatal                                 = auto()
    eMisc_Tasks                                 = auto()
    eMisc_Value                                 = auto()
    eMisc_Thread                                = auto()
    eMisc_Detached                              = auto()
    eMisc_Processes                             = auto()
    eMisc_TNPrefix_DTask                        = auto()
    eMisc_TNPrefix_DThread                      = auto()
    eMisc_TNPrefix_RCTask                       = auto()
    eMisc_TNPrefix_CRCTask                      = auto()
    eMisc_TNPrefix_XTask                        = auto()
    eMisc_TNPrefix_CXTask                       = auto()
    eMisc_TNPrefix_Process                      = auto()
    eMisc_TNPrefix_Runnable                     = auto()
    eMisc_ShutdownCoordinatorName_MR            = auto()
    eMisc_ShutdownCoordinatorName_LcG           = auto()
    eMisc_LcResultFailed                        = auto()
    eMisc_LcResultSuccess                       = auto()
    eMisc_VLogIF_VanillaLogPrefix               = auto()
    eMisc_VLogIF_AutoGeneratedUserError         = auto()
    eMisc_VLogIF_AutoGeneratedFatalError        = auto()
    eMisc_XML_RUNNER_XCP_MSG_DuplicateWriter    = auto()
    eMisc_LogLevel_Error                        = auto()
    eMisc_LogLevel_Info                         = auto()
    eMisc_PyParserArgAction_Store               = auto()
    eMisc_PyParserArgAction_StoreTrue           = auto()
    eMisc_PyParserArgAction_StoreFalse          = auto()
    eMisc_PyModuleName_DateTime                 = auto()
    eMisc_QueueType_Internal                    = auto()
    eMisc_QueueType_External                    = auto()

    eMisc_LogPrefix_ExecCounter                 = auto()
    eMisc_LogPrefix_Task                        = auto()
    eMisc_LogPrefix_Thread                      = auto()
    eMisc_LogPrefix_Runnable                    = auto()

    eMisc_Shared_FmtStr_001                     = auto()
    eMisc_Shared_FmtStr_002                     = auto()
    eMisc_Shared_FmtStr_003                     = auto()
    eMisc_Shared_FmtStr_004                     = auto()
    eMisc_Shared_FmtStr_005                     = auto()
    eMisc_Shared_FmtStr_006                     = auto()
    eMisc_Shared_FmtStr_007                     = auto()
    eMisc_Shared_FmtStr_008                     = auto()
    eMisc_Shared_FmtStr_009                     = auto()
    eMisc_Shared_FmtStr_010                     = auto()
    eMisc_Shared_FmtStr_011                     = auto()
    eMisc_Shared_FmtStr_012                     = auto()
    eMisc_Shared_FmtStr_013                     = auto()
    eMisc_Shared_FmtStr_014                     = auto()
    eMisc_Shared_FmtStr_015                     = auto()
    eMisc_Shared_FmtStr_016                     = auto()
    eMisc_Shared_FmtStr_017                     = auto()
    eMisc_Shared_FmtStr_018                     = auto()
    eMisc_Shared_FmtStr_019                     = auto()
    eMisc_Shared_FmtStr_020                     = auto()
    eMisc_Shared_FmtStr_021                     = auto()
    eMisc_Shared_FmtStr_022                     = auto()
    eMisc_Shared_FmtStr_023                     = auto()
    eMisc_Shared_FmtStr_024                     = auto()
    eMisc_Shared_FmtStr_025                     = auto()
    eMisc_Shared_FmtStr_026                     = auto()
    eMisc_Shared_FmtStr_027                     = auto()
    eMisc_Shared_FmtStr_029                     = auto()
    eMisc_Shared_FmtStr_030                     = auto()
    eMisc_Shared_FmtStr_031                     = auto()
    eMisc_Shared_NewlineTab                     = auto()
    eMisc_Shared_ApiGuide_ApiMask               = auto()
    eMisc_Shared_ApiGuide_ExcludedApiMask       = auto()
    eMisc_Shared_Builtin_FuncName_Call          = auto()
    eMisc_Shared_Name_Srv                       = auto()
    eMisc_Shared_Name_Main                      = auto()
    eMisc_Shared_Name_XTask                     = auto()
    eMisc_Shared_Name_MainXTask                 = auto()
    eMisc_Shared_Name_UThread                   = auto()
    eMisc_Shared_Logging_001                    = auto()
    eMisc_Shared_Logging_002                    = auto()
    eMisc_Shared_Logging_003                    = auto()
    eMisc_Shared_Disabled_Subsys_MP             = auto()
    eMisc_Shared_Disabled_Subsys_Msg            = auto()
    eMisc_Shared_KeyboardInterrupt              = auto()
    eMisc_Shared_BAD_XCMD_RETURN_TYPE           = auto()

    ePreDefinedMethod_XRNumber                      = auto()
    ePreDefinedMethod_TaskError                     = auto()
    ePreDefinedMethod_TaskBadge                     = auto()
    ePreDefinedMethod_IsXcoBaseException            = auto()
    ePreDefinedMethod_CleanedUp                     = auto()
    ePreDefinedMethod_IsEqual                       = auto()
    ePreDefinedMethod_CleanUp                       = auto()
    ePreDefinedMethod_ToString                      = auto()
    ePreDefinedMethod_CleanUpByOwnerRequest         = auto()

    eELogLevel_Fatal                            = auto()
    eELogLevel_Error                            = auto()
    eELogLevel_Warning                          = auto()
    eELogLevel_KPI                              = auto()
    eELogLevel_Info                             = auto()
    eELogLevel_Debug                            = auto()
    eELogLevel_Trace                            = auto()

    eELogType_TRC                               = auto()
    eELogType_DBG                               = auto()
    eELogType_INF                               = auto()
    eELogType_KPI                               = auto()
    eELogType_WNG                               = auto()
    eELogType_ERR                               = auto()
    eELogType_ERR_NOT_SYET                      = auto()
    eELogType_FTL                               = auto()
    eELogType_FTL_BAD_USE                       = auto()
    eELogType_FTL_IMPL_ERR                      = auto()
    eELogType_FTL_NOT_IYET                      = auto()
    eELogType_FTL_SYS_OP_ERR                    = auto()
    eELogType_FTL_SYS_OP_XCP                    = auto()
    eELogType_FTL_NESTED_ERR                    = auto()

    eELcCompID_LcMgr                            = auto()
    eELcCompID_TMgr                             = auto()
    eELcCompID_FwSrv                            = auto()
    eELcCompID_XTask                            = auto()
    eELcCompID_MiscComp                         = auto()
    eELcCompID_LcDMgr                           = auto()
    eELcCompID_LcPxy                            = auto()
    eELcCompID_FwMain                           = auto()
    eELcCompID_FwDspr                           = auto()
    eELcCompID_ProcMgr                          = auto()
    eELcCompID_TmrMgr                           = auto()
    eELcCompID_MainXTask                        = auto()
    eELcCompID_FwRbl                            = auto()
    eELcCompID_UserRbl                          = auto()
    eELcCompID_UTRbl                            = auto()
    eELcCompID_FwThrd                           = auto()
    eELcCompID_UserThrd                         = auto()

    eLcStateImpl_ELcStateTransReq_LcFailed          = auto()
    eLcStateImpl_ELcStateTransReq_LcStarted         = auto()
    eLcStateImpl_ELcStateTransReq_LcStopped         = auto()
    eLcStateImpl_ELcStateTransReq_TMgrFailed        = auto()
    eLcStateImpl_ELcStateTransReq_TMgrStarted       = auto()
    eLcStateImpl_ELcStateTransReq_TMgrStopped       = auto()
    eLcStateImpl_ELcStateTransReq_FwSrvFailed       = auto()
    eLcStateImpl_ELcStateTransReq_FwSrvStarted      = auto()
    eLcStateImpl_ELcStateTransReq_FwSrvStopped      = auto()
    eLcStateImpl_ELcStateTransReq_XTaskFailed       = auto()
    eLcStateImpl_ELcStateTransReq_XTaskStarted      = auto()
    eLcStateImpl_ELcStateTransReq_XTaskStopped      = auto()
    eLcStateImpl_ELcStateTransReq_MiscCompFailed    = auto()
    eLcStateImpl_ELcStateTransReq_MiscCompStarted   = auto()
    eLcStateImpl_ELcStateTransReq_MiscCompStopped   = auto()
    eLcStateImpl_FrcList_ToString_001               = auto()
    eLcStateImpl_FrcList_ToString_002               = auto()

    eEUTaskApiID_RunXTask                     = auto()
    eEUTaskApiID_SetUpXTask                   = auto()
    eEUTaskApiID_TearDownXTask                = auto()
    eEUTaskApiID_ProcessInternalMessage       = auto()
    eEUTaskApiID_ProcessExternalMessage       = auto()

    eFwApiBase_StartPreamble                    = auto()
    eFwApiBase_StartPreamble_Python_Version     = auto()

    eLogException_TypeName_Fatal            = auto()
    eLogException_TypeName_BadUse           = auto()
    eLogException_TypeName_ImplError        = auto()
    eLogException_TypeName_NotImplemented   = auto()
    eLogException_TypeName_SystemOpERR      = auto()
    eLogException_TypeName_SystemOpXCP      = auto()
    eLogException_TypeName_NestedError      = auto()

    eAbsFwP_AN_ATTR_KEY_ARGS                         = auto()
    eAbsFwP_AN_ATTR_KEY_AUTO_START_ENCLOSED_PYTHREAD = auto()
    eAbsFwP_AN_ATTR_KEY_ENCLOSED_PYTHREAD            = auto()
    eAbsFwP_AN_ATTR_KEY_KWARGS                       = auto()
    eAbsFwP_AN_ATTR_KEY_TASK_NAME                    = auto()
    eAbsFwP_AN_ATTR_KEY_TASK_RIGHTS                  = auto()
    eAbsFwP_AN_ATTR_KEY_TASK_ID                      = auto()

    eTaskBadge_ToString_01                    = auto()

    eFwTP_AN_ATTR_KEY_DELAYED_START_TIME_SPAN = auto()
    eFwTP_AN_ATTR_KEY_EXTERNAL_QUEUE_SIZE     = auto()
    eFwTP_AN_ATTR_KEY_ON_SIZE_BLOCKING_XQUEUE = auto()
    eFwTP_AN_ATTR_KEY_RESOURCES_MASK          = auto()
    eFwTP_AN_ATTR_KEY_RUNNABLE                = auto()
    eFwTP_AN_ATTR_KEY_TIMER                   = auto()
    eFwTP_AN_ATTR_KEY_TIMER_PROFILE           = auto()
    eFwTP_AN_ATTR_KEY_EXT_QUEUE               = auto()
    eFwTP_AN_ATTR_KEY_INT_QUEUE               = auto()
    eFwTP_AN_ATTR_KEY_TIMER_RESOURCE          = auto()

    eThrdP_AN_ATTR_KEY_UTASK_CONN            = auto()
    eThrdP_AN_ATTR_KEY_THREAD_TARGET         = auto()



    eXTaskPrfBase_ToString_01               = auto()
    eXTaskPrfBase_ToString_02               = auto()
    eXTaskPrfBase_ToString_03               = auto()
    eXTaskPrfBase_ToString_04               = auto()
    eXTaskPrfBase_ToString_05               = auto()
    eXTaskPrfBase_ToString_06               = auto()
    eXTaskPrfBase_ToString_07               = auto()
    eXTaskPrfBase_ToString_08               = auto()
    eXTaskPrfBase_ToString_09               = auto()
    eXTaskPrfBase_ToString_10               = auto()
    eXTaskPrfBase_ToString_11               = auto()
    eXTaskPrfBase_ToString_12               = auto()
    eXTaskPrfBase_ToString_13               = auto()
    eXTaskPrfBase_ToString_14               = auto()
    eXTaskPrfBase_ToString_15               = auto()

    eXTaskPrfExt_ToString_02                = auto()


    eLcConfig_ToString                      = auto()

    eLcManager_MsgPrefix                    = auto()
    eLcManager_ToString                     = auto()

    eLcXStateHistory_ToString_01            = auto()
    eLcXStateHistory_ToString_02            = auto()
    eLcXStateHistory_ToString_03            = auto()

    eLcDepManager_ToString_01               = auto()

    eLcProxy_ToString_01                    = auto()

    eLcFrcView_ToString_01                  = auto()

    ePcErrorBin_ToString_01                 = auto()
    ePcErrorBin_ToString_02                 = auto()
    ePcErrorBin_ToString_03                 = auto()
    ePcErrorBin_ToString_04                 = auto()
    ePcErrorBin_ToString_05                 = auto()
    ePcErrorBin_ToString_06                 = auto()
    ePcErrorBin_ToString_07                 = auto()

    eTimeUtil_GetTimeStamp_FmrStr_01        = auto()
    eTimeUtil_GetTimeStamp_FmrStr_02        = auto()
    eTimeUtil_GetTimeStamp_FmrStr_03        = auto()
    eTimeUtil_GetTimeStamp_FmrStr_04        = auto()
    eTimeParts_ToString_01                  = auto()
    eTimeParts_ToString_02                  = auto()
    eStopWatch_ToString_01                  = auto()
    eStopWatch_ToString_02                  = auto()
    eKpiLogBook_ToString_01                 = auto()

    eLogMgr_ToString_01                     = auto()
    eLogMgr_AddLog_FmtStr_01                = auto()
    eLogMgr_AddLog_FmtStr_02                = auto()
    eLogMgr_PrintSummary_FmtStr_01          = auto()
    eLogMgr_PrintSummary_FmtStr_02          = auto()
    eLogMgr_PrintSummary_FmtStr_03          = auto()
    eLogMgr_PrintSummary_FmtStr_04          = auto()
    eLogMgr_PrintSummary_FmtStr_05          = auto()
    eLogMgr_PrintSummary_FmtStr_06          = auto()
    eLogMgr_PrintSummary_FmtStr_07          = auto()
    eLogMgr_PrintSummary_FmtStr_08          = auto()
    eLogMgr_PrintSummary_FmtStr_09          = auto()
    eLogMgr_PrintSummary_FmtStr_10          = auto()
    eLogMgr_PrintSummary_FmtStr_11          = auto()
    eLogMgr_CheckLogRequest_Msg_01          = auto()
    eLogMgr_CheckLogRequest_Msg_02          = auto()
    eLogMgr_CheckLogRequest_Msg_03          = auto()
    eLogMgr_ActiveTimeKPI                   = auto()

    eVLogIF_PrintSummary_FmtStr_01          = auto()
    eVLogIF_PrintSummary_FmtStr_02          = auto()
    eVLogIF_PrintSummary_FmtStr_03          = auto()
    eVLogIF_PrintSummary_FmtStr_04          = auto()
    eVLogIF_PrintSummary_FmtStr_05          = auto()
    eVLogIF_PrintSummary_FmtStr_06          = auto()
    eVLogIF_PrintException_FmtStr_01        = auto()
    eVLogIF_VPrint_FmtStr_01                = auto()
    eVLogIF_VPrint_FmtStr_03                = auto()
    eVLogIF_VPrint_FmtStr_04                = auto()
    eVLogIF_SetVSystemExitStatus            = auto()
    eVLogIF_ClearLogHistory                 = auto()

    eFwCallable_ToString_01                 = auto()



    eMutex_ToString_01                      = auto()

    eSemaphoreBase_ToString_01              = auto()
    eSemaphoreBase_ToString_02              = auto()
    eSemaphoreBase_ToString_03              = auto()

    eXcoException_XcoBaseException_ToString_01    = auto()
    eXcoException_XTaskExceptionBase_ToString_01  = auto()

    eLogEntry_ToString_01                                   = auto()
    eLogEntry_ToString_02                                   = auto()
    eLogEntry_ToString_03                                   = auto()

    eLcStateImpl_ToString_01                                = auto()
    eLcStateImpl_ToString_02                                = auto()
    eLcStateImpl_ToString_03                                = auto()
    eLcStateImpl_ToString_04                                = auto()
    eLcStateImpl_UpdateLcState_FmtStr_01                    = auto()
    eLcStateImpl_UpdateLcState_PreCheckSetRequest_FmtStr_01 = auto()

    eEUTaskXState_ToString_01             = auto()  
    eEUTaskXState_ToString_02             = auto()  
    eEUTaskXState_ToString_03             = auto()  
    eEUTaskXState_ToString_04             = auto()  
    eEUTaskXState_ToString_05             = auto()  
    eEUTaskXState_ToString_06             = auto()  
    eEUTaskXState_ToString_07             = auto()  
    eEUTaskXState_ToString_08             = auto()  
    eEUTaskXState_ToString_09             = auto()  

    eUserTaskConn_XTaskMirror_ToString_01 = auto()
    eUserTaskConn_LogPrefix               = auto()
    eUserTaskConn_LogPrefix_StateUpdate   = auto()

    ePcErrHandler_ToString_01             = auto()
    ePcErrHandler_ToString_02             = auto()

    eFwTaskError_MsgPrefix                = auto()

    eXTaskErrorImpl_ToString_01           = auto()
    eXTaskErrorImpl_ToString_02           = auto()

    eFwMessage_ToString_01                = auto()

    eMessageHeader_ToString_01            = auto()

    eMessageFilter_ToString_01            = auto()


    eMessageCluster_ToString_01           = auto()

    eXcoMsgHeader_ToString_01             = auto()

    eXcoMsgImpl_ToString_01               = auto()

    eSerDes_ToString_02                   = auto()
    eSerDes_ToString_03                   = auto()
    eSerDes_ToString_04                   = auto()

    eCallableSignature_ToString_01        = auto()

    eXProcessConn_ToString_01             = auto()

    eXMPUtilImpl_ToString_01              = auto()

    eFwRteConfig_ToString_01              = auto()
    eFwRteConfig_ToString_02              = auto()
    eFwRteConfig_ToString_03              = auto()
    eFwRteConfig_ToString_04              = auto()
    eFwRteConfig_ToString_05              = auto()
    eFwRteConfig_ToString_06              = auto()
    eFwRteConfig_ToString_07              = auto()
    eFwRteConfig_ToString_08              = auto()
    eFwRteConfig_ToString_09              = auto()
    eFwRteConfig_ToString_10              = auto()
    eFwRteConfig_ToString_11              = auto()

    eXCbCase_XCallback_ToString_001       = auto()
    eXCbCase_XCallback_ToString_002       = auto()
    eXCbCase_ToString_001                 = auto()

    eFwsDispatcher_ToString_001           = auto()

    eXProcessAgent_ToString_001           = auto()
    eXProcessAgent_ToString_002           = auto()

    eLcGuard_ToString_001                 = auto()

    eLcTLB_ToString_001                   = auto()
    eLcTLB_ToString_002                   = auto()
    eLcTLB_ToString_003                   = auto()
    eLcTLB_ToString_004                   = auto()

    eLogMsg_Shared_TID_001         = auto()
    eLogMsg_Shared_TID_002         = auto()
    eLogMsg_Shared_TID_003         = auto()
    eLogMsg_Shared_TID_004         = auto()

    eFwConfig_TID_001              = auto()
    eFwConfig_TID_002              = auto()
    eFwConfig_TID_003              = auto()
    eFwConfig_TID_004              = auto()
    eFwConfig_TID_005              = auto()


    eLogMsg_AbsTask_TID_001        = auto()

    eLogMsg_FwTask_TID_002         = auto()

    eLogMsg_FwTaskError_TID_001    = auto()

    eLogMsg_TaskMgr_TID_001        = auto()
    eLogMsg_TaskMgr_TID_002        = auto()
    eLogMsg_TaskMgr_TID_003        = auto()
    eLogMsg_TaskMgr_TID_004        = auto()
    eLogMsg_TaskMgr_TID_005        = auto()
    eLogMsg_TaskMgr_TID_006        = auto()
    eLogMsg_TaskMgr_TID_007        = auto()
    eLogMsg_TaskMgr_TID_008        = auto()
    eLogMsg_TaskMgr_TID_009        = auto()
    eLogMsg_TaskMgr_TID_010        = auto()
    eLogMsg_TaskMgr_TID_012        = auto()
    eLogMsg_TaskMgr_TID_013        = auto()
    eLogMsg_TaskMgr_TID_014        = auto()
    eLogMsg_TaskMgr_TID_015        = auto()
    eLogMsg_TaskMgr_TID_016        = auto()

    eLogMsg_TaskProfile_TID_011    = auto()

    eLogMsg_ThreadProfile_TID_004  = auto()
    eLogMsg_ThreadProfile_TID_008  = auto()

    eLogMsg_FwApiBase_TID_001      = auto()
    eLogMsg_FwApiBase_TID_004      = auto()
    eLogMsg_FwApiBase_TID_014      = auto()
    eLogMsg_FwApiBase_TID_016      = auto()
    eLogMsg_FwApiBase_TID_017      = auto()
    eLogMsg_FwApiBase_TID_018      = auto()

    eLogMsg_UserTask_TID_002       = auto()
    eLogMsg_UserTask_TID_003       = auto()
    eLogMsg_UserTask_TID_004       = auto()
    eLogMsg_UserTask_TID_005       = auto()
    eLogMsg_UserTask_TID_006       = auto()
    eLogMsg_UserTask_TID_007       = auto()
    eLogMsg_UserTask_TID_008       = auto()
    eLogMsg_UserTask_TID_009       = auto()
    eLogMsg_UserTask_TID_010       = auto()
    eLogMsg_UserTask_TID_011       = auto()
    eLogMsg_UserTask_TID_012       = auto()
    eLogMsg_UserTask_TID_013       = auto()
    eLogMsg_UserTask_TID_014       = auto()
    eLogMsg_UserTask_TID_015       = auto()
    eLogMsg_UserTask_TID_016       = auto()
    eLogMsg_UserTask_TID_017       = auto()
    eLogMsg_UserTask_TID_018       = auto()
    eLogMsg_UserTask_TID_021       = auto()
    eLogMsg_UserTask_TID_022       = auto()
    eLogMsg_UserTask_TID_023       = auto()
    eLogMsg_UserTask_TID_024       = auto()
    eLogMsg_UserTask_TID_025       = auto()
    eLogMsg_UserTask_TID_026       = auto()
    eLogMsg_UserTask_TID_027       = auto()
    eLogMsg_UserTask_TID_028       = auto()

    eLogMsg_UserTaskConn_TID_001   = auto()
    eLogMsg_UserTaskConn_TID_002   = auto()
    eLogMsg_UserTaskConn_TID_003   = auto()
    eLogMsg_UserTaskConn_TID_004   = auto()
    eLogMsg_UserTaskConn_TID_007   = auto()
    eLogMsg_UserTaskConn_TID_008   = auto()
    eLogMsg_UserTaskConn_TID_009   = auto()
    eLogMsg_UserTaskConn_TID_012   = auto()
    eLogMsg_UserTaskConn_TID_016   = auto()
    eLogMsg_UserTaskConn_TID_018   = auto()
    eLogMsg_UserTaskConn_TID_019   = auto()
    eLogMsg_UserTaskConn_TID_021   = auto()
    eLogMsg_UserTaskConn_TID_022   = auto()
    eLogMsg_UserTaskConn_TID_023   = auto()
    eLogMsg_UserTaskConn_TID_024   = auto()
    eLogMsg_UserTaskConn_TID_029   = auto()
    eLogMsg_UserTaskConn_TID_030   = auto()
    eLogMsg_UserTaskConn_TID_031   = auto()
    eLogMsg_UserTaskConn_TID_032   = auto()
    eLogMsg_UserTaskConn_TID_033   = auto()

    eLogMsg_XTaskPrfBase_TID_004   = auto()
    eLogMsg_XTaskPrfBase_TID_005   = auto()
    eLogMsg_XTaskPrfBase_TID_006   = auto()
    eLogMsg_XTaskPrfBase_TID_007   = auto()
    eLogMsg_XTaskPrfBase_TID_009   = auto()
    eLogMsg_XTaskPrfBase_TID_010   = auto()
    eLogMsg_XTaskPrfBase_TID_011   = auto()
    eLogMsg_XTaskPrfBase_TID_012   = auto()

    eLogMsg_XTaskPrfExt_TID_001    = auto()
    eLogMsg_XTaskPrfExt_TID_002    = auto()


    eLogMsg_FSUtil_TID_001         = auto()
    eLogMsg_FSUtil_TID_002         = auto()

    eLogMsg_Timeout_TID_001        = auto()
    eLogMsg_Timeout_TID_002        = auto()
    eLogMsg_Timeout_TID_003        = auto()
    eLogMsg_Timeout_TID_004        = auto()
    eLogMsg_Timeout_TID_005        = auto()
    eLogMsg_Timeout_TID_006        = auto()
    eLogMsg_Timeout_TID_007        = auto()
    eLogMsg_Timeout_TID_008        = auto()
    eLogMsg_Timeout_TID_009        = auto()
    eLogMsg_Timeout_TID_010        = auto()
    eLogMsg_Timeout_TID_011        = auto()
    eLogMsg_Timeout_TID_012        = auto()
    eLogMsg_Timeout_TID_013        = auto()

    eLogMsg_StrUtil_TID_001        = auto()
    eLogMsg_StrUtil_TID_002        = auto()
    eLogMsg_StrUtil_TID_003        = auto()
    eLogMsg_StrUtil_TID_004        = auto()
    eLogMsg_StrUtil_TID_005        = auto()
    eLogMsg_StrUtil_TID_006        = auto()

    eLogMsg_Util_TID_001           = auto()
    eLogMsg_Util_TID_002           = auto()
    eLogMsg_Util_TID_003           = auto()
    eLogMsg_Util_TID_004           = auto()
    eLogMsg_Util_TID_005           = auto()
    eLogMsg_Util_TID_006           = auto()
    eLogMsg_Util_TID_007           = auto()
    eLogMsg_Util_TID_008           = auto()
    eLogMsg_Util_TID_009           = auto()
    eLogMsg_Util_TID_010           = auto()
    eLogMsg_Util_TID_011           = auto()
    eLogMsg_Util_TID_012           = auto()
    eLogMsg_Util_TID_013           = auto()


    eLogMsg_PcErrHandler_TID_001   = auto()
    eLogMsg_PcErrHandler_TID_002   = auto()

    eLogMsg_FwsMain_TID_001        = auto()
    eLogMsg_FwsMain_TID_002        = auto()
    eLogMsg_FwsMain_TID_003        = auto()
    eLogMsg_FwsMain_TID_004        = auto()
    eLogMsg_FwsMain_TID_005        = auto()
    eLogMsg_FwsMain_TID_006        = auto()
    eLogMsg_FwsMain_TID_007        = auto()

    eLogMsg_LcManager_TID_001      = auto()
    eLogMsg_LcManager_TID_004      = auto()
    eLogMsg_LcManager_TID_007      = auto()
    eLogMsg_LcManager_TID_008      = auto()
    eLogMsg_LcManager_TID_010      = auto()
    eLogMsg_LcManager_TID_011      = auto()
    eLogMsg_LcManager_TID_012      = auto()
    eLogMsg_LcManager_TID_013      = auto()
    eLogMsg_LcManager_TID_014      = auto()
    eLogMsg_LcManager_TID_017      = auto()
    eLogMsg_LcManager_TID_018      = auto()
    eLogMsg_LcManager_TID_019      = auto()
    eLogMsg_LcManager_TID_020      = auto()
    eLogMsg_LcManager_TID_021      = auto()
    eLogMsg_LcManager_TID_022      = auto()
    eLogMsg_LcManager_TID_027      = auto()
    eLogMsg_LcManager_TID_034      = auto()
    eLogMsg_LcManager_TID_035      = auto()
    eLogMsg_LcManager_TID_036      = auto()
    eLogMsg_LcManager_TID_037      = auto()
    eLogMsg_LcManager_TID_038      = auto()
    eLogMsg_LcManager_TID_039      = auto()
    eLogMsg_LcManager_TID_040      = auto()
    eLogMsg_LcManager_TID_041      = auto()
    eLogMsg_LcManager_TID_043      = auto()
    eLogMsg_LcManager_TID_044      = auto()
    eLogMsg_LcManager_TID_045      = auto()
    eLogMsg_LcManager_TID_046      = auto()
    eLogMsg_LcManager_TID_050      = auto()
    eLogMsg_LcManager_TID_051      = auto()
    eLogMsg_LcManager_TID_052      = auto()
    eLogMsg_LcManager_TID_053      = auto()
    eLogMsg_LcManager_TID_054      = auto()
    eLogMsg_LcManager_TID_055      = auto()
    eLogMsg_LcManager_TID_056      = auto()
    eLogMsg_LcManager_TID_057      = auto()
    eLogMsg_LcManager_TID_058      = auto()
    eLogMsg_LcManager_TID_059      = auto()
    eLogMsg_LcManager_TID_060      = auto()
    eLogMsg_LcManager_TID_061      = auto()
    eLogMsg_LcManager_TID_062      = auto()
    eLogMsg_LcManager_TID_063      = auto()
    eLogMsg_LcManager_TID_064      = auto()
    eLogMsg_LcManager_TID_065      = auto()
    eLogMsg_LcManager_TID_066      = auto()
    eLogMsg_LcManager_TID_067      = auto()
    eLogMsg_LcManager_TID_068      = auto()
    eLogMsg_LcManager_TID_069      = auto()
    eLogMsg_LcManager_TID_070      = auto()
    eLogMsg_LcManager_TID_071      = auto()
    eLogMsg_LcManager_TID_072      = auto()
    eLogMsg_LcManager_TID_074      = auto()
    eLogMsg_LcManager_TID_075      = auto()
    eLogMsg_LcManager_TID_076      = auto()
    eLogMsg_LcManager_TID_077      = auto()
    eLogMsg_LcManager_TID_078      = auto()

    eLogMsg_LcSDC_TID_001          = auto()
    eLogMsg_LcSDC_TID_002          = auto()

    eLogMsg_SSDeputyLogging_TID_001  = auto()

    eLogMsg_LcXStateHistory_TID_001  = auto()
    eLogMsg_LcXStateHistory_TID_002  = auto()
    eLogMsg_LcXStateHistory_TID_003  = auto()
    eLogMsg_LcXStateHistory_TID_004  = auto()

    eLogMsg_LcSetupFailure_TID_001   = auto()
    eLogMsg_LcSetupFailure_TID_002   = auto()
    eLogMsg_LcSetupFailure_TID_003   = auto()


    eLogMsg_LcFailure_TID_001        = auto()
    eLogMsg_LcFailure_TID_003        = auto()
    eLogMsg_LcFailure_TID_005        = auto()
    eLogMsg_LcFailure_TID_006        = auto()
    eLogMsg_LcFailure_TID_007        = auto()
    eLogMsg_LcFailure_TID_010        = auto()
    eLogMsg_LcFailure_TID_011        = auto()
    eLogMsg_LcFailure_TID_015        = auto()
    eLogMsg_LcFailure_TID_016        = auto()

    eFwSOptionsImpl_ArgSpec_Name_FwLogLevel               = auto()
    eFwSOptionsImpl_ArgSpec_Name_UserLogLevel             = auto()
    eFwSOptionsImpl_ArgSpec_Name_DisableLogTimestamp      = auto()
    eFwSOptionsImpl_ArgSpec_Name_DisableLogHighlighting   = auto()
    eFwSOptionsImpl_ArgSpec_Name_DisableLogCallstack      = auto()
    eFwSOptionsImpl_ArgSpec_Name_SuppressStartPreamble    = auto()
    eFwSOptionsImpl_ArgSpec_Help_FwLogLevel               = auto()
    eFwSOptionsImpl_ArgSpec_Help_UserLogLevel             = auto()
    eFwSOptionsImpl_ArgSpec_Help_DisableLogTimestamp      = auto()
    eFwSOptionsImpl_ArgSpec_Help_DisableLogHighlighting   = auto()
    eFwSOptionsImpl_ArgSpec_Help_DisableLogCallstack      = auto()
    eFwSOptionsImpl_ArgSpec_Help_SuppressStartPreamble    = auto()
    eFwSOptionsImpl_ArgSpec_Choices_FwLogLevel            = auto()
    eFwSOptionsImpl_ArgSpec_Choices_UserLogLevel          = auto()
    eFwSOptionsImpl_ParserProgName       = auto()
    eLogMsg_FwSOptionsImpl_TID_092       = auto()
    eLogMsg_FwSOptionsImpl_TID_093       = auto()
    eLogMsg_FwSOptionsImpl_TID_094       = auto()
    eLogMsg_FwSOptionsImpl_TID_096       = auto()
    eLogMsg_FwSOptionsImpl_TID_097       = auto()
    eLogMsg_FwSOptionsImpl_TID_098       = auto()

    eLogMsg_LcDepManager_TID_001         = auto()
    eLogMsg_LcDepManager_TID_002         = auto()
    eLogMsg_LcDepManager_TID_003         = auto()
    eLogMsg_LcDepManager_TID_004         = auto()
    eLogMsg_LcDepManager_TID_005         = auto()

    eLogMsg_LcProxy_TID_001              = auto()

    eLogMsg_ErrorLog_TID_001             = auto()

    eLogMsg_XcoException_TID_001         = auto()
    eLogMsg_XcoException_TID_002         = auto()
    eLogMsg_XcoException_TID_003         = auto()
    eLogMsg_XcoException_TID_004         = auto()
    eLogMsg_XcoException_TID_005         = auto()
    eLogMsg_XcoException_TID_006         = auto()
    eLogMsg_XcoException_TID_007         = auto()
    eLogMsg_XcoException_TID_008         = auto()
    eLogMsg_XcoException_TID_009         = auto()

    eLogMsg_LogException_TID_001         = auto()
    eLogMsg_LogException_TID_002         = auto()
    eLogMsg_LogException_TID_003         = auto()
    eLogMsg_LogException_TID_004         = auto()
    eLogMsg_LogException_TID_005         = auto()
    eLogMsg_LogException_TID_006         = auto()
    eLogMsg_LogException_TID_007         = auto()
    eLogMsg_LogException_TID_008         = auto()

    eLogMsg_LcGuard_TID_001              = auto()
    eLogMsg_LcGuard_TID_003              = auto()

    eLogMsg_LcStateImpl_TID_001          = auto()
    eLogMsg_LcStateImpl_TID_002          = auto()
    eLogMsg_LcStateImpl_TID_004          = auto()
    eLogMsg_LcStateImpl_TID_005          = auto()
    eLogMsg_LcStateImpl_TID_006          = auto()
    eLogMsg_LcStateImpl_TID_007          = auto()
    eLogMsg_LcStateImpl_TID_008          = auto()
    eLogMsg_LcStateImpl_TID_009          = auto()
    eLogMsg_LcStateImpl_TID_010          = auto()
    eLogMsg_LcStateImpl_TID_011          = auto()
    eLogMsg_LcStateImpl_TID_012          = auto()
    eLogMsg_LcStateImpl_TID_013          = auto()
    eLogMsg_LcStateImpl_TID_014          = auto()



    eLogMsg_Mutex_TID_001                = auto()

    eLogMsg_SemaphoreBase_TID_001        = auto()
    eLogMsg_SemaphoreBase_TID_002        = auto()

    eLogMsg_LcMonitorImpl_TID_001        = auto()
    eLogMsg_LcMonitorImpl_TID_002        = auto()
    eLogMsg_LcMonitorImpl_TID_003        = auto()
    eLogMsg_LcMonitorImpl_TID_004        = auto()

    eLogMsg_FwMessage_TID_002            = auto()

    eLogMsg_FwQueue_TID_001              = auto()
    eLogMsg_FwQueue_TID_002              = auto()
    eLogMsg_FwQueue_TID_003              = auto()
    eLogMsg_FwQueue_TID_004              = auto()
    eLogMsg_FwQueue_TID_005              = auto()
    eLogMsg_FwQueue_TID_006              = auto()

    eLogMsg_XcoMsgMgrImpl_TID_002        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_013        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_014        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_015        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_016        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_017        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_018        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_019        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_020        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_021        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_022        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_023        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_024        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_026        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_027        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_028        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_029        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_030        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_031        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_032        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_033        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_034        = auto()
    eLogMsg_XcoMsgMgrImpl_TID_035        = auto()

    eLogMsg_SubsysMsgUtil_TID_001        = auto()
    eLogMsg_SubsysMsgUtil_TID_002        = auto()
    eLogMsg_SubsysMsgUtil_TID_003        = auto()
    eLogMsg_SubsysMsgUtil_TID_004        = auto()

    eLogMsg_MessageClusterMap_TID_001    = auto()
    eLogMsg_MessageClusterMap_TID_002    = auto()
    eLogMsg_MessageClusterMap_TID_003    = auto()
    eLogMsg_MessageClusterMap_TID_004    = auto()
    eLogMsg_MessageClusterMap_TID_005    = auto()


    eLogMsg_DispatchFilter_TID_001        = auto()
    eLogMsg_DispatchFilter_TID_002        = auto()
    eLogMsg_DispatchFilter_TID_003        = auto()
    eLogMsg_DispatchFilter_TID_004        = auto()
    eLogMsg_DispatchFilter_TID_005        = auto()
    eLogMsg_DispatchFilter_TID_006        = auto()
    eLogMsg_DispatchFilter_TID_007        = auto()


    eLogMsg_MessageHeader_TID_001        = auto()
    eLogMsg_MessageHeader_TID_002        = auto()
    eLogMsg_MessageHeader_TID_003        = auto()
    eLogMsg_MessageHeader_TID_004        = auto()
    eLogMsg_MessageHeader_TID_005        = auto()
    eLogMsg_MessageHeader_TID_006        = auto()
    eLogMsg_MessageHeader_TID_007        = auto()
    eLogMsg_MessageHeader_TID_008        = auto()
    eLogMsg_MessageHeader_TID_009        = auto()
    eLogMsg_MessageHeader_TID_010        = auto()
    eLogMsg_MessageHeader_TID_011        = auto()
    eLogMsg_MessageHeader_TID_012        = auto()

    eLogMsg_SerDes_TID_001                = auto()
    eLogMsg_SerDes_TID_002                = auto()
    eLogMsg_SerDes_TID_003                = auto()
    eLogMsg_SerDes_TID_004                = auto()
    eLogMsg_SerDes_TID_005                = auto()
    eLogMsg_SerDes_TID_006                = auto()
    eLogMsg_SerDes_TID_007                = auto()
    eLogMsg_SerDes_TID_008                = auto()
    eLogMsg_SerDes_TID_009                = auto()
    eLogMsg_SerDes_TID_010                = auto()
    eLogMsg_SerDes_TID_011                = auto()

    eLogMsg_FwsDispatcher_TID_001         = auto()
    eLogMsg_FwsDispatcher_TID_002         = auto()
    eLogMsg_FwsDispatcher_TID_003         = auto()
    eLogMsg_FwsDispatcher_TID_004         = auto()
    eLogMsg_FwsDispatcher_TID_005         = auto()
    eLogMsg_FwsDispatcher_TID_007         = auto()
    eLogMsg_FwsDispatcher_TID_008         = auto()
    eLogMsg_FwsDispatcher_TID_009         = auto()
    eLogMsg_FwsDispatcher_TID_010         = auto()
    eLogMsg_FwsDispatcher_TID_011         = auto()
    eLogMsg_FwsDispatcher_TID_012         = auto()
    eLogMsg_FwsDispatcher_TID_013         = auto()

    eLogMsg_AbsRunnable_TID_001      = auto()
    eLogMsg_AbsRunnable_TID_002      = auto()
    eLogMsg_AbsRunnable_TID_003      = auto()
    eLogMsg_AbsRunnable_TID_004      = auto()
    eLogMsg_AbsRunnable_TID_006      = auto()

    eLogMsg_CallableIF_TID_004            = auto()
    eLogMsg_CallableIF_TID_011            = auto()

    eLogMsg_CallableSignature_TID_001     = auto()
    eLogMsg_CallableSignature_TID_002     = auto()
    eLogMsg_CallableSignature_TID_003     = auto()
    eLogMsg_CallableSignature_TID_004     = auto()
    eLogMsg_CallableSignature_TID_005     = auto()
    eLogMsg_CallableSignature_TID_006     = auto()
    eLogMsg_CallableSignature_TID_007     = auto()
    eLogMsg_CallableSignature_TID_008     = auto()
    eLogMsg_CallableSignature_TID_009     = auto()
    eLogMsg_CallableSignature_TID_010     = auto()
    eLogMsg_CallableSignature_TID_011     = auto()
    eLogMsg_CallableSignature_TID_012     = auto()
    eLogMsg_CallableSignature_TID_013     = auto()
    eLogMsg_CallableSignature_TID_014     = auto()

    eLogMsg_Payload_TID_001               = auto()
    eLogMsg_Payload_TID_002               = auto()

    eLogMsg_XcoMsgImpl_TID_001            = auto()

    eLogMsg_XProcessConn_TID_001     = auto()
    eLogMsg_XProcessConn_TID_002     = auto()
    eLogMsg_XProcessConn_TID_003     = auto()
    eLogMsg_XProcessConn_TID_004     = auto()
    eLogMsg_XProcessConn_TID_006     = auto()
    eLogMsg_XProcessConn_TID_007     = auto()
    eLogMsg_XProcessConn_TID_008     = auto()
    eLogMsg_XProcessConn_TID_010     = auto()
    eLogMsg_XProcessConn_TID_011     = auto()
    eLogMsg_XProcessConn_TID_012     = auto()
    eLogMsg_XProcessConn_TID_013     = auto()
    eLogMsg_XProcessConn_TID_014     = auto()
    eLogMsg_XProcessConn_TID_015     = auto()
    eLogMsg_XProcessConn_TID_016     = auto()
    eLogMsg_XProcessConn_TID_017     = auto()
    eLogMsg_XProcessConn_TID_018     = auto()
    eLogMsg_XProcessConn_TID_019     = auto()
    eLogMsg_XProcessConn_TID_020     = auto()
    eLogMsg_XProcessConn_TID_021     = auto()
    eLogMsg_XProcessConn_TID_022     = auto()

    eLogMsg_MPStartPolicy_TID_001         = auto()
    eLogMsg_MPStartPolicy_TID_007         = auto()
    eLogMsg_MPStartPolicy_TID_008         = auto()
    eLogMsg_MPStartPolicy_TID_009         = auto()
    eLogMsg_MPStartPolicy_TID_015         = auto()

    eLogMsg_XMPUtilImpl_TID_001           = auto()
    eLogMsg_XMPUtilImpl_TID_002           = auto()

    eLogMsg_FwRteConfig_TID_001           = auto()
    eLogMsg_FwRteConfig_TID_003           = auto()
    eLogMsg_FwRteConfig_TID_004           = auto()
    eLogMsg_FwRteConfig_TID_005           = auto()
    eLogMsg_FwRteConfig_TID_006           = auto()
    eLogMsg_FwRteConfig_TID_007           = auto()
    eLogMsg_FwRteConfig_TID_008           = auto()
    eLogMsg_FwRteConfig_TID_009           = auto()

    eLogMsg_FwRteException_TID_001        = auto()
    eLogMsg_FwRteException_TID_002        = auto()
    eLogMsg_FwRteException_TID_003        = auto()
    eLogMsg_FwRteException_TID_004        = auto()
    eLogMsg_FwRteException_TID_005        = auto()
    eLogMsg_FwRteException_TID_006        = auto()
    eLogMsg_FwRteException_TID_007        = auto()
    eLogMsg_FwRteException_TID_008        = auto()
    eLogMsg_FwRteException_TID_009        = auto()
    eLogMsg_FwRteException_TID_010        = auto()
    eLogMsg_FwRteException_TID_011        = auto()
    eLogMsg_FwRteException_TID_012        = auto()
    eLogMsg_FwRteException_TID_013        = auto()
    eLogMsg_FwRteException_TID_014        = auto()
    eLogMsg_FwRteException_TID_015        = auto()
    eLogMsg_FwRteException_TID_016        = auto()

    eLogMsg_FwRteTokenMgr_TID_001         = auto()
    eLogMsg_FwRteTokenMgr_TID_002         = auto()
    eLogMsg_FwRteTokenMgr_TID_003         = auto()
    eLogMsg_FwRteTokenMgr_TID_004         = auto()
    eLogMsg_FwRteTokenMgr_TID_005         = auto()

    eLogMsg_FwRteDataExchange_TID_001     = auto()
    eLogMsg_FwRteDataExchange_TID_002     = auto()
    eLogMsg_FwRteDataExchange_TID_004     = auto()
    eLogMsg_FwRteDataExchange_TID_005     = auto()

    eLogMsg_XProcessTarget_TID_001        = auto()
    eLogMsg_XProcessTarget_TID_002        = auto()
    eLogMsg_XProcessTarget_TID_003        = auto()

    eLogMsg_XCbCase_TID_001               = auto()
    eLogMsg_XCbCase_TID_002               = auto()
    eLogMsg_XCbCase_TID_003               = auto()
    eLogMsg_XCbCase_TID_004               = auto()
    eLogMsg_XCbCase_TID_005               = auto()
    eLogMsg_XCbCase_TID_006               = auto()
    eLogMsg_XCbCase_TID_008               = auto()
    eLogMsg_XCbCase_TID_009               = auto()
    eLogMsg_XCbCase_TID_010               = auto()
    eLogMsg_XCbCase_TID_011               = auto()
    eLogMsg_XCbCase_TID_012               = auto()
    eLogMsg_XCbCase_TID_013               = auto()
    eLogMsg_XCbCase_TID_014               = auto()
    eLogMsg_XCbCase_TID_015               = auto()
    eLogMsg_XCbCase_TID_016               = auto()
    eLogMsg_XCbCase_TID_017               = auto()
    eLogMsg_XCbCase_TID_018               = auto()
    eLogMsg_XCbCase_TID_019               = auto()

    eLogMsg_XRCTAgent_PhXF_IF_CLASS        = auto()
    eLogMsg_XRCTAgent_PhXF_REF_IF_CLASS    = auto()
    eLogMsg_XRCTAgent_CB_NAME_RUN          = auto()
    eLogMsg_XRCTAgent_CB_NAME_SETUP        = auto()
    eLogMsg_XRCTAgent_CB_NAME_TEARDOWN     = auto()
    eLogMsg_XRCTAgent_CB_PARAM_NAME_001    = auto()
    eLogMsg_XRCTAgent_CB_PARAM_NAME_002    = auto()
    eLogMsg_XRCTAgent_CB_PARAM_NAME_003    = auto()
    eLogMsg_XRCTAgent_CB_PARAM_NAME_004    = auto()
    eLogMsg_XRCTAgent_CB_PARAM_NAME_005    = auto()
    eLogMsg_XRCTAgent_CB_PARAM_NAME_006    = auto()
    eLogMsg_XRCTAgent_TID_001           = auto()

    eLogMsg_FwsProcMgr_TID_001            = auto()
    eLogMsg_FwsProcMgr_TID_003            = auto()

    eLogMsg_FwSubsysShare_TID_001         = auto()
    eLogMsg_FwSubsysShare_TID_002         = auto()
    eLogMsg_FwSubsysShare_TID_003         = auto()

    eLogMsg_UserTaskAgent_TID_001         = auto()

    @property
    def compactName(self):
        return self.name[1:]
