# #!/usr/bin/env python
# -*- coding: utf-8 -*-
# ------------------------------------------------------------------------------
# File   : fwtextdef.py
#
# Copyright(c) 2023-2025 Farzad Safa (farzad.safa@xcofdk.de)
# This software is distributed under the MIT License (http://opensource.org/licenses/MIT).
# ------------------------------------------------------------------------------

from _fw.fwtdb.fwtextid import _EFwTextID

def _GetFwTextDefines():
    res = {
          _EFwTextID.eInvalidText                                                : "49 4e56 414c 4944 5f46 5744 425f 5445 5854"
        , _EFwTextID.eMisc_TE                                                    : "5445"
        , _EFwTextID.eMisc_FTE                                                   : "46 5445"
        , _EFwTextID.eMisc_Main                                                  : "6d61 696e"
        , _EFwTextID.eMisc_Name                                                  : "6e61 6d65"
        , _EFwTextID.eMisc_Task                                                  : "7461 736b"
        , _EFwTextID.eMisc_User                                                  : "7573 6572"
        , _EFwTextID.eMisc_Async                                                 : "61 7379 6e63"
        , _EFwTextID.eMisc_Fatal                                                 : "66 6174 616c"
        , _EFwTextID.eMisc_Tasks                                                 : "74 6173 6b73"
        , _EFwTextID.eMisc_Value                                                 : "76 616c 7565"
        , _EFwTextID.eMisc_Thread                                                : "7468 7265 6164"
        , _EFwTextID.eMisc_Detached                                              : "4445 5441 4348 4544"
        , _EFwTextID.eMisc_Processes                                             : "70 726f 6365 7373 6573"
        , _EFwTextID.eMisc_TNPrefix_DTask                                        : "44 5473 6b5f"
        , _EFwTextID.eMisc_TNPrefix_DThread                                      : "4454 6872 645f"
        , _EFwTextID.eMisc_TNPrefix_RCTask                                       : "5473 6b5f"
        , _EFwTextID.eMisc_TNPrefix_CRCTask                                      : "43 5473 6b5f"
        , _EFwTextID.eMisc_TNPrefix_XTask                                        : "58 5473 6b5f"
        , _EFwTextID.eMisc_TNPrefix_CXTask                                       : "4358 5473 6b5f"
        , _EFwTextID.eMisc_TNPrefix_Process                                      : "5072 635f"
        , _EFwTextID.eMisc_TNPrefix_Runnable                                     : "52 626c"
        , _EFwTextID.eMisc_ShutdownCoordinatorName_MR                            : "4d52"
        , _EFwTextID.eMisc_ShutdownCoordinatorName_LcG                           : "4c 6347"
        , _EFwTextID.eMisc_LcResultFailed                                        : "4641 494c 4544"
        , _EFwTextID.eMisc_LcResultSuccess                                       : "53 5543 4345 5353"
        , _EFwTextID.eMisc_VLogIF_VanillaLogPrefix                               : "3e 3e56 4c3c 3c20"
        , _EFwTextID.eMisc_VLogIF_AutoGeneratedUserError                         : "45 6e63 6f75 6e74 6572 6564 2065 7272 6f72 3a20 6572 726f 7243 6f64 653d 7b7d"
        , _EFwTextID.eMisc_VLogIF_AutoGeneratedFatalError                        : "45 6e63 6f75 6e74 6572 6564 2066 6174 616c 2065 7272 6f72 3a20 6572 726f 7243 6f64 653d 7b7d"
        , _EFwTextID.eMisc_XML_RUNNER_XCP_MSG_DuplicateWriter                    : "27 5f44 7570 6c69 6361 7465 5772 6974 6572 2720 6f62 6a65 6374 2068 6173 206e 6f20 6174 7472 6962 7574 6520 275f 6669 7273 7427"
        , _EFwTextID.eMisc_LogLevel_Error                                        : "65 7272 6f72"
        , _EFwTextID.eMisc_LogLevel_Info                                         : "696e 666f"
        , _EFwTextID.eMisc_PyParserArgAction_Store                               : "73 746f 7265"
        , _EFwTextID.eMisc_PyParserArgAction_StoreTrue                           : "7374 6f72 655f 7472 7565"
        , _EFwTextID.eMisc_PyParserArgAction_StoreFalse                          : "73 746f 7265 5f66 616c 7365"
        , _EFwTextID.eMisc_PyModuleName_DateTime                                 : "6461 7465 7469 6d65"
        , _EFwTextID.eMisc_QueueType_Internal                                    : "696e 7465 726e 616c"
        , _EFwTextID.eMisc_QueueType_External                                    : "6578 7465 726e 616c"
        , _EFwTextID.eMisc_LogPrefix_ExecCounter                                 : "5b23 7863 3d7b 7d5d"
        , _EFwTextID.eMisc_LogPrefix_Task                                        : "5b 4677 5473 6b5d"
        , _EFwTextID.eMisc_LogPrefix_Thread                                      : "5b46 7754 6872 645d"
        , _EFwTextID.eMisc_LogPrefix_Runnable                                    : "5b 5262 6c5d"
        , _EFwTextID.eMisc_Shared_FmtStr_001                                     : "7b 7d20 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_002                                     : "7b 7d3a 207b 7d3a 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_003                                     : "5b 7b7d 3a7b 7d5d"
        , _EFwTextID.eMisc_Shared_FmtStr_004                                     : "5b7b 7d5d 207b 7d3d 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_005                                     : "7b7d 3a20 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_006                                     : "7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_007                                     : "7b 7d20"
        , _EFwTextID.eMisc_Shared_FmtStr_008                                     : "3a20 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_009                                     : "5b 7b7d 5d20 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_010                                     : "5b7b 7d5d"
        , _EFwTextID.eMisc_Shared_FmtStr_011                                     : "7b 7d3a 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_012                                     : "0a09 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_013                                     : "7b7d 5b7b 7d5d"
        , _EFwTextID.eMisc_Shared_FmtStr_014                                     : "7b 7d5b 7b7d 3a7b 7d5d"
        , _EFwTextID.eMisc_Shared_FmtStr_015                                     : "20 7c20"
        , _EFwTextID.eMisc_Shared_FmtStr_016                                     : "20 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_017                                     : "207b 7d20 3a20 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_018                                     : "3a 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_019                                     : "3a3a 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_020                                     : "5b7b 7d20"
        , _EFwTextID.eMisc_Shared_FmtStr_021                                     : "7b7d 3a7b 7d5d"
        , _EFwTextID.eMisc_Shared_FmtStr_022                                     : "7b 7d5d"
        , _EFwTextID.eMisc_Shared_FmtStr_023                                     : "3a 205b 7b7d 5d20 2d20 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_024                                     : "7b7d 2c20 7b7d 2c20 7b7d 2c20 7b7d 2c20 7b7d 2c20 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_025                                     : "7b7d 2c20 7b7d 2c20 7b7d 2c20 7b7d 2c20 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_026                                     : "7b7d 2c20 7b7d 2c20 7b7d 2c20 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_027                                     : "20 2c20"
        , _EFwTextID.eMisc_Shared_FmtStr_029                                     : "7b 7d2e 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_030                                     : "7b 7d20 2c20 7b7d"
        , _EFwTextID.eMisc_Shared_FmtStr_031                                     : "0a 7b7d"
        , _EFwTextID.eMisc_Shared_NewlineTab                                     : "0a09"
        , _EFwTextID.eMisc_Shared_ApiGuide_ApiMask                               : "61 7069 4d61 736b"
        , _EFwTextID.eMisc_Shared_ApiGuide_ExcludedApiMask                       : "65 7863 6c41 7069 4d61 736b"
        , _EFwTextID.eMisc_Shared_Builtin_FuncName_Call                          : "5f5f 6361 6c6c 5f5f"
        , _EFwTextID.eMisc_Shared_Name_Srv                                       : "53 7276"
        , _EFwTextID.eMisc_Shared_Name_Main                                      : "4d61 696e"
        , _EFwTextID.eMisc_Shared_Name_XTask                                     : "58 5461 736b"
        , _EFwTextID.eMisc_Shared_Name_MainXTask                                 : "58 4d61 696e 5461 736b"
        , _EFwTextID.eMisc_Shared_Name_UThread                                   : "5573 6572 5468 7264"
        , _EFwTextID.eMisc_Shared_Logging_001                                    : "49 676f 6e72 696e 6720 696e 7661 6c69 6420 6572 726f 7220 636f 6465 2070 6173 7365 6420 696e 3a20 7b7d"
        , _EFwTextID.eMisc_Shared_Logging_002                                    : "456e 636f 756e 7465 7265 6420 6e65 6761 7469 7665 2065 7272 6f72 2063 6f64 6520 7b7d 2077 6869 6c65 2070 6f73 6974 6976 6520 7661 6c75 6573 2061 7265 2065 7870 6563 7465 6420 666f 7220 6170 706c 6963 6174 696f 6e20 6572 726f 7220 6c6f 6720 656e 7472 6965 732e"
        , _EFwTextID.eMisc_Shared_Logging_003                                    : "456e 636f 756e 7465 7265 6420 706f 7369 7469 7665 2065 7272 6f72 2063 6f64 6520 7b7d 2077 6869 6c65 206e 6567 6174 6976 6520 7661 6c75 6573 2061 7265 2065 7870 6563 7465 6420 666f 7220 6672 616d 6577 6f72 6b20 6572 726f 7220 6c6f 6720 656e 7472 6965 732e"
        , _EFwTextID.eMisc_Shared_Disabled_Subsys_MP                             : "5375 6273 6571 7565 6e74 2072 6571 7565 7374 7320 7265 6c61 7465 6420 746f 2074 6869 7320 7375 6273 7973 7465 6d20 7769 6c6c 2062 6520 286e 6f69 7365 6c65 7373 6c79 2920 6469 7363 6172 6465 642e"
        , _EFwTextID.eMisc_Shared_Disabled_Subsys_Msg                            : "5461 736b 2070 726f 6669 6c65 2069 6e73 7461 6e63 6573 2077 6f6e 2774 2070 726f 7669 6465 2073 7570 706f 7274 2066 6f72 2065 7874 6572 6e61 6c2f 696e 7465 726e 616c 2071 7565 7565 732e 0a09 5375 6273 6571 7565 6e74 2072 6571 7565 7374 7320 7265 6c61 7465 6420 746f 2074 6869 7320 7375 6273 7973 7465 6d20 7769 6c6c 2062 6520 286e 6f69 7365 6c65 7373 6c79 2920 6469 7363 6172 6465 642e"
        , _EFwTextID.eMisc_Shared_KeyboardInterrupt                              : "7b 7d43 6175 6768 7420 4b65 7962 6f61 7264 496e 7465 7272 7570 7420 6578 6365 7074 696f 6e20 7b7d"
        , _EFwTextID.eMisc_Shared_BAD_XCMD_RETURN_TYPE                           : "476f 7420 756e 6578 7065 6374 6564 2064 6174 6120 7479 7065 2027 7b7d 2720 7265 7475 726e 6564 2062 7920 332d 5068 5846 2063 616c 6c62 6163 6b20 6675 6e63 7469 6f6e 2e0a 0955 6e6c 6573 7320 274e 6f6e 6527 2069 7320 7265 7475 726e 6564 2028 6d65 616e 696e 6720 2745 4578 6563 7574 696f 6e43 6d64 4944 2e41 424f 5254 2729 2c20 6578 7065 6374 6564 2064 6174 6120 7479 7065 7320 6172 6520 6569 7468 6572 206f 6e65 206f 6620 2745 4578 6563 7574 696f 6e43 6d64 4944 2720 6f72 2027 626f 6f6c 272c 2066 6f72 6369 6e67 2074 6f20 6173 7375 6d65 2027 4545 7865 6375 7469 6f6e 436d 6449 442e 5354 4f50 2720 696e 7374 6561 642e"
        , _EFwTextID.ePreDefinedMethod_XRNumber                                  : "7872 4e75 6d62 6572"
        , _EFwTextID.ePreDefinedMethod_TaskError                                 : "74 6173 6b45 7272 6f72"
        , _EFwTextID.ePreDefinedMethod_TaskBadge                                 : "74 6173 6b42 6164 6765"
        , _EFwTextID.ePreDefinedMethod_IsXcoBaseException                        : "6973 5863 6f42 6173 6545 7863 6570 7469 6f6e"
        , _EFwTextID.ePreDefinedMethod_CleanedUp                                 : "5f 6243 6c65 616e 6564 5570"
        , _EFwTextID.ePreDefinedMethod_IsEqual                                   : "5f49 7345 7175 616c"
        , _EFwTextID.ePreDefinedMethod_CleanUp                                   : "5f43 6c65 616e 5570"
        , _EFwTextID.ePreDefinedMethod_ToString                                  : "5f 546f 5374 7269 6e67"
        , _EFwTextID.ePreDefinedMethod_CleanUpByOwnerRequest                     : "5f43 6c65 616e 5570 4279 4f77 6e65 7252 6571 7565 7374"
        , _EFwTextID.eELogLevel_Fatal                                            : "46 6174 616c"
        , _EFwTextID.eELogLevel_Error                                            : "45 7272 6f72"
        , _EFwTextID.eELogLevel_Warning                                          : "57 6172 6e69 6e67"
        , _EFwTextID.eELogLevel_KPI                                              : "4b 5049"
        , _EFwTextID.eELogLevel_Info                                             : "496e 666f"
        , _EFwTextID.eELogLevel_Debug                                            : "44 6562 7567"
        , _EFwTextID.eELogLevel_Trace                                            : "54 7261 6365"
        , _EFwTextID.eELogType_TRC                                               : "54 5243"
        , _EFwTextID.eELogType_DBG                                               : "44 4247"
        , _EFwTextID.eELogType_INF                                               : "49 4e46"
        , _EFwTextID.eELogType_KPI                                               : "4b 5049"
        , _EFwTextID.eELogType_WNG                                               : "57 4e47"
        , _EFwTextID.eELogType_ERR                                               : "45 5252"
        , _EFwTextID.eELogType_ERR_NOT_SYET                                      : "45 5252 5f4e 5359"
        , _EFwTextID.eELogType_FTL                                               : "46 544c"
        , _EFwTextID.eELogType_FTL_BAD_USE                                       : "4654 4c5f 4255"
        , _EFwTextID.eELogType_FTL_IMPL_ERR                                      : "4654 4c5f 4945"
        , _EFwTextID.eELogType_FTL_NOT_IYET                                      : "46 544c 5f4e 4959"
        , _EFwTextID.eELogType_FTL_SYS_OP_ERR                                    : "46 544c 5f53 4f45"
        , _EFwTextID.eELogType_FTL_SYS_OP_XCP                                    : "46 544c 5f53 4f58"
        , _EFwTextID.eELogType_FTL_NESTED_ERR                                    : "4654 4c5f 4e45 5252"
        , _EFwTextID.eELcCompID_LcMgr                                            : "4c 634d 6772"
        , _EFwTextID.eELcCompID_TMgr                                             : "544d 6772"
        , _EFwTextID.eELcCompID_FwSrv                                            : "46 7753 7276"
        , _EFwTextID.eELcCompID_XTask                                            : "58 5461 736b"
        , _EFwTextID.eELcCompID_MiscComp                                         : "4d69 7363 436f 6d70"
        , _EFwTextID.eELcCompID_LcDMgr                                           : "4c63 444d 6772"
        , _EFwTextID.eELcCompID_LcPxy                                            : "4c 6350 7879"
        , _EFwTextID.eELcCompID_FwMain                                           : "4677 4d61 696e"
        , _EFwTextID.eELcCompID_FwDspr                                           : "4677 4473 7072"
        , _EFwTextID.eELcCompID_ProcMgr                                          : "50 726f 634d 6772"
        , _EFwTextID.eELcCompID_TmrMgr                                           : "546d 724d 6772"
        , _EFwTextID.eELcCompID_MainXTask                                        : "58 4d61 696e 5461 736b"
        , _EFwTextID.eELcCompID_FwRbl                                            : "46 7752 626c"
        , _EFwTextID.eELcCompID_UserRbl                                          : "55 7365 7252 626c"
        , _EFwTextID.eELcCompID_UTRbl                                            : "55 5452 626c"
        , _EFwTextID.eELcCompID_FwThrd                                           : "4677 5468 7264"
        , _EFwTextID.eELcCompID_UserThrd                                         : "5573 6572 5468 7264"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_LcFailed                      : "4c63 4661 696c 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_LcStarted                     : "4c 6353 7461 7274 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_LcStopped                     : "4c 6353 746f 7070 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_TMgrFailed                    : "544d 6772 4661 696c 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_TMgrStarted                   : "54 4d67 7253 7461 7274 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_TMgrStopped                   : "54 4d67 7253 746f 7070 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_FwSrvFailed                   : "46 7753 7276 4661 696c 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_FwSrvStarted                  : "4677 5372 7653 7461 7274 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_FwSrvStopped                  : "4677 5372 7653 746f 7070 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_XTaskFailed                   : "58 5461 736b 4661 696c 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_XTaskStarted                  : "5854 6173 6b53 7461 7274 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_XTaskStopped                  : "5854 6173 6b53 746f 7070 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_MiscCompFailed                : "4d69 7363 436f 6d70 4661 696c 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_MiscCompStarted               : "4d 6973 6343 6f6d 7053 7461 7274 6564"
        , _EFwTextID.eLcStateImpl_ELcStateTransReq_MiscCompStopped               : "4d 6973 6343 6f6d 7053 746f 7070 6564"
        , _EFwTextID.eLcStateImpl_FrcList_ToString_001                           : "0a0a 4164 6469 7469 6f6e 616c 2046 5243 733a"
        , _EFwTextID.eLcStateImpl_FrcList_ToString_002                           : "0a09 7b3a 3c32 7d20 3a20"
        , _EFwTextID.eEUTaskApiID_RunXTask                                       : "5275 6e58 5461 736b"
        , _EFwTextID.eEUTaskApiID_SetUpXTask                                     : "5365 7455 7058 5461 736b"
        , _EFwTextID.eEUTaskApiID_TearDownXTask                                  : "54 6561 7244 6f77 6e58 5461 736b"
        , _EFwTextID.eEUTaskApiID_ProcessInternalMessage                         : "5072 6f63 6573 7349 6e74 6572 6e61 6c4d 6573 7361 6765"
        , _EFwTextID.eEUTaskApiID_ProcessExternalMessage                         : "5072 6f63 6573 7345 7874 6572 6e61 6c4d 6573 7361 6765"
        , _EFwTextID.eFwApiBase_StartPreamble                                    : "7b7d 0a7b 7d0a 7b7d 2058 434f 4644 4b20 7b7d 0a7b 7d20 7b7d 0a7b 7d0a 7b7d"
        , _EFwTextID.eFwApiBase_StartPreamble_Python_Version                     : "50 7974 686f 6e20 7b7d"
        , _EFwTextID.eLogException_TypeName_Fatal                                : "5f4c 6f67 4578 6365 7074 696f 6e46 6174 616c"
        , _EFwTextID.eLogException_TypeName_BadUse                               : "5f 4c6f 6745 7863 6570 7469 6f6e 4261 6455 7365"
        , _EFwTextID.eLogException_TypeName_ImplError                            : "5f4c 6f67 4578 6365 7074 696f 6e49 6d70 6c45 7272 6f72"
        , _EFwTextID.eLogException_TypeName_NotImplemented                       : "5f 4c6f 6745 7863 6570 7469 6f6e 4e6f 7449 6d70 6c65 6d65 6e74 6564"
        , _EFwTextID.eLogException_TypeName_SystemOpERR                          : "5f4c 6f67 4578 6365 7074 696f 6e53 7973 7465 6d4f 7045 5252"
        , _EFwTextID.eLogException_TypeName_SystemOpXCP                          : "5f4c 6f67 4578 6365 7074 696f 6e53 7973 7465 6d4f 7058 4350"
        , _EFwTextID.eLogException_TypeName_NestedError                          : "5f4c 6f67 4578 6365 7074 696f 6e4e 6573 7465 6445 7272 6f72"
        , _EFwTextID.eAbsFwP_AN_ATTR_KEY_ARGS                                    : "70 612d 6172 6773"
        , _EFwTextID.eAbsFwP_AN_ATTR_KEY_AUTO_START_ENCLOSED_PYTHREAD            : "70 612d 6175 746f 2d73 7461 7274 2d65 6e63 6c6f 7365 642d 7079 7468 7265 6164"
        , _EFwTextID.eAbsFwP_AN_ATTR_KEY_ENCLOSED_PYTHREAD                       : "7061 2d65 6e63 6c6f 7365 642d 7079 7468 7265 6164"
        , _EFwTextID.eAbsFwP_AN_ATTR_KEY_KWARGS                                  : "70 612d 6b77 6172 6773"
        , _EFwTextID.eAbsFwP_AN_ATTR_KEY_TASK_NAME                               : "7061 2d74 6173 6b2d 6e61 6d65"
        , _EFwTextID.eAbsFwP_AN_ATTR_KEY_TASK_RIGHTS                             : "7061 2d74 6173 6b2d 7269 6768 7473"
        , _EFwTextID.eAbsFwP_AN_ATTR_KEY_TASK_ID                                 : "2d 7061 2d74 6173 6b2d 6964"
        , _EFwTextID.eTaskBadge_ToString_01                                      : "7b 7d3a 5b7b 7d3a 7b7d 5d3a 5b7b 7d5d"
        , _EFwTextID.eFwTP_AN_ATTR_KEY_DELAYED_START_TIME_SPAN                   : "7061 2d64 656c 6179 6564 2d73 7461 7274 2d74 696d 652d 7370 616e"
        , _EFwTextID.eFwTP_AN_ATTR_KEY_EXTERNAL_QUEUE_SIZE                       : "7061 2d65 7874 6572 6e61 6c2d 7175 6575 652d 7369 7a65"
        , _EFwTextID.eFwTP_AN_ATTR_KEY_ON_SIZE_BLOCKING_XQUEUE                   : "7061 2d6f 6e2d 7369 7a65 2d62 6c6f 636b 696e 672d 7871 7565 7565"
        , _EFwTextID.eFwTP_AN_ATTR_KEY_RESOURCES_MASK                            : "70 612d 7265 736f 7572 6365 732d 6d61 736b"
        , _EFwTextID.eFwTP_AN_ATTR_KEY_RUNNABLE                                  : "70 612d 7275 6e6e 6162 6c65"
        , _EFwTextID.eFwTP_AN_ATTR_KEY_TIMER                                     : "7061 2d74 696d 6572"
        , _EFwTextID.eFwTP_AN_ATTR_KEY_TIMER_PROFILE                             : "7061 2d74 696d 6572 2d70 726f 6669 6c65"
        , _EFwTextID.eFwTP_AN_ATTR_KEY_EXT_QUEUE                                 : "2d70 612d 6578 7465 726e 616c 2d71 7565 7565"
        , _EFwTextID.eFwTP_AN_ATTR_KEY_INT_QUEUE                                 : "2d70 612d 696e 7465 726e 616c 2d71 7565 7565"
        , _EFwTextID.eFwTP_AN_ATTR_KEY_TIMER_RESOURCE                            : "2d70 612d 7469 6d65 722d 7265 736f 7572 6365"
        , _EFwTextID.eThrdP_AN_ATTR_KEY_UTASK_CONN                               : "70 612d 7574 6173 6b2d 636f 6e6e"
        , _EFwTextID.eThrdP_AN_ATTR_KEY_THREAD_TARGET                            : "7061 2d74 6872 6561 642d 7461 7267 6574"
        , _EFwTextID.eXTaskPrfBase_ToString_01                                   : "54 6173 6b20 7072 6f66 696c 6520 3a0a"
        , _EFwTextID.eXTaskPrfBase_ToString_02                                   : "61 6c69 6173 4e61 6d65"
        , _EFwTextID.eXTaskPrfBase_ToString_03                                   : "6973 4d61 696e 5461 736b"
        , _EFwTextID.eXTaskPrfBase_ToString_04                                   : "6973 4379 636c 6963 5275 6e50 6861 7365"
        , _EFwTextID.eXTaskPrfBase_ToString_05                                   : "6973 5072 6976 696c 6567 6564 5461 736b"
        , _EFwTextID.eXTaskPrfBase_ToString_06                                   : "69 7353 6574 7570 5068 6173 6545 6e61 626c 6564"
        , _EFwTextID.eXTaskPrfBase_ToString_07                                   : "6973 5465 6172 646f 776e 5068 6173 6545 6e61 626c 6564"
        , _EFwTextID.eXTaskPrfBase_ToString_08                                   : "6973 496e 7465 726e 616c 5175 6575 6545 6e61 626c 6564"
        , _EFwTextID.eXTaskPrfBase_ToString_09                                   : "6973 4578 7465 726e 616c 5175 6575 6545 6e61 626c 6564"
        , _EFwTextID.eXTaskPrfBase_ToString_10                                   : "69 7345 7874 6572 6e61 6c51 7565 7565 426c 6f63 6b69 6e67"
        , _EFwTextID.eXTaskPrfBase_ToString_11                                   : "6973 5379 6e63 5461 736b"
        , _EFwTextID.eXTaskPrfBase_ToString_12                                   : "72 756e 5068 6173 6546 7265 7175 656e 6379 4d53"
        , _EFwTextID.eXTaskPrfBase_ToString_13                                   : "72 756e 5068 6173 654d 6178 5072 6f63 6573 7369 6e67 5469 6d65 4d53"
        , _EFwTextID.eXTaskPrfBase_ToString_14                                   : "69 7352 756e 5068 6173 6545 6e61 626c 6564"
        , _EFwTextID.eXTaskPrfBase_ToString_15                                   : "09 7b3a 3c33 327d 203a 207b 7d0a"
        , _EFwTextID.eXTaskPrfExt_ToString_02                                    : "6973 5263 5461 736b"
        , _EFwTextID.eLcConfig_ToString                                          : "74 6774 5363 6f70 653d 7b7d"
        , _EFwTextID.eLcManager_MsgPrefix                                        : "5b4c 435d 5b4c 634d 6772 5d20"
        , _EFwTextID.eLcManager_ToString                                         : "4c 634d 3a20 7467 7453 636f 7065 3d7b 7d20 2c20 6375 7253 636f 7065 3d7b 7d20 2c20 6c63 5374 6174 653a 0a09 7b7d"
        , _EFwTextID.eLcXStateHistory_ToString_01                                : "5b7b 7d5d 206c 6345 7865 6348 6973 746f 7279 3a20 7b7d"
        , _EFwTextID.eLcXStateHistory_ToString_02                                : "202d 3e20"
        , _EFwTextID.eLcXStateHistory_ToString_03                                : "203a 3d20"
        , _EFwTextID.eLcDepManager_ToString_01                                   : "7b7d 3a20 6c63 5363 6f70 653d 7b7d 2c20 6c63 5374 6174 653d 7b7d"
        , _EFwTextID.eLcProxy_ToString_01                                        : "4c63 5078 793a 2066 774d 6169 6e3d 7b7d 202c 206c 6353 636f 7065 3d7b 7d20 2c20 6c63 5374 6174 653d 7b7d 0a09 7b7d"
        , _EFwTextID.eLcFrcView_ToString_01                                      : "0a46 5243 3a20 5b55 4944 3a7b 7d5d 5b43 4f4d 503a 7b7d 5d5b 4543 3a7b 7d5d 5b7b 7d5d"
        , _EFwTextID.ePcErrorBin_ToString_01                                     : "6f 776e 6572 5449 443d 7b7d 2c20"
        , _EFwTextID.ePcErrorBin_ToString_02                                     : "62 696e 5449 443d 7b7d"
        , _EFwTextID.ePcErrorBin_ToString_03                                     : "7072 696d 616c 4645 3d7b 7d3a 7b7d"
        , _EFwTextID.ePcErrorBin_ToString_04                                     : "66 6972 7374 4645 3d7b 7d3a 7b7d"
        , _EFwTextID.ePcErrorBin_ToString_05                                     : "63 7572 4545 3d7b 7d3a 7b7d"
        , _EFwTextID.ePcErrorBin_ToString_06                                     : "2c 2063 7572 4545 3d2d"
        , _EFwTextID.ePcErrorBin_ToString_07                                     : "2c20 7b7d"
        , _EFwTextID.eTimeUtil_GetTimeStamp_FmrStr_01                            : "2d2d 3a2d 2d3a 2d2d 2e2d 2d2d"
        , _EFwTextID.eTimeUtil_GetTimeStamp_FmrStr_02                            : "7b 3a3e 3036 647d"
        , _EFwTextID.eTimeUtil_GetTimeStamp_FmrStr_03                            : "7b 3a3e 3033 647d"
        , _EFwTextID.eTimeUtil_GetTimeStamp_FmrStr_04                            : "25 483a 254d 3a25 532e"
        , _EFwTextID.eTimeParts_ToString_01                                      : "7b30 3a32 647d 642c 207b 313a 3032 647d 3a7b 323a 3032 647d 3a7b 333a 3032 647d 2e7b 343a 3033 647d"
        , _EFwTextID.eTimeParts_ToString_02                                      : "7b 303a 3032 647d 3a7b 313a 3032 647d 3a7b 323a 3032 647d 2e7b 333a 3033 647d"
        , _EFwTextID.eStopWatch_ToString_01                                      : "7474 5374 6172 7455 533d 7b7d"
        , _EFwTextID.eStopWatch_ToString_02                                      : "202c 2074 7453 746f 7055 533d 7b7d 2020 2c20 7469 6d65 4465 6c74 613d 7b7d"
        , _EFwTextID.eKpiLogBook_ToString_01                                     : "5b 7b3a 3c31 3873 7d20 2e2e 207b 3a3e 3138 737d 5d20 3a20 7b7d"
        , _EFwTextID.eLogMgr_ToString_01                                         : "7b 7d3a 2028 444d 2c20 584d 2c20 4c4c 2c20 554c 4c29 3d28 7b7d 2c20 7b7d 2c20 7b7d 2c20 7b7d 290a"
        , _EFwTextID.eLogMgr_AddLog_FmtStr_01                                    : "5b7b 7d5d 5b7b 7d5d 2050 7269 6e74 696e 6720 6578 6365 7074 696f 6e20 6265 6c6f 773a 0a09 7b7d"
        , _EFwTextID.eLogMgr_AddLog_FmtStr_02                                    : "5b 4c6f 6749 465d 2053 6574 2075 7020 696e 7374 616e 6365 3a20 7b7d"
        , _EFwTextID.eLogMgr_PrintSummary_FmtStr_01                              : "46 6174 616c 7328"
        , _EFwTextID.eLogMgr_PrintSummary_FmtStr_02                              : "292c 2045 7272 6f72 7328"
        , _EFwTextID.eLogMgr_PrintSummary_FmtStr_03                              : "292c 2057 6172 6e69 6e67 7328"
        , _EFwTextID.eLogMgr_PrintSummary_FmtStr_04                              : "29 2c20 496e 666f 7328"
        , _EFwTextID.eLogMgr_PrintSummary_FmtStr_05                              : "20 5b4c 435d 2042 4547 494e 3a20 204c 6f67 4946 2d53 756d 6d61 7279 2020"
        , _EFwTextID.eLogMgr_PrintSummary_FmtStr_06                              : "4669 7273 7420 6661 7461 6c20 6c6f 6720 6f63 6375 7272 6564 3a0a 7b7d"
        , _EFwTextID.eLogMgr_PrintSummary_FmtStr_07                              : "0a 454e 4420 6f66 2066 6972 7374 2066 6174 616c 206c 6f67 2e0a"
        , _EFwTextID.eLogMgr_PrintSummary_FmtStr_08                              : "44 6f6e 6520 286d 6178 4c6f 6754 696d 653d"
        , _EFwTextID.eLogMgr_PrintSummary_FmtStr_09                              : "202c 2020 6d61 7845 7272 4c6f 6754 696d 653d"
        , _EFwTextID.eLogMgr_PrintSummary_FmtStr_10                              : "20 5b4c 435d 2045 4e44 3a20 204c 6f67 4946 2d53 756d 6d61 7279 2020"
        , _EFwTextID.eLogMgr_PrintSummary_FmtStr_11                              : "54 6f74 616c 2070 726f 6365 7373 696e 6720 7469 6d65 3a20 7b7d"
        , _EFwTextID.eLogMgr_CheckLogRequest_Msg_01                              : "43 6175 6768 7420 756e 6861 6e64 6c65 6420 7b7d 5b7b 7d5d 3a20 7b7d"
        , _EFwTextID.eLogMgr_CheckLogRequest_Msg_02                              : "5b 4c6f 6749 465d 2049 676e 6f72 696e 6720 6174 7465 6d70 7420 746f 206c 6f67 2061 6464 6974 696f 6e61 6c20 7b7d 2065 7272 6f72 2062 656c 6f77 2064 7565 2074 6f20 6375 7272 656e 7420 7b7d 2065 7272 6f72 5b7b 7d5d 2c20"
        , _EFwTextID.eLogMgr_CheckLogRequest_Msg_03                              : "0a63 6f6e 7369 6465 7220 746f 2063 6c65 6172 2063 7572 7265 6e74 2074 6173 6b20 6572 726f 7220 6265 666f 7265 2028 6966 2061 7070 6c69 6361 626c 6529 3a0a 095b 7b7d 5d20 2d20 7b7d"
        , _EFwTextID.eLogMgr_ActiveTimeKPI                                       : "4672 616d 6577 6f72 6b20 6163 7469 7665 2074 7261 636b 696e 6720 6475 7261 7469 6f6e 3a20 7b7d"
        , _EFwTextID.eVLogIF_PrintSummary_FmtStr_01                              : "7646 6174 616c 7328"
        , _EFwTextID.eVLogIF_PrintSummary_FmtStr_02                              : "29 2c20 7645 7272 6f72 7328"
        , _EFwTextID.eVLogIF_PrintSummary_FmtStr_03                              : "29 2c20 7657 6172 6e69 6e67 7328"
        , _EFwTextID.eVLogIF_PrintSummary_FmtStr_04                              : "292c 2076 496e 666f 7328"
        , _EFwTextID.eVLogIF_PrintSummary_FmtStr_05                              : "205b 4c43 5d20 4245 4749 4e3a 2020 764c 6f67 4946 2d53 756d 6d61 7279 2020"
        , _EFwTextID.eVLogIF_PrintSummary_FmtStr_06                              : "205b 4c43 5d20 454e 443a 2020 2020 764c 6f67 4946 2d53 756d 6d61 7279 2020"
        , _EFwTextID.eVLogIF_PrintException_FmtStr_01                            : "5b7b 7d5d 2050 7269 6e74 696e 6720 6361 7567 6874 2065 7863 6570 7469 6f6e 3a20 7b7d"
        , _EFwTextID.eVLogIF_VPrint_FmtStr_01                                    : "5b7b 7d20 767b 7d5d"
        , _EFwTextID.eVLogIF_VPrint_FmtStr_03                                    : "5b 7b7d 207b 7d5d"
        , _EFwTextID.eVLogIF_VPrint_FmtStr_04                                    : "7b7d 5b7b 7d5d 7b7d"
        , _EFwTextID.eVLogIF_SetVSystemExitStatus                                : "53 7769 7463 6865 6420 5653 7973 7465 6d45 7869 744d 6f64 653a 2066 726f 6d20 7b7d 2074 6f20 7b7d"
        , _EFwTextID.eVLogIF_ClearLogHistory                                     : "43 6c65 6172 6564 2076 6c6f 6720 6869 7374 6f72 793a 2023 766c 6f67 4374 723d 7b7d"
        , _EFwTextID.eFwCallable_ToString_01                                     : "2c 206d 6574 686f 644e 616d 653d 7b7d"
        , _EFwTextID.eMutex_ToString_01                                          : "7b7d 3a20 286f 776e 6572 4944 2c20 6e75 6d4c 6f63 6b73 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eSemaphoreBase_ToString_01                                  : "4d 4158 5f43 4f55 4e54"
        , _EFwTextID.eSemaphoreBase_ToString_02                                  : "49 4e49 5449 414c 5f43 4f55 4e54"
        , _EFwTextID.eSemaphoreBase_ToString_03                                  : "7b7d 3a20 287b 7d2c 2063 6f75 6e74 6572 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eXcoException_XcoBaseException_ToString_01                  : "205b 7b7d 5d20 7b7d 0a5b 5472 6163 6562 6163 6b5d 3a0a 7b7d"
        , _EFwTextID.eXcoException_XTaskExceptionBase_ToString_01                : "5b58 5461 736b 4578 6365 7074 696f 6e5d 5b7b 7d5d"
        , _EFwTextID.eLogEntry_ToString_01                                       : "0a5b 4361 6c6c 7374 6163 6b5d 3a0a 7b7d"
        , _EFwTextID.eLogEntry_ToString_02                                       : "0a 5b50 7974 686f 6e20 4261 7365 4578 6365 7074 696f 6e5d 3a0a 7b7d"
        , _EFwTextID.eLogEntry_ToString_03                                       : "0a 5b53 7562 7365 7175 656e 7420 6578 6365 7074 696f 6e5d 3a0a 7b7d"
        , _EFwTextID.eLcStateImpl_ToString_01                                    : "20 4c63 4964 6c65"
        , _EFwTextID.eLcStateImpl_ToString_02                                    : "4c 6353 7461 7465 5b7b 7d5d 203a 7b7d"
        , _EFwTextID.eLcStateImpl_ToString_03                                    : "4c 6353 7461 7465 203a 7b7d"
        , _EFwTextID.eLcStateImpl_ToString_04                                    : "0a09 4652 4320 6572 726f 7220 636f 6465 2020 2020 3a20 7b7d"
        , _EFwTextID.eLcStateImpl_UpdateLcState_FmtStr_01                        : "5570 6461 7465 6420 4c43 2073 7461 7465"
        , _EFwTextID.eLcStateImpl_UpdateLcState_PreCheckSetRequest_FmtStr_01     : "0a 0963 7572 424d 3d7b 7d20 2063 6f6d 7049 443d 7b7d 2020 6253 5346 3d7b 7d20 2073 7452 6571 3d7b 7d20 2066 7263 4572 723d 7b7d 2020 6162 7354 6173 6b3d 7b7d"
        , _EFwTextID.eEUTaskXState_ToString_01                                   : "4174 4465 7461 6368 5469 6d65"
        , _EFwTextID.eEUTaskXState_ToString_02                                   : "5072 6552 756e 6e69 6e67"
        , _EFwTextID.eEUTaskXState_ToString_03                                   : "52 756e 6e69 6e67"
        , _EFwTextID.eEUTaskXState_ToString_04                                   : "446f 6e65"
        , _EFwTextID.eEUTaskXState_ToString_05                                   : "4661 696c 6564"
        , _EFwTextID.eEUTaskXState_ToString_06                                   : "5374 6f70 7069 6e67"
        , _EFwTextID.eEUTaskXState_ToString_07                                   : "4162 6f72 7469 6e67"
        , _EFwTextID.eEUTaskXState_ToString_08                                   : "4361 6e63 656c 6564"
        , _EFwTextID.eEUTaskXState_ToString_09                                   : "43 616e 6365 6c69 6e67"
        , _EFwTextID.eUserTaskConn_XTaskMirror_ToString_01                       : "5b 5854 4d5d 5b7b 7d5d 2073 7461 7465 3a20 7b7d"
        , _EFwTextID.eUserTaskConn_LogPrefix                                     : "5b 5554 435d"
        , _EFwTextID.eUserTaskConn_LogPrefix_StateUpdate                         : "5b53 7455 705d"
        , _EFwTextID.ePcErrHandler_ToString_01                                   : "5b 4548 646c 5d5b 7b7d 5d3a 2065 6542 696e 3a20 7b7d"
        , _EFwTextID.ePcErrHandler_ToString_02                                   : "20 2026 2020 6665 6542 696e 3a20 7b7d"
        , _EFwTextID.eFwTaskError_MsgPrefix                                      : "5b 5445 7272 5d20"
        , _EFwTextID.eXTaskErrorImpl_ToString_01                                 : "5b46 6174 616c 4572 726f 725d"
        , _EFwTextID.eXTaskErrorImpl_ToString_02                                 : "5b 5573 6572 4572 726f 725d"
        , _EFwTextID.eFwMessage_ToString_01                                      : "46 5720 6d65 7373 6167 653a 2028 756e 6971 7565 4944 2c20 7479 7065 2c20 6368 616e 6e65 6c2c 2063 6c75 7374 6572 2c20 6c61 6265 6c2c 2073 656e 6465 722c 2072 6563 6569 7665 722c 2023 7061 7261 6d73 293d 287b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eMessageHeader_ToString_01                                  : "4d65 7373 6167 6520 6865 6164 6572 3a20 2874 7970 652c 2063 6861 6e6e 656c 2c20 636c 7573 7465 722c 206c 6162 656c 2c20 7365 6e64 6572 2c20 7265 6365 6976 6572 293d 287b 7d29"
        , _EFwTextID.eMessageFilter_ToString_01                                  : "4d65 7373 6167 6520 6669 6c74 6572 3a20 2874 7970 652c 2063 6861 6e6e 656c 2c20 636c 7573 7465 722c 206c 6162 656c 2c20 7365 6e64 6572 2c20 7265 6365 6976 6572 293d 287b 7d29"
        , _EFwTextID.eMessageCluster_ToString_01                                 : "7b7d 3a20 636c 7573 7465 723d 7b7d 202c 206c 6162 656c 733d 7b7d"
        , _EFwTextID.eXcoMsgHeader_ToString_01                                   : "5863 6f20 6d65 7373 6167 6520 6865 6164 6572 3a20 2863 6c75 7374 6572 2c20 6c61 6265 6c2c 2073 656e 6465 722c 2072 6563 6569 7665 722c 2062 496e 7465 726e 616c 293d 287b 7d29"
        , _EFwTextID.eXcoMsgImpl_ToString_01                                     : "5863 6f20 6d65 7373 6167 653a 2028 756e 6971 7565 4944 2c20 636c 7573 7465 722c 206c 6162 656c 2c20 7365 6e64 6572 2c20 7265 6365 6976 6572 2c20 6249 6e74 6572 6e61 6c2c 2023 7061 7261 6d73 293d 287b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eSerDes_ToString_02                                         : "5b 5344 5d20 7b7d"
        , _EFwTextID.eSerDes_ToString_03                                         : "28 6269 6e61 7279 466f 726d 6174 293d 287b 7d29"
        , _EFwTextID.eSerDes_ToString_04                                         : "28 6269 6e61 7279 466f 726d 6174 2c20 6669 6c65 5061 7468 293d 287b 7d2c 203c 7b7d 3e29"
        , _EFwTextID.eCallableSignature_ToString_01                              : "63 616c 6c61 626c 6549 443a 207b 7d20 2c20 7b7d"
        , _EFwTextID.eXProcessConn_ToString_01                                   : "5b58 5043 5d20 7b7d 202c 207b 7d20 2c20 7b7d"
        , _EFwTextID.eXMPUtilImpl_ToString_01                                    : "2020 287b 7d29"
        , _EFwTextID.eFwRteConfig_ToString_01                                    : "4672 616d 6577 6f72 6b27 7320 5254 4520 706f 6c69 6379 2063 6f6e 6669 6775 7261 7469 6f6e 3a0a"
        , _EFwTextID.eFwRteConfig_ToString_02                                    : "656e 6162 6c65 2d61 7574 6f2d 7374 6f70"
        , _EFwTextID.eFwRteConfig_ToString_03                                    : "656e 6162 6c65 2d74 6572 6d69 6e61 6c2d 6d6f 6465"
        , _EFwTextID.eFwRteConfig_ToString_04                                    : "6279 7061 7373 2d65 7870 6572 696d 656e 7461 6c2d 6672 6565 2d74 6872 6561 6469 6e67"
        , _EFwTextID.eFwRteConfig_ToString_05                                    : "45 7272 6f72 206d 6573 7361 6765 2063 6175 7365 6420 6279 2074 6865 206c 6173 7420 636f 6e66 6c69 6374 696e 6720 636f 6e66 6967 7572 6174 696f 6e20 6174 7465 6d70 743a 0a09 7b7d"
        , _EFwTextID.eFwRteConfig_ToString_06                                    : "65 6e61 626c 652d 666f 7263 6564 2d61 7574 6f2d 7374 6f70"
        , _EFwTextID.eFwRteConfig_ToString_07                                    : "28 6465 6661 756c 7429"
        , _EFwTextID.eFwRteConfig_ToString_08                                    : "64 6973 6162 6c65 2d73 7562 7379 7374 656d 2d6d 6573 7361 6769 6e67"
        , _EFwTextID.eFwRteConfig_ToString_09                                    : "64 6973 6162 6c65 2d73 7562 7379 7374 656d 2d6d 756c 7469 7072 6f63 6573 7369 6e67"
        , _EFwTextID.eFwRteConfig_ToString_10                                    : "64 6973 6162 6c65 2d65 7863 6570 7469 6f6e 2d74 7261 636b 696e 672d 6f66 2d63 6869 6c64 2d70 726f 6365 7373 6573"
        , _EFwTextID.eFwRteConfig_ToString_11                                    : "2020 7b3a 3c34 3673 7d20 3a20 7b3a 3c73 7d0a"
        , _EFwTextID.eXCbCase_XCallback_ToString_001                             : "6765 6e65 7269 6320 2d20"
        , _EFwTextID.eXCbCase_XCallback_ToString_002                             : "0a 095b 5843 616c 6c62 6163 6b5d 207b 7d7b 3a3c 3130 7d20 3a20 7b7d"
        , _EFwTextID.eXCbCase_ToString_001                                       : "5b 5843 6243 6173 655d 2062 4765 6e65 7269 633d 7b7d 202c 207b 7d20 6361 6c6c 6261 636b 2873 293a 7b7d"
        , _EFwTextID.eFwsDispatcher_ToString_001                                 : "2823 7265 6743 6172 6473 293d 287b 7d29"
        , _EFwTextID.eXProcessAgent_ToString_001                                 : "5072 6f63 6573 733a 2055 4944 3d7b 7d20 2061 6c69 6173 4e61 6d65 3d7b 7d20 206e 616d 653d 7b7d 2020 5049 443d 7b7d 2020 6578 6974 436f 6465 3d7b 7d20 2064 6f6e 653d 7b7d"
        , _EFwTextID.eXProcessAgent_ToString_002                                 : "7b 7d20 287b 7d29"
        , _EFwTextID.eLcGuard_ToString_001                                       : "5b4c 6347 5d20 3a20 7374 6174 653d 7b7d"
        , _EFwTextID.eLcTLB_ToString_001                                         : "5b4c 6353 544c 425d 5b7b 7d5d"
        , _EFwTextID.eLcTLB_ToString_002                                         : "5b 4c63 4454 4c42 5d5b 7b7d 5d20 7461 736b 5374 6174 653d 7b7d"
        , _EFwTextID.eLcTLB_ToString_003                                         : "5b4c 6343 544c 425d 5b7b 7d5d 203a 2063 6561 7365 5374 6174 6520 3d20 7b7d"
        , _EFwTextID.eLcTLB_ToString_004                                         : "5b 4c63 544c 425d 5b7b 7d5d"
        , _EFwTextID.eLogMsg_Shared_TID_001                                      : "7b 7d20 4465 7465 6365 6420 6162 6f72 7469 6e67 207b 7d20 7374 6174 652c 2077 696c 6c20 7472 7920 746f 2073 6574 2066 6174 616c 2065 7272 6f72 2061 6363 6f72 6469 6e67 6c79 2061 7320 6e6f 206f 6e65 2077 6173 2073 6574 2062 6566 6f72 652e"
        , _EFwTextID.eLogMsg_Shared_TID_002                                      : "7b 7d20 332d 5068 5846 2063 616c 6c62 6163 6b20 6675 6e63 7469 6f6e 2028 6f66 207b 7d2d 7068 6173 6529 2072 6574 7572 6e65 6420 4142 4f52 542e"
        , _EFwTextID.eLogMsg_Shared_TID_003                                      : "206f 6620 7b7d 5b7b 7d3a 7b7d 5d20 6265 6c6f 773a 0a09 7b7d"
        , _EFwTextID.eLogMsg_Shared_TID_004                                      : "4c 6162 656c 2049 4420 746f 2062 6520 7061 7373 6564 2074 6f20 6d75 7374 206e 6f74 2062 6520 6120 6c69 7374 206f 6620 6c61 6265 6c73 3a20 7b7d"
        , _EFwTextID.eFwConfig_TID_001                                           : "5f78 636f 6677 2f5f 6677 2f66 7773 7379 732f 6677 636f 7265"
        , _EFwTextID.eFwConfig_TID_002                                           : "636f 6e66 6967"
        , _EFwTextID.eFwConfig_TID_003                                           : "5b43 4647 5d20 4661 696c 6564 2074 6f20 7265 7472 6965 7665 2078 636f 2064 6972 2069 6e66 6f2e"
        , _EFwTextID.eFwConfig_TID_004                                           : "5b 4346 475d 204e 6f6e 2d65 7869 7374 696e 6720 6677 2063 6f72 6520 6469 722e"
        , _EFwTextID.eFwConfig_TID_005                                           : "5b 4346 475d 204e 6f6e 2d65 7869 7374 696e 6720 6677 2063 6f6e 6669 6720 6469 722e"
        , _EFwTextID.eLogMsg_AbsTask_TID_001                                     : "7b7d 3a20 2862 6164 6765 2c20 7275 6e6e 696e 672c 2073 7461 7465 293d 287b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_FwTask_TID_002                                      : "6265 6c6f 7720 7768 696c 6520 7472 7969 6e67 2074 6f20 6a6f 696e 207b 7d2e"
        , _EFwTextID.eLogMsg_FwTaskError_TID_001                                 : "4967 6e6f 7269 6e67 2072 6571 7565 7374 2066 726f 6d20 7461 736b 207b 7d20 746f 2063 6c65 6172 2063 7572 7265 6e74 2066 6174 616c 2065 7272 6f72 205b 7b7d 5d20 6475 6520 746f 2064 6965 2d6d 6f64 652e"
        , _EFwTextID.eLogMsg_TaskMgr_TID_001                                     : "46 6169 6c65 6420 746f 2070 6572 666f 726d 2073 656d 692d 6174 7461 6368 2074 6f20 6672 616d 6577 6f72 6b2e"
        , _EFwTextID.eLogMsg_TaskMgr_TID_002                                     : "4661 696c 6564 2074 6f20 6372 6561 7465 2074 6173 6b20 7461 736b 2070 726f 6669 6c65 3a20 7b7d"
        , _EFwTextID.eLogMsg_TaskMgr_TID_003                                     : "544d 6772 2063 6175 6768 7420 7379 7374 656d 2065 7863 6570 7469 6f6e"
        , _EFwTextID.eLogMsg_TaskMgr_TID_004                                     : "46 7261 6d65 776f 726b 2064 6f65 7320 6e6f 7420 7375 7070 6f72 7420 6e65 7374 6564 2073 796e 6320 7461 736b 732f 7468 7265 6164 733a 2028 656e 636c 5468 7265 6164 2c20 7469 642c 2074 6e61 6d65 293d 287b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_TaskMgr_TID_005                                     : "46 6f75 6e64 2073 7461 7274 2072 6571 7565 7374 2066 6f72 2061 2074 6173 6b20 696e 7374 616e 6365 2061 6c72 6561 6479 2073 7461 7274 6564 3a20 2874 6964 2c20 5f6d 7954 736b 496e 7374 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_TaskMgr_TID_006                                     : "466f 756e 6420 7374 6172 7420 7265 7175 6573 7420 666f 7220 616e 2069 6e76 616c 6964 2f75 6e69 7469 616c 697a 6564 2074 6173 6b20 696e 7374 616e 6365 3a20 2874 6964 2c20 5f6d 7954 736b 496e 7374 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_TaskMgr_TID_007                                     : "466f 756e 6420 7379 6e63 2073 7461 7274 2072 6571 7565 7374 2077 6869 6c65 206d 6973 6d61 7463 6820 7265 6761 7264 696e 6720 656e 636c 6f73 6564 2f63 7572 7265 6e74 2074 6872 6561 6473 3a20 2874 6964 2c20 6574 6872 642c 2063 7468 7264 293d 287b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_TaskMgr_TID_008                                     : "46 7261 6d65 776f 726b 2064 6f65 7320 6e6f 7420 7375 7070 6f72 7420 6e65 7374 6564 2073 796e 6320 7461 736b 732f 7468 7265 6164 733a 2028 7469 642c 2074 6e61 6d65 2c20 7469 6432 2c20 746e 616d 6532 293d 287b 7d2c 207b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_TaskMgr_TID_009                                     : "54 4d67 7220 6361 7567 6874 2028 7379 7374 656d 2920 6578 6365 7074 696f 6e20 6265 6c6f 773a 0a09 7b7d"
        , _EFwTextID.eLogMsg_TaskMgr_TID_010                                     : "55 6e65 7870 6563 7465 6420 6661 7461 6c20 6572 726f 7220 7768 696c 6520 7472 7969 6e67 2074 6f20 6372 6561 7465 2074 6173 6b20 7072 6f66 696c 6520 666f 7220 7461 736b 3a20 7b7d"
        , _EFwTextID.eLogMsg_TaskMgr_TID_012                                     : "28 7461 736b 5549 442c 206e 6964 2c20 7569 642c 206e 616d 652c 2070 7974 6872 6561 642c 2061 6c69 7665 2c20 7374 6174 7573 293d 287b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_TaskMgr_TID_013                                     : "2874 6173 6b55 4944 2c20 7569 642c 206e 616d 652c 2070 7974 6872 6561 642c 2061 6c69 7665 2c20 7374 6174 7573 293d 287b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_TaskMgr_TID_014                                     : "2874 6173 6b55 4944 2c20 6e69 642c 206e 616d 652c 2070 7974 6872 6561 642c 2061 6c69 7665 2c20 7374 6174 7573 293d 287b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_TaskMgr_TID_015                                     : "28 7461 736b 5549 442c 206e 616d 652c 2070 7974 6872 6561 642c 2061 6c69 7665 2c20 7374 6174 7573 293d 287b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_TaskMgr_TID_016                                     : "46 6f75 6e64 2075 6e6b 6e6f 776e 2f75 6e61 7661 696c 6162 6c65 2074 6173 6b28 7329 2072 6571 7565 7374 6564 2074 6f20 6265 206a 6f69 6e65 643a 2020 7b7d"
        , _EFwTextID.eLogMsg_TaskProfile_TID_011                                 : "46 7261 6d65 776f 726b 2069 7320 7573 696e 6720 6175 746f 2d67 656e 6572 6174 6564 2074 6173 6b20 6e61 6d65 7320 6f6e 6c79 2c20 6967 6e6f 7269 6e67 2073 7065 6369 6669 6564 2074 6173 6b20 6e61 6d65 2027 7b7d 272e"
        , _EFwTextID.eLogMsg_ThreadProfile_TID_004                               : "5b54 6872 6450 7266 5d20 4661 696c 6564 2074 6f20 6372 6561 7465 2074 6872 6561 6420 7072 6f66 696c 652e"
        , _EFwTextID.eLogMsg_ThreadProfile_TID_008                               : "46 7261 6d65 776f 726b 2069 7320 7573 696e 6720 6175 746f 2d67 656e 6572 6174 6564 2074 6173 6b20 6e61 6d65 7320 6f6e 6c79 2c20 6967 6e6f 7269 6e67 2073 7065 6369 6669 6564 2074 6173 6b20 6e61 6d65 2027 7b7d 272e"
        , _EFwTextID.eLogMsg_FwApiBase_TID_001                                   : "4672 616d 6577 6f72 6b20 6861 7320 6265 656e 2063 7265 6174 6564 2f73 7461 7274 6564 2061 6c72 6561 6479 2c20 6967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 7265 7374 6172 742e"
        , _EFwTextID.eLogMsg_FwApiBase_TID_004                                   : "4661 696c 6564 2074 6f20 7374 6172 7420 6672 616d 6577 6f72 6b2e"
        , _EFwTextID.eLogMsg_FwApiBase_TID_014                                   : "58 434f 4644 4b20 7665 7273 696f 6e20 7b7d 2073 7570 706f 7274 7320 5079 7468 6f6e 2076 6572 7369 6f6e 7320 332e 3820 616e 6420 6869 6768 6572 206f 6e6c 792e"
        , _EFwTextID.eLogMsg_FwApiBase_TID_016                                   : "52 6566 7573 6564 2074 6f20 7374 6172 7420 7468 6520 6672 616d 6577 6f72 6b20 6475 6520 746f 2063 6f6e 666c 6963 7469 6e67 2063 6f6e 6669 6775 7261 7469 6f6e 2061 7474 656d 7074 2064 6f6e 6520 7072 6576 696f 7573 6c79 3a0a 7b7d"
        , _EFwTextID.eLogMsg_FwApiBase_TID_017                                   : "55 7365 6420 5079 7468 6f6e 2069 6e74 6572 7072 6574 6572 2076 6572 7369 6f6e 207b 7d20 7375 7070 6f72 7473 2066 7265 652d 7468 7265 6164 696e 6720 7769 7468 2047 494c 2063 7572 7265 6e74 6c79 2064 6973 6162 6c65 642e 0a58 434f 4644 4b20 7665 7273 696f 6e20 7b7d 2064 6f65 7320 6e6f 7420 7375 7070 6f72 7420 7468 6973 2072 756e 7469 6d65 2063 6f6e 6669 6775 7261 7469 6f6e 206f 6620 7468 6520 696e 7465 7270 7265 7465 722e"
        , _EFwTextID.eLogMsg_FwApiBase_TID_018                                   : "5254 4520 636f 6e66 6967 7572 6174 696f 6e20 706f 6c69 6379 2027 7b7d 2720 6973 2065 6e61 626c 6564 2e0a 5573 6564 2050 7974 686f 6e20 696e 7465 7270 7265 7465 7220 7665 7273 696f 6e20 7b7d 2073 7570 706f 7274 7320 6672 6565 2d74 6872 6561 6469 6e67 2077 6974 6820 4749 4c20 6375 7272 656e 746c 7920 6469 7361 626c 6564 2c20 7468 6520 6672 616d 6577 6f72 6b20 7769 6c6c 206b 6565 7020 676f 696e 6720 746f 2073 7461 7274 2e0a 4e65 7665 7274 6865 6c65 7373 2c20 6265 2061 7761 7265 2074 6861 7420 5843 4f46 444b 2076 6572 7369 6f6e 207b 7d20 646f 6573 206e 6f74 206f 6666 6963 6961 6c6c 7920 7375 7070 6f72 7420 7468 6973 2072 756e 7469 6d65 2063 6f6e 6669 6775 7261 7469 6f6e 206f 6620 7468 6520 696e 7465 7270 7265 7465 722e"
        , _EFwTextID.eLogMsg_UserTask_TID_002                                    : "5b55 5473 6b5d 2045 6e63 6f75 6e74 6572 6564 2075 6e65 7870 6563 7465 6420 6661 7461 6c20 6572 726f 7220 7768 696c 6520 6372 6561 7469 6f6e 206f 6620 7461 736b 2069 6e73 7461 6e63 6520 6f66 207b 7d2e"
        , _EFwTextID.eLogMsg_UserTask_TID_003                                    : "5b55 5473 6b5d 2049 6e76 616c 6964 2074 6173 6b20 7072 6f66 696c 6520 6f62 6a65 6374 206f 6620 7479 7065 207b 7d20 7061 7373 6564 2069 6e2c 2063 616e 6e6f 7420 636f 6e73 7472 7563 7420 7461 736b 2069 6e73 7461 6e63 652e"
        , _EFwTextID.eLogMsg_UserTask_TID_004                                    : "5b55 5473 6b5d 2046 6169 6c65 6420 746f 2063 7265 6174 652f 636c 6f6e 6520 6578 742e 2074 6173 6b20 7072 6f66 696c 6520 6f75 7420 6f66 2070 726f 6669 6c65 2062 656c 6f77 3a0a 097b 7d2e"
        , _EFwTextID.eLogMsg_UserTask_TID_005                                    : "5b 5554 736b 5d20 4967 6e6f 7269 6e67 2072 6571 7565 7374 2074 6f20 7472 6967 6765 7220 7072 6f63 6573 7369 6e67 206f 6620 7065 6e64 696e 6720 7b7d 206d 6573 7361 6765 7320 6f66 2074 6173 6b20 7b7d 2077 6974 6820 6469 7361 626c 6564 2073 7570 706f 7274 2066 6f72 207b 7d20 7175 6575 652e"
        , _EFwTextID.eLogMsg_UserTask_TID_006                                    : "5b 5554 736b 5d20 466f 756e 6420 7669 6f6c 6174 696f 6e20 6167 6169 6e73 7420 7369 6e67 6c65 746f 6e20 6f66 2063 6c61 7373 2058 4d61 696e 5461 736b 2077 6869 6368 2069 7320 6372 6561 7465 6420 616c 7265 6164 792e"
        , _EFwTextID.eLogMsg_UserTask_TID_007                                    : "5b 5554 736b 5d20 4578 7065 6374 696e 6720 7374 7269 6e67 206f 626a 6563 7420 6173 2074 6173 6b20 616c 6961 7320 6e61 6d65 2074 6f20 636f 6e73 7472 7563 7420 7461 736b 2069 6e73 7461 6e63 652c 2067 6f74 207b 7d20 696e 7374 6561 642e"
        , _EFwTextID.eLogMsg_UserTask_TID_008                                    : "5b 5554 736b 5d20 4967 6e6f 7269 6e67 2065 6d70 7479 2073 7472 696e 6720 7061 7373 6564 2069 6e20 6173 2074 6173 6b20 616c 6961 7320 6e61 6d65 2074 6f20 636f 6e73 7472 7563 7420 7461 736b 2069 6e73 7461 6e63 652c 2061 7373 756d 696e 677b 7d20 696e 7374 6561 642e"
        , _EFwTextID.eLogMsg_UserTask_TID_009                                    : "41 6c69 6173 206e 616d 6520 277b 7d27 2070 6173 7365 6420 696e 2074 6f20 636f 6e73 7472 7563 7420 7461 736b 2069 6e73 7461 6e63 6520 646f 6573 206e 6f74 2072 6570 7265 7365 6e74 2061 2076 616c 6964 2069 6465 6e74 6966 6965 722e"
        , _EFwTextID.eLogMsg_UserTask_TID_010                                    : "466f 756e 6420 6469 7361 626c 6564 2069 6e74 6572 6e61 6c20 7175 6575 6520 6163 632e 2074 6f20 7061 7373 6564 2069 6e20 7461 736b 2070 726f 6669 6c65 2c20 696e 7374 616e 6365 206d 6574 686f 6420 277b 7d2e 7b7d 2720 7769 6c6c 2062 6520 6967 6e6f 7265 642e"
        , _EFwTextID.eLogMsg_UserTask_TID_011                                    : "4d69 7373 696e 6720 6d61 6e64 6174 6f72 7920 696e 7374 616e 6365 206d 6574 686f 6420 277b 7d2e 7b7d 2720 6f66 2070 6173 7365 6420 696e 206f 626a 6563 7420 7768 696c 6520 636f 6e73 7472 7563 7469 6f6e 206f 6620 7461 736b 2069 6e73 7461 6e63 652e"
        , _EFwTextID.eLogMsg_UserTask_TID_012                                    : "466f 756e 6420 6469 7361 626c 6564 2065 7874 6572 6e61 6c20 7175 6575 6520 6163 632e 2074 6f20 7061 7373 6564 2069 6e20 7461 736b 2070 726f 6669 6c65 2c20 696e 7374 616e 6365 206d 6574 686f 6420 277b 7d2e 7b7d 2720 7769 6c6c 2062 6520 6967 6e6f 7265 642e"
        , _EFwTextID.eLogMsg_UserTask_TID_013                                    : "44 6574 6563 7465 6420 6d69 736d 6174 6368 206f 6620 7461 736b 2070 726f 6669 6c65 2073 6574 7469 6e67 7320 2765 7874 6572 6e61 6c20 7175 6575 6527 2061 6e64 2027 626c 6f63 6b69 6e67 2065 7874 6572 6e61 6c20 7175 6575 6527 2077 6869 6c65 2063 6f6e 7374 7275 6374 696f 6e20 6f66 2074 6173 6b20 696e 7374 616e 6365 206f 6620 7479 7065 2027 7b7d 272e"
        , _EFwTextID.eLogMsg_UserTask_TID_014                                    : "5b55 5473 6b5d 2049 676e 6f72 696e 6720 7265 7175 6573 7420 746f 2063 6c65 6172 2063 7572 7265 6e74 2065 7272 6f72 206f 6620 7461 736b 207b 7d20 7768 6963 6820 6973 206e 6f74 2063 7572 7265 6e74 2072 756e 6e69 6e67 2074 6173 6b2e"
        , _EFwTextID.eLogMsg_UserTask_TID_015                                    : "4d69 736d 6174 6368 206f 6620 7461 736b 2070 726f 6669 6c65 2073 6574 7469 6e67 2072 656c 6174 6564 2074 6f20 696e 7374 616e 6365 206d 6574 686f 6420 277b 7d2e 7b7d 272e"
        , _EFwTextID.eLogMsg_UserTask_TID_016                                    : "46 6f75 6e64 2064 6973 6162 6c65 6420 7365 7475 7020 7068 6173 6520 6163 632e 2074 6f20 7061 7373 6564 2069 6e20 7461 736b 2070 726f 6669 6c65 2c20 696e 7374 616e 6365 206d 6574 686f 6420 277b 7d2e 7b7d 2720 7769 6c6c 2062 6520 6967 6e6f 7265 642e"
        , _EFwTextID.eLogMsg_UserTask_TID_017                                    : "46 6f75 6e64 2064 6973 6162 6c65 6420 7465 6172 2064 6f77 6e20 7068 6173 6520 6163 632e 2074 6f20 7061 7373 6564 2069 6e20 7461 736b 2070 726f 6669 6c65 2c20 696e 7374 616e 6365 206d 6574 686f 6420 277b 7d2e 7b7d 2720 7769 6c6c 2062 6520 6967 6e6f 7265 642e"
        , _EFwTextID.eLogMsg_UserTask_TID_018                                    : "5b 5554 736b 5d20 466f 756e 6420 6e65 6761 7469 7665 2076 616c 7565 206f 6620 7b7d 2061 7320 7275 6e20 7068 6173 6520 6672 6571 7565 6e63 7920 7768 696c 6520 636f 6e73 7472 7563 7469 6f6e 206f 6620 7461 736b 2069 6e73 7461 6e63 6520 6f66 207b 7d2e"
        , _EFwTextID.eLogMsg_UserTask_TID_021                                    : "5b 5554 736b 5d20 466f 756e 6420 6e6f 6e2d 706f 7369 7469 7665 2076 616c 7565 206f 6620 7b7d 2061 7320 6578 7065 6374 6564 206d 6178 696d 756d 2063 7963 6c69 6320 7072 6f63 6573 7369 6e67 2074 696d 6573 7061 6e20 7768 696c 6520 636f 6e73 7472 7563 7469 6f6e 206f 6620 7461 736b 2069 6e73 7461 6e63 6520 6f66 207b 7d2e"
        , _EFwTextID.eLogMsg_UserTask_TID_022                                    : "5275 6e20 7068 6173 6520 696e 7374 616e 6365 206d 6574 686f 6420 277b 7d2e 7b7d 2720 7769 6c6c 2062 6520 6967 6e6f 7265 6420 6163 632e 2074 6f20 6578 7465 726e 616c 2071 7565 7565 2073 6574 7469 6e67 7320 6f66 2070 6173 7365 6420 696e 2074 6173 6b20 7072 6f66 696c 652e"
        , _EFwTextID.eLogMsg_UserTask_TID_023                                    : "5b55 5473 6b5d 2049 676e 6f72 696e 6720 7265 7175 6573 7420 746f 2074 7269 6767 6572 2070 726f 6365 7373 696e 6720 6f66 2070 656e 6469 6e67 207b 7d20 6d65 7373 6167 6573 206f 6620 7461 736b 207b 7d20 7769 7468 2069 7473 207b 7d20 7175 6575 6520 636f 6e66 6967 7572 6564 2074 6f20 6265 2062 6c6f 636b 696e 672e"
        , _EFwTextID.eLogMsg_UserTask_TID_024                                    : "5b 5554 736b 5d20 4967 6e6f 7269 6e67 2072 6571 7565 7374 2074 6f20 7472 6967 6765 7220 7072 6f63 6573 7369 6e67 206f 6620 7065 6e64 696e 6720 7b7d 206d 6573 7361 6765 7320 6f66 2074 6173 6b20 7b7d 2077 6869 6368 2069 7320 6e6f 7420 6375 7272 656e 7420 7275 6e6e 696e 6720 7461 736b 3a20 7b7d"
        , _EFwTextID.eLogMsg_UserTask_TID_025                                    : "5b55 5473 6b5d 2049 676e 6f72 696e 6720 7265 7175 6573 7420 746f 2073 6574 2063 7572 7265 6e74 2065 7272 6f72 206f 6620 7461 736b 207b 7d20 7768 6963 6820 6973 206e 6f74 2063 7572 7265 6e74 2072 756e 6e69 6e67 2074 6173 6b2e"
        , _EFwTextID.eLogMsg_UserTask_TID_026                                    : "5b55 5473 6b5d 2049 676e 6f72 696e 6720 7265 7175 6573 7420 746f 2073 6574 2063 7572 7265 6e74 2066 6174 616c 2065 7272 6f72 206f 6620 7461 736b 207b 7d20 7768 6963 6820 6973 206e 6f74 2063 7572 7265 6e74 2072 756e 6e69 6e67 2074 6173 6b2e"
        , _EFwTextID.eLogMsg_UserTask_TID_027                                    : "5b 5554 736b 5d20 4672 616d 6577 6f72 6b20 6861 7320 656e 636f 756e 7465 7265 6420 616e 204c 4320 6661 696c 7572 652c 2069 676e 6f72 696e 6720 6174 7465 6d70 7420 746f 2063 7265 6174 6520 6e65 7720 7461 736b 2069 6e73 7461 6e63 652e"
        , _EFwTextID.eLogMsg_UserTask_TID_028                                    : "5b 5554 736b 5d20 436f 6f72 6469 6e61 7465 6420 7368 7574 646f 776e 2069 7320 7275 6e6e 696e 672c 2069 676e 6f72 696e 6720 6174 7465 6d70 7420 746f 2063 7265 6174 6520 6e65 7720 7461 736b 2069 6e73 7461 6e63 652e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_001                                : "46 7261 6d65 776f 726b 2069 7320 6e6f 7420 6176 6169 6c61 626c 6520 2879 6574 2f61 6e79 6d6f 7265 292c 2069 676e 6f72 696e 6720 6174 7465 6d70 7420 746f 2073 7461 7274 207b 7d2e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_002                                : "4261 6420 7469 6d65 6f75 7420 6f62 6a65 6374 206f 6620 7479 7065 207b 7d20 7061 7373 6564 2069 6e20 666f 7220 6a6f 696e 207b 7d2e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_003                                : "49 676e 6f72 696e 6720 6174 7465 6d70 7420 746f 2073 7461 7274 207b 7d20 6475 6520 746f 2063 7572 7265 6e74 206f 7065 7261 7469 6f6e 616c 2073 7461 7465 206f 6620 6672 616d 6577 6f72 6b2e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_004                                : "7b7d 2068 6173 2062 6565 6e20 7374 6172 7465 6420 616c 7265 6164 792c 2069 676e 6f72 696e 6720 6174 7465 6d70 7420 746f 2072 652d 7374 6172 742e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_007                                : "4361 6e6e 6f74 206a 6f69 6e20 7b7d 2077 6869 6368 2069 7320 6e6f 7420 7374 6172 7465 6420 7965 742e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_008                                : "46 6169 6c65 6420 746f 2073 7461 7274 207b 7d2e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_009                                : "4578 6563 7574 696f 6e20 6f66 207b 7d20 6661 696c 6564 2061 6674 6572 2073 7563 6365 7373 6675 6c20 7374 6172 742e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_012                                : "49 6e76 616c 6964 2c20 6e65 6761 7469 7665 2074 696d 656f 7574 2076 616c 7565 206f 6620 7b7d 2070 6173 7365 6420 696e 2074 6f20 6a6f 696e 207b 7d2e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_016                                : "4672 616d 6577 6f72 6b20 6973 206e 6f74 2061 7661 696c 6162 6c65 2028 7965 742f 616e 796d 6f72 6529 2c20 6967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 7374 6f70 207b 7d2e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_018                                : "4967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 7374 6f70 207b 7d20 6475 6520 746f 2063 7572 7265 6e74 206f 7065 7261 7469 6f6e 616c 2073 7461 7465 206f 6620 6672 616d 6577 6f72 6b2e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_019                                : "43 616e 6e6f 7420 7374 6f70 2f63 616e 6365 6c20 7b7d 2077 6869 6368 2069 7320 6e6f 7420 7374 6172 7465 6420 7965 742e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_021                                : "4672 616d 6577 6f72 6b20 6973 206e 6f74 2061 7661 696c 6162 6c65 2028 7965 742f 616e 796d 6f72 6529 2c20 6967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 6a6f 696e 207b 7d2e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_022                                : "4967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 6a6f 696e 207b 7d20 6475 6520 746f 2063 7572 7265 6e74 206f 7065 7261 7469 6f6e 616c 2073 7461 7465 206f 6620 6672 616d 6577 6f72 6b2e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_023                                : "4967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 6a6f 696e 207b 7d20 7768 696c 6520 636f 6f72 6469 6e61 7465 6420 7368 7574 646f 776e 2069 7320 7275 6e6e 696e 672e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_024                                : "7b7d 2066 6169 6c65 642e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_029                                : "4967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 636c 6561 7220 6375 7272 656e 7420 6572 726f 7220 6f66 2075 7365 7220 7461 736b 207b 7d20 7768 6963 6820 6973 206e 6f74 2063 7572 7265 6e74 2072 756e 6e69 6e67 2074 6173 6b2e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_030                                : "49 676e 6f72 696e 6720 6174 7465 6d70 7420 746f 2073 656e 6420 6d65 7373 6167 6520 666f 7220 7573 6572 2074 6173 6b20 7b7d 2077 6869 6368 2069 7320 6e6f 7420 7374 6172 7465 6420 7965 742e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_031                                : "49 676e 6f72 696e 6720 7265 7175 6573 7420 746f 2074 7269 6767 6572 2070 726f 6365 7373 696e 6720 6f66 2070 656e 6469 6e67 2065 7874 6572 6e61 6c20 6d65 7373 6167 6573 206f 6620 7461 736b 207b 7d20 7768 6963 6820 6973 206e 6f74 2072 756e 6e69 6e67 2061 6e79 6d6f 7265 3a20 7b7d"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_032                                : "4967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 7365 7420 6375 7272 656e 7420 6572 726f 7220 6f66 2075 7365 7220 7461 736b 207b 7d20 7768 6963 6820 6973 206e 6f74 2063 7572 7265 6e74 2072 756e 6e69 6e67 2074 6173 6b2e"
        , _EFwTextID.eLogMsg_UserTaskConn_TID_033                                : "4967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 7365 7420 6375 7272 656e 7420 6661 7461 6c20 6572 726f 7220 6f66 2075 7365 7220 7461 736b 207b 7d20 7768 6963 6820 6973 206e 6f74 2063 7572 7265 6e74 2072 756e 6e69 6e67 2074 6173 6b2e"
        , _EFwTextID.eLogMsg_XTaskPrfBase_TID_004                                : "45 7870 6563 7469 6e67 2070 6f73 6974 6976 6520 696e 742f 666c 6f61 7420 7661 6c75 6520 666f 7220 6379 636c 6963 206d 6178 2e20 7072 6f63 6573 7369 6e67 2074 696d 6573 7061 6e2c 2067 6f74 2061 6e20 7b7d 206f 626a 6563 7420 7061 7373 6564 2069 6e2e"
        , _EFwTextID.eLogMsg_XTaskPrfBase_TID_005                                : "45 7870 6563 7469 6e67 2070 6f73 6974 6976 6520 696e 742f 666c 6f61 7420 7661 6c75 6520 666f 7220 6379 636c 6963 206d 6178 2e20 7072 6f63 6573 7369 6e67 2074 696d 6573 7061 6e2c 2067 6f74 207b 7d20 7061 7373 6564 2069 6e2e"
        , _EFwTextID.eLogMsg_XTaskPrfBase_TID_006                                : "45 7870 6563 7469 6e67 2070 6f73 6974 6976 6520 696e 742f 666c 6f61 7420 7661 6c75 6520 666f 7220 6379 636c 6963 2072 756e 2070 7561 7365 2074 696d 6573 7061 6e2c 2067 6f74 2061 6e20 7b7d 206f 626a 6563 7420 7061 7373 6564 2069 6e2e"
        , _EFwTextID.eLogMsg_XTaskPrfBase_TID_007                                : "4578 7065 6374 696e 6720 6e6f 6e2d 6e65 6761 7469 7665 2069 6e74 2f66 6c6f 6174 2076 616c 7565 2066 6f72 2063 7963 6c69 6320 7275 6e20 7075 6173 6520 7469 6d65 7370 616e 206f 6620 7072 6976 696c 6567 6564 2074 6173 6b20 696e 7374 616e 6365 732c 2067 6f74 207b 7d20 7061 7373 6564 2069 6e2e"
        , _EFwTextID.eLogMsg_XTaskPrfBase_TID_009                                : "5065 726d 6973 7369 6f6e 2064 656e 6965 643a 2046 726f 7a65 6e20 7461 736b 2070 726f 6669 6c65 2063 616e 6e6f 7420 6265 206d 6f64 6966 6965 642e"
        , _EFwTextID.eLogMsg_XTaskPrfBase_TID_010                                : "4465 7465 6374 6564 2063 6f6e 6669 6775 7261 7469 6f6e 206d 6973 6d61 7463 6820 6f66 2074 6173 6b20 7072 6f66 696c 653a 2072 756e 5068 6173 6545 6e61 626c 6564 3d7b 7d20 2c20 6578 7465 726e 616c 5175 6575 6545 6e61 626c 6564 3d7b 7d20 2c20 626c 6f63 6b69 6e67 4578 7465 726e 616c 5175 6575 653d 7b7d"
        , _EFwTextID.eLogMsg_XTaskPrfBase_TID_011                                : "50 6173 7365 6420 696e 2061 6c69 6173 206e 616d 6520 6973 206e 6f74 2061 2076 616c 6964 2050 7974 686f 6e20 6964 656e 7469 6669 6572 3a20 7b7d"
        , _EFwTextID.eLogMsg_XTaskPrfBase_TID_012                                : "42 6c6f 636b 696e 6720 6578 7465 726e 616c 2071 7565 7565 2069 7320 6e6f 7420 7375 7070 6f72 7465 6420 666f 7220 7379 6e63 6872 6f6e 6f75 7320 7461 736b 732e"
        , _EFwTextID.eLogMsg_XTaskPrfExt_TID_001                                 : "42 6164 2f69 6e76 616c 6964 2074 6173 6b20 7072 6f66 696c 6520 696e 7374 616e 6365 3a20 7b7d"
        , _EFwTextID.eLogMsg_XTaskPrfExt_TID_002                                 : "46 6169 6c65 6420 746f 2061 7373 6967 6e20 6279 2074 6173 6b20 7072 6f66 696c 6520 696e 7374 616e 6365 3a20 7b7d"
        , _EFwTextID.eLogMsg_FSUtil_TID_001                                      : "4469 7265 6374 6f72 7920 6578 6973 7473 2061 6c72 6561 6479 3a20 7b7d"
        , _EFwTextID.eLogMsg_FSUtil_TID_002                                      : "556e 6578 7065 6374 6564 2028 7379 7374 656d 2920 6572 726f 7220 7768 696c 6520 7472 7969 6e67 2074 6f20 6372 6561 7465 2064 6972 3a20 2864 6972 5061 7468 2c20 6578 6365 7074 696f 6e29 3d28 7b3a 3c73 7d2c 2027 7b3a 3c73 7d27"
        , _EFwTextID.eLogMsg_Timeout_TID_001                                     : "47 6f74 2069 6e76 616c 6964 2074 696d 6573 7061 6e20 6f62 6a65 6374 206f 6620 7479 7065 207b 7d2c 2061 6363 6570 7469 6e67 206e 6f6e 2d6e 6567 6174 6967 6520 696e 7465 6765 7220 6f72 2066 6c6f 6174 206f 7220 7469 6d65 6f75 7420 7661 6c75 6573 206f 6e6c 792e"
        , _EFwTextID.eLogMsg_Timeout_TID_002                                     : "47 6f74 2062 6164 2074 696d 6573 7061 6e20 6f62 6a65 6374 206f 6620 7479 7065 207b 7d2c 2061 6363 6570 7469 6e67 206e 6f6e 2d6e 6567 6174 6967 6520 696e 7465 6765 7220 6f72 2066 6c6f 6174 206f 7220 7469 6d65 6f75 7420 7661 6c75 6573 206f 6e6c 792e"
        , _EFwTextID.eLogMsg_Timeout_TID_003                                     : "47 6f74 206e 6561 6769 7665 2074 696d 6573 7061 6e20 7661 6c75 6520 7b7d 2c20 6163 6365 7074 696e 6720 6e6f 6e2d 6e65 6761 7469 6765 2069 6e74 6567 6572 206f 7220 666c 6f61 7420 7661 6c75 6573 206f 6e6c 792e"
        , _EFwTextID.eLogMsg_Timeout_TID_004                                     : "42 6164 2074 7970 653a 2028 6578 7065 6374 6564 5479 7065 2c20 7061 7373 6564 696e 5479 7065 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Timeout_TID_005                                     : "4e 6f74 2061 6c6c 6f77 6564 2074 6f20 6d6f 6469 6679 2061 6e20 696e 6669 6e69 7465 2074 696d 656f 7574 2069 6e73 7461 6e63 652e"
        , _EFwTextID.eLogMsg_Timeout_TID_006                                     : "4e6f 7420 616c 6c6f 7765 6420 746f 2072 6563 6f6e 6669 6775 7265 2069 6e66 696e 6974 6520 7469 6d65 6f75 7420 696e 7374 616e 6365 732e"
        , _EFwTextID.eLogMsg_Timeout_TID_007                                     : "4372 6561 7469 6e67 2063 7963 6c69 6320 7469 6d65 6f75 7420 7769 7468 2063 7963 6c65 2074 696d 6573 2073 6574 2074 6f20 312e"
        , _EFwTextID.eLogMsg_Timeout_TID_008                                     : "43 7265 6174 696e 6720 6e6f 6e2d 6379 636c 6963 2074 696d 656f 7574 2077 6974 6820 696e 7661 6c69 6420 6379 636c 6520 7469 6d65 7320 6f66 207b 7d2e"
        , _EFwTextID.eLogMsg_Timeout_TID_009                                     : "43 7572 7265 6e74 2069 6d70 6c20 6f66 205f 5f43 616c 6354 6963 6b73 2069 7320 6261 7365 6420 6f6e 2074 6963 6b73 2070 6572 206e 7365 632e"
        , _EFwTextID.eLogMsg_Timeout_TID_010                                     : "42 6164 206f 626a 6563 7420 7479 7065 206f 6620 7469 6d65 2073 7061 6e3a 2074 696d 6553 7061 6e54 7970 653d 7b7d"
        , _EFwTextID.eLogMsg_Timeout_TID_011                                     : "42 6164 2073 7472 696e 6720 6173 2074 696d 6520 7370 616e 3a20 2874 696d 6553 7061 6e2c 2072 6573 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Timeout_TID_012                                     : "4578 7065 6374 696e 6720 706f 7369 7469 7665 2069 6e74 6567 6572 2066 6f72 2074 696d 6520 7370 616e 3a20 2874 696d 6553 7061 6e2c 2072 6573 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Timeout_TID_013                                     : "5f 5469 6d65 6f75 7420 7265 736f 6c75 7469 6f6e 3a20 7b7d"
        , _EFwTextID.eLogMsg_StrUtil_TID_001                                     : "4261 6420 7479 7065 3a20 7b7d"
        , _EFwTextID.eLogMsg_StrUtil_TID_002                                     : "4e6f 6e2d 656d 7074 7920 7374 7269 6e67 3a20 7b7d"
        , _EFwTextID.eLogMsg_StrUtil_TID_003                                     : "45 6d70 7479 2073 7472 696e 672e"
        , _EFwTextID.eLogMsg_StrUtil_TID_004                                     : "4261 6420 6964 656e 7469 6669 6572 3a20 277b 7d27"
        , _EFwTextID.eLogMsg_StrUtil_TID_005                                     : "466f 756e 6420 6261 6420 7061 7261 6d73 2077 6869 6c65 2072 6571 7565 7374 2066 6f72 2073 7562 7374 7269 6e67 2072 6570 6c61 6365 6d65 6e74 3a0a 097b 7d20 2c20 7b7d 202c 207b 7d20 2c20 7b7d"
        , _EFwTextID.eLogMsg_StrUtil_TID_006                                     : "42 6164 2073 7472 696e 6720 6173 2062 6f6f 6c65 616e 2076 616c 7565 3a20 277b 7d27"
        , _EFwTextID.eLogMsg_Util_TID_001                                        : "45 6d70 7479 2063 6c61 7373 206c 6973 742e"
        , _EFwTextID.eLogMsg_Util_TID_002                                        : "63 6c61 7373 3a20 7b7d"
        , _EFwTextID.eLogMsg_Util_TID_003                                        : "42 6164 206f 626a 6563 7420 7479 7065 3a20 286f 626a 5479 7065 2c20 6578 7065 6374 6564 5479 7065 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Util_TID_004                                        : "4261 6420 6172 6775 6d65 6e74 2873 2920 7061 7373 6564 2069 6e3a 2028 6f62 6a65 6374 2c20 6174 7472 4e61 6d65 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Util_TID_005                                        : "4d69 7373 696e 6720 6174 7472 6962 7574 6520 6f66 206f 626a 6563 743a 2028 6f62 6a65 6374 5479 7065 2c20 6174 7472 4e61 6d65 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Util_TID_006                                        : "4261 6420 6172 6775 6d65 6e74 2873 2920 7061 7373 6564 2069 6e3a 2028 7479 7065 4172 6731 2c20 7479 7065 4172 6732 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Util_TID_007                                        : "5669 6f6c 6174 696f 6e20 6167 6169 6e73 7420 7b7d 206d 7574 7561 6c6c 7920 6578 636c 7573 6976 6520 6174 7472 6962 7574 6573 2066 6f75 6e64 2069 6e20 6f62 6a65 6374 3a20 286f 626a 6563 7454 7970 652c 2023 6174 7472 7346 6f75 6e64 2c20 6d75 7475 616c 6c79 4578 636c 7573 6976 6541 7474 7273 293d 287b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Util_TID_008                                        : "466f 756e 6420 4e6f 6e65 2061 7267 756d 656e 7428 7329 3a20 2876 616c 7565 2c20 6d69 6e52 616e 6765 2c20 6d61 7852 616e 6765 293d 287b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Util_TID_009                                        : "42 6164 206d 696e 696d 756d 2f6d 6178 696d 756d 2076 616c 7565 3a20 2876 616c 7565 2c20 6d69 6e52 616e 6765 2c20 6d61 7852 616e 6765 293d 287b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Util_TID_010                                        : "466f 756e 6420 4e6f 6e65 2061 7267 756d 656e 7428 7329 3a20 2876 616c 7565 2c20 6d69 6e52 616e 6765 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Util_TID_011                                        : "42 6164 206d 696e 696d 756d 2076 616c 7565 3a20 2876 616c 7565 2c20 6d69 6e52 616e 6765 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Util_TID_012                                        : "466f 756e 6420 4e6f 6e65 2061 7267 756d 656e 7428 7329 3a20 2876 616c 7565 2c20 6d61 7852 616e 6765 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_Util_TID_013                                        : "42 6164 206d 6178 696d 756d 2076 616c 7565 3a20 2876 616c 7565 2c20 6d61 7852 616e 6765 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_PcErrHandler_TID_001                                : "5b 4548 646c 5d5b 7b7d 5d20 476f 7420 756e 6578 7065 6374 6564 2065 7272 6f72 2068 616e 646c 6572 2063 616c 6c2e"
        , _EFwTextID.eLogMsg_PcErrHandler_TID_002                                : "7768 696c 6520 7472 7969 6e67 2074 6f20 6164 6420 6572 726f 7220 656e 7472 793a 0a09 5b7b 7d5d 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwsMain_TID_001                                     : "5b4c 435d 5b4d 5262 6c5d 204f 6273 6572 7669 6e67 2074 6173 6b28 7329 2077 6974 6820 4c53 4120 7374 6174 7573 2063 6861 6e67 653a 7b7d"
        , _EFwTextID.eLogMsg_FwsMain_TID_002                                     : "5b4c 435d 5b4d 5262 6c5d 204d 6973 6d74 6163 6820 6f66 2070 6173 7365 6420 696e 2070 6172 616d 7320 7768 696c 6520 6368 6563 6b20 6f66 2070 726f 6365 7373 696e 6720 6665 6173 6962 696c 6974 793a 0a09 4645 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwsMain_TID_003                                     : "5b4c 435d 5b4d 5262 6c5d 2052 6563 6569 7665 6420 756e 6578 7065 6374 6564 2063 616c 6c62 6163 6b5b 7b7d 5d2e"
        , _EFwTextID.eLogMsg_FwsMain_TID_004                                     : "5b 4c43 5d5b 4d52 626c 5d20 5472 7969 6e67 2074 6f20 7365 7420 4c43 2066 6169 6c75 7265 2064 7565 2074 6f20 4646 453a 205b 7b7d 5d20 2d20 7b7d"
        , _EFwTextID.eLogMsg_FwsMain_TID_005                                     : "5b 4c43 5d5b 4d52 626c 5d20 496e 7661 6c69 6420 6c69 7374 206f 6620 7374 6f72 6564 2046 4645 732e"
        , _EFwTextID.eLogMsg_FwsMain_TID_006                                     : "5b4c 435d 5b4d 5262 6c5d 2055 6e65 7870 6563 7465 6420 6e6f 6e2d 656d 7074 7920 6c69 7374 206f 6620 7374 6f72 6564 2046 4645 733a 2073 697a 653d 7b7d"
        , _EFwTextID.eLogMsg_FwsMain_TID_007                                     : "5b 4c43 5d5b 4d52 626c 5d20 4669 6e69 7368 6564 2063 6f6f 7264 696e 6174 6564 2073 6875 7464 6f77 6e2e"
        , _EFwTextID.eLogMsg_LcManager_TID_001                                   : "5265 7472 6965 7661 6c20 6f66 2063 7572 7265 6e74 2074 6173 6b20 696e 7374 616e 6365 206e 6f74 2070 6f73 7369 626c 6520 2861 6e79 6d6f 7265 2920 6475 6520 746f 206c 696d 6974 6564 2052 5445 206d 6f64 652e"
        , _EFwTextID.eLogMsg_LcManager_TID_004                                   : "446f 6e65 2069 6e69 7469 616c 2028 7265 736f 7572 6365 2920 6c6f 6164 696e 672c 2063 6f6e 7375 6d65 6420 4350 5520 7469 6d65 2077 6173 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_007                                   : "5b4c 435d 5b4c 634d 6772 5d20 556e 6578 7065 6374 6564 2073 636f 7065 206d 6973 6d61 7463 683a 2028 7467 7453 636f 7065 2c20 6375 7253 636f 7065 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_LcManager_TID_008                                   : "5b 4c43 5d5b 4c63 4d67 725d 2046 6169 6c65 6420 746f 2062 6f6f 7374 2046 573a 2028 7467 7453 636f 7065 2c20 6375 7253 636f 7065 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_LcManager_TID_010                                   : "5b 4c43 5d5b 4c63 4d67 725d 2043 7572 7265 6e74 2074 6872 6561 6420 7b7d 2063 616e 6e6f 7420 6a6f 696e 2066 7261 6d65 776f 726b 2077 6869 6c65 2073 7469 6c6c 2062 6569 6e67 2061 7474 6163 6865 6420 746f 2046 572e"
        , _EFwTextID.eLogMsg_LcManager_TID_011                                   : "5761 6974 696e 6720 666f 7220 6672 616d 6577 6f72 6b20 746f 2063 6f6d 706c 6574 6520 7368 7574 646f 776e 2073 6571 7565 6e63 652e 2e2e"
        , _EFwTextID.eLogMsg_LcManager_TID_012                                   : "476f 7420 7265 7175 6573 7420 746f 2073 746f 7020 6672 616d 6577 6f72 6b2e"
        , _EFwTextID.eLogMsg_LcManager_TID_013                                   : "5b 4c43 5d5b 4c63 4d67 725d 2046 6169 6c65 6420 746f 207b 7d20 6372 6561 7465 204c 6344 4d2e"
        , _EFwTextID.eLogMsg_LcManager_TID_014                                   : "4c 6973 7420 6f66 204c 4320 4b50 4973 2064 6966 662d 7469 6d65 3a0a 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_017                                   : "5b 4c43 5d5b 4c63 4d67 725d 2055 6e65 7870 6563 7465 6420 6661 696c 7572 6520 7768 696c 6520 7472 7969 6e67 2074 6f20 6173 796e 6320 626f 6f73 7420 6f66 2046 572e"
        , _EFwTextID.eLogMsg_LcManager_TID_018                                   : "4672 616d 6577 6f72 6b20 6973 2075 7020 616e 6420 7275 6e6e 696e 672c 2063 6f6e 7375 6d65 6420 4350 5520 7469 6d65 2077 6173 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_019                                   : "5b4c 435d 5b4c 634d 6772 5d20 4661 696c 6564 2074 6f20 6372 6561 7465 204c 4320 6d6f 6e69 746f 722e"
        , _EFwTextID.eLogMsg_LcManager_TID_020                                   : "5b 4c43 5d5b 4c63 4d67 725d 2046 6169 6c65 6420 746f 2063 7265 6174 6520 4c63 5078 792e"
        , _EFwTextID.eLogMsg_LcManager_TID_021                                   : "5b 4c43 5d5b 4c63 4d67 725d 2046 6169 6c65 6420 746f 2073 6574 204c 4320 7374 6174 6520 746f 207b 7d2e"
        , _EFwTextID.eLogMsg_LcManager_TID_022                                   : "5b4c 435d 5b4c 634d 6772 5d20 4661 696c 6564 2074 6f20 7374 6172 7420 4c63 472e"
        , _EFwTextID.eLogMsg_LcManager_TID_027                                   : "5b4c 435d 5b4c 634d 6772 5d20 556e 6578 7065 6374 6564 2073 7461 7465 206f 6620 5254 4520 636f 6e66 6967 7572 6174 696f 6e2e"
        , _EFwTextID.eLogMsg_LcManager_TID_034                                   : "45 7870 6563 7469 6e67 2076 616c 6964 2063 6d64 206c 696e 6520 6172 6773 206f 626a 6563 742c 2067 6f74 207b 7d20 696e 7374 6561 642e"
        , _EFwTextID.eLogMsg_LcManager_TID_035                                   : "42 6164 2074 6172 6765 7420 4c43 2073 636f 7065 206f 626a 6563 743a 207b 7d2e"
        , _EFwTextID.eLogMsg_LcManager_TID_036                                   : "5461 7267 6574 204c 4320 7363 6f70 6520 6d75 7374 2062 6520 6f66 2061 6e20 6f72 6465 7220 6869 6768 6572 2074 6861 6e20 7b7d 5b3d 7b7d 5d2e"
        , _EFwTextID.eLogMsg_LcManager_TID_037                                   : "4967 6e6f 7269 6e67 2072 6571 7565 7374 2074 6f20 6a6f 696e 2066 7261 6d65 776f 726b 2c20 616c 7265 6164 7920 7072 6f63 6573 7369 6e67 2070 7265 7669 6f75 7320 7265 7175 6573 742e"
        , _EFwTextID.eLogMsg_LcManager_TID_038                                   : "46 6169 6c65 6420 746f 2063 7265 6174 6520 6578 6563 7574 696f 6e20 6869 7374 6f72 792e"
        , _EFwTextID.eLogMsg_LcManager_TID_039                                   : "4d 6973 7369 6e67 2028 7661 6c69 6429 2065 7865 6375 7469 6f6e 2068 6973 746f 7279 3a20 6578 7065 6374 6564 4578 6563 5374 6174 653d 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_040                                   : "4d 6973 7369 6e67 2066 6169 6c75 7265 2073 7461 7465 2873 2920 6f66 2063 7572 7265 6e74 2065 7865 6375 7469 6f6e 2068 6973 746f 7279 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_041                                   : "456e 636f 756e 7465 7265 6420 7365 7665 7265 2065 7272 6f72 2064 7565 2074 6f20 6d69 736d 6174 6368 206f 6620 7374 6172 7570 2072 6573 756c 7420 616e 6420 6375 7272 656e 7420 6578 6563 7574 696f 6e20 6869 7374 6f72 793a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_043                                   : "476f 7420 7265 7175 6573 7420 746f 206a 6f69 6e20 6672 616d 6577 6f72 6b2e"
        , _EFwTextID.eLogMsg_LcManager_TID_044                                   : "7b7d 5761 6974 696e 6720 666f 7220 6d61 696e 2074 6173 6b20 7b7d 2074 6f20 7465 726d 696e 6174 6520 6578 6563 7574 696f 6e2e 2e2e"
        , _EFwTextID.eLogMsg_LcManager_TID_045                                   : "52 6574 7269 6576 616c 206f 6620 7265 7175 6573 7465 6420 7461 736b 2069 6e73 7461 6e63 6520 7b7d 206e 6f74 2070 6f73 7369 626c 6520 2861 6e79 6d6f 7265 292e"
        , _EFwTextID.eLogMsg_LcManager_TID_046                                   : "52 6571 7565 7374 6564 2074 6173 6b20 696e 7374 616e 6365 207b 7d20 6973 206e 6f74 2061 7661 696c 6162 6c65 206f 7220 6174 7461 6368 6564 2074 6f20 7468 6520 6672 616d 6577 6f72 6b20 2861 6e79 6d6f 7265 292e"
        , _EFwTextID.eLogMsg_LcManager_TID_050                                   : "46 7261 6d65 776f 726b 2773 2052 5445 2063 6f6e 6669 6775 7261 7469 6f6e 2070 6f6c 6963 7920 2766 6f72 6365 642d 6175 746f 2d73 746f 7027 2069 7320 656e 6162 6c65 642c 2077 6169 7469 6e67 2066 6f72 2066 6972 7374 2073 746f 7020 7265 7175 6573 7420 746f 2062 6520 7375 626d 6974 7465 6420 6279 2074 6865 2061 7070 6c69 6361 7469 6f6e 2062 6566 6f72 6520 656e 7465 7269 6e67 206a 6f69 6e20 7068 6173 652e 0a42 656c 6f77 2074 6173 6b20 696e 7374 616e 6365 2061 7265 2073 7469 6c6c 2072 756e 6e69 6e67 2072 6967 6874 206e 6f77 3a0a 093a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_051                                   : "4170 706c 7969 6e67 2052 5445 2063 6f6e 6669 6775 7261 7469 6f6e 2070 6f6c 6963 7920 2761 7574 6f2d 7374 6f70 2720 746f 2073 746f 7020 6672 616d 6577 6f72 6b2e 2e2e"
        , _EFwTextID.eLogMsg_LcManager_TID_052                                   : "46 7261 6d65 776f 726b 2773 2052 5445 2063 6f6e 6669 6775 7261 7469 6f6e 2070 6f6c 6963 7920 2766 6f72 6365 642d 6175 746f 2d73 746f 7027 2069 7320 656e 6162 6c65 642c 2077 6169 7469 6e67 2066 6f72 2066 6972 7374 2073 746f 7020 7265 7175 6573 7420 746f 2062 6520 7375 626d 6974 7465 6420 6279 2074 6865 2061 7070 6c69 6361 7469 6f6e 2062 6566 6f72 6520 656e 7465 7269 6e67 206a 6f69 6e20 7068 6173 652e 2e2e"
        , _EFwTextID.eLogMsg_LcManager_TID_053                                   : "46 7261 6d65 776f 726b 2773 2052 5445 2063 6f6e 6669 6775 7261 7469 6f6e 2070 6f6c 6963 7920 2761 7574 6f2d 7374 6f70 2720 7769 6c6c 2074 616b 6520 706c 6163 6520 6166 7465 7220 616c 6c20 7461 736b 7320 6172 6520 7374 6f70 7065 642e 0a42 656c 6f77 207b 7d20 7461 736b 2873 2920 6172 6520 6375 7272 656e 746c 7920 7275 6e6e 696e 673a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_054                                   : "4672 616d 6577 6f72 6b27 7320 5254 4520 636f 6e66 6967 7572 6174 696f 6e20 706f 6c69 6379 2027 7465 726d 696e 616c 2d6d 6f64 6527 2069 7320 656e 6162 6c65 642c 2077 6169 7469 6e67 2066 6f72 2066 6972 7374 2073 746f 7020 7265 7175 6573 7420 746f 2062 6520 7375 626d 6974 7465 6420 6279 2074 6865 2061 7070 6c69 6361 7469 6f6e 2062 6566 6f72 6520 656e 7465 7269 6e67 206a 6f69 6e20 7068 6173 652e 2e2e"
        , _EFwTextID.eLogMsg_LcManager_TID_055                                   : "4672 616d 6577 6f72 6b27 7320 5254 4520 636f 6e66 6967 7572 6174 696f 6e20 706f 6c69 6379 2027 7465 726d 696e 616c 2d6d 6f64 6527 2069 7320 656e 6162 6c65 642c 2077 6169 7469 6e67 2066 6f72 2066 6972 7374 2073 746f 7020 7265 7175 6573 7420 746f 2062 6520 7375 626d 6974 7465 6420 6279 2074 6865 2061 7070 6c69 6361 7469 6f6e 2062 6566 6f72 6520 656e 7465 7269 6e67 206a 6f69 6e20 7068 6173 652e 0a42 656c 6f77 207b 7d20 7461 736b 2873 2920 6172 6520 6375 7272 656e 746c 7920 7275 6e6e 696e 673a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_056                                   : "4465 7465 6374 6564 206e 6f20 7275 6e6e 696e 6720 7461 736b 2061 6e79 6d6f 7265 2c20 676f 696e 6720 746f 2061 7070 6c79 2052 5445 2063 6f6e 6669 6775 7261 7469 6f6e 2070 6f6c 6963 7920 2761 7574 6f2d 7374 6f70 272c 2065 6c61 7073 6564 2077 6169 7420 7469 6d65 2077 6173 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_057                                   : "5265 7175 6573 7420 746f 2073 746f 7020 7468 6520 6672 616d 6577 6f72 6b20 6861 7320 6265 656e 2073 7562 6d69 7474 6564 2c20 7374 6f70 7069 6e67 2052 5445 2063 6f6e 6669 6775 7261 7469 6f6e 2070 6f6c 6963 7920 2774 6572 6d69 6e61 6c2d 6d6f 6465 272c 2065 6c61 7073 6564 2077 6169 7420 7469 6d65 2077 6173 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_058                                   : "52 6571 7565 7374 2074 6f20 7374 6f70 2074 6865 2066 7261 6d65 776f 726b 2068 6173 2062 6565 6e20 7375 626d 6974 7465 642c 2065 6c61 7073 6564 2077 6169 7420 7469 6d65 2077 6173 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_059                                   : "5254 4520 636f 6e66 6967 7572 6174 696f 6e20 706f 6c69 6379 2027 666f 7263 6564 2d61 7574 6f2d 7374 6f70 2720 6973 2065 6e62 616c 6564 2e0a 466f 7263 696e 6720 6672 616d 6577 6f72 6b20 746f 2072 6571 7565 7374 2061 6c6c 2072 756e 6e69 6e67 2074 6173 6b73 2028 6966 2061 6e79 2920 746f 2073 746f 7020 696d 6d65 6469 6174 656c 792e 2e2e"
        , _EFwTextID.eLogMsg_LcManager_TID_060                                   : "41 7070 6c79 696e 6720 5254 4520 636f 6e66 6967 7572 6174 696f 6e20 706f 6c69 6379 2027 6175 746f 2d73 746f 7027 2028 656e 6162 6c65 6420 6279 2064 6566 6175 6c74 2920 746f 2073 746f 7020 6672 616d 6577 6f72 6b2e 2e2e"
        , _EFwTextID.eLogMsg_LcManager_TID_061                                   : "4672 616d 6577 6f72 6b27 7320 5254 4520 636f 6e66 6967 7572 6174 696f 6e20 706f 6c69 6379 2027 6175 746f 2d73 746f 7027 2028 656e 6162 6c65 6420 6279 2064 6566 6175 6c74 2920 7769 6c6c 2074 616b 6520 706c 6163 6520 6166 7465 7220 616c 6c20 7461 736b 7320 6172 6520 7374 6f70 7065 642e 0a42 656c 6f77 207b 7d20 7461 736b 2873 2920 6172 6520 6375 7272 656e 746c 7920 7275 6e6e 696e 673a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_062                                   : "4d 6973 7369 6e67 2072 6571 7565 7374 2074 6f20 7374 6f70 2066 7261 6d65 776f 726b 2065 7870 6563 7465 6420 746f 2062 6520 646f 6e65 2062 7920 7468 6520 6170 706c 6963 6174 696f 6e20 7072 696f 7220 746f 206a 6f69 6e20 7265 7175 6573 742e"
        , _EFwTextID.eLogMsg_LcManager_TID_063                                   : "52 6571 7565 7374 2074 6f20 6a6f 696e 207b 7d20 7265 7175 6972 6573 2061 2028 6c69 7374 206f 6629 2070 6f73 6974 6976 6520 696e 7465 6765 7220 7661 6c75 6528 7329 206f 7220 656e 756d 2873 292c 2065 6e63 6f75 6e74 6572 6564 2069 6e76 616c 6964 206f 626a 6563 7420 7479 7065 2f76 616c 7565 2070 6173 7365 6420 746f 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_064                                   : "4967 6e6f 7269 6e67 2072 6571 7565 7374 2074 6f20 6a6f 696e 2074 6173 6b73 2c20 7468 6520 6f6e 6c79 2074 6173 6b20 5549 4420 7b7d 2070 6173 7365 6420 746f 2072 6566 6572 7320 746f 2074 6865 2063 7572 7265 6e74 2072 756e 6e69 6e67 2074 6173 6b2e"
        , _EFwTextID.eLogMsg_LcManager_TID_065                                   : "54 6173 6b20 7b7d 2069 7320 6375 7272 656e 7420 7275 6e6e 696e 6720 7461 736b 2c20 7769 6c6c 2069 676e 6f72 6520 6974 2077 6869 6c65 2070 726f 6365 7373 696e 6720 7265 7175 6573 7420 746f 206a 6f69 6e20 7461 736b 732e"
        , _EFwTextID.eLogMsg_LcManager_TID_066                                   : "7768 696c 6520 7472 7969 6e67 2074 6f20 6a6f 696e 204c 4320 6775 6172 642e"
        , _EFwTextID.eLogMsg_LcManager_TID_067                                   : "7768 696c 6520 7761 6974 696e 6720 666f 7220 6d61 696e 2074 6173 6b20 7b7d 2074 6f20 7465 726d 696e 6174 6520 6578 6563 7574 696f 6e2e"
        , _EFwTextID.eLogMsg_LcManager_TID_068                                   : "77 6869 6c65 2070 656e 6469 6e67 2073 746f 7020 7265 7175 6573 742e"
        , _EFwTextID.eLogMsg_LcManager_TID_069                                   : "7768 696c 6520 7072 6f63 6573 7369 6e67 2072 6571 7565 7374 2074 6f20 6a6f 696e 207b 7d2e"
        , _EFwTextID.eLogMsg_LcManager_TID_070                                   : "49 676e 6f72 696e 6720 7265 7175 6573 7420 746f 206a 6f69 6e20 7461 736b 7320 6475 6520 746f 2075 6e6a 6f69 6e61 626c 6520 7461 736b 2873 2920 6265 6c6f 7720 7061 7373 6564 2074 6f3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_071                                   : "466f 756e 6420 6d61 696e 2074 6173 6b20 7b7d 2069 7320 7374 696c 6c20 7275 6e6e 696e 6720 7768 696c 6520 6669 6e61 6c69 7a61 7469 6f6e 206f 6620 6672 616d 6577 6f72 6b27 7320 7368 7574 646f 776e 2073 6571 7565 6e63 652e"
        , _EFwTextID.eLogMsg_LcManager_TID_072                                   : "5265 7175 6573 7420 746f 2074 6572 6d69 6e61 7465 2070 726f 6365 7373 6573 2072 6571 7569 7265 7320 6120 286c 6973 7420 6f66 2920 706f 7369 7469 7665 2069 6e74 6567 6572 2076 616c 7565 2873 292c 2065 6e63 6f75 6e74 6572 6564 2069 6e76 616c 6964 206f 626a 6563 7420 7479 7065 2f76 616c 7565 2070 6173 7365 6420 746f 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_074                                   : "5465 726d 696e 6174 6564 207b 7d20 7072 6f63 6573 7365 7320 6265 6c6f 773a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_075                                   : "5b 4c43 5d5b 4c63 4d67 725d 2043 6175 6768 7420 6578 6365 7074 696f 6e20 6265 6c6f 7720 7768 696c 6520 7472 7969 6e67 2074 6f20 6a6f 696e 204c 4320 6775 6172 643a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_076                                   : "5b4c 435d 5b4c 634d 6772 5d20 4361 7567 6874 2065 7863 6570 7469 6f6e 2062 656c 6f77 2077 6869 6c65 2070 656e 6469 6e67 2073 746f 7020 7265 7175 6573 743a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_077                                   : "5b 4c43 5d5b 4c63 4d67 725d 2043 6175 6768 7420 6578 6365 7074 696f 6e20 6265 6c6f 7720 7768 696c 6520 7072 6f63 6573 7369 6e67 2072 6571 7565 7374 2074 6f20 6a6f 696e 207b 7d3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcManager_TID_078                                   : "5b 4c43 5d5b 4c63 4d67 725d 2043 6175 6768 7420 6578 6365 7074 696f 6e20 6265 6c6f 7720 7768 696c 6520 7761 6974 696e 6720 666f 7220 6d61 696e 2074 6173 6b20 7b7d 2074 6f20 7465 726d 696e 6174 6520 6578 6563 7574 696f 6e3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcSDC_TID_001                                       : "4d61 7869 6d75 6d20 7761 6974 2074 696d 6520 666f 7220 696e 7465 726e 616c 2070 7265 2d67 6174 6520 6578 7069 7265 642c 2066 6f72 6369 6e67 2074 6f20 636f 6e74 696e 7565 2073 6875 7464 6f77 6e20 6578 6563 7574 696f 6e2e"
        , _EFwTextID.eLogMsg_LcSDC_TID_002                                       : "4d61 7869 6d75 6d20 7761 6974 2074 696d 6520 666f 7220 696e 7465 726e 616c 2067 6174 6520 6578 7069 7265 642c 2066 6f72 6369 6e67 2074 6f20 636f 6e74 696e 7565 2073 6875 7464 6f77 6e20 6578 6563 7574 696f 6e2e"
        , _EFwTextID.eLogMsg_SSDeputyLogging_TID_001                             : "556e 6b6e 6f77 6e20 636f 6e66 6967 2065 6e74 6974 7920 7768 696c 6520 7072 6f63 6573 7369 6e67 2063 6d64 207b 7d2e"
        , _EFwTextID.eLogMsg_LcXStateHistory_TID_001                             : "5b4c 6345 5348 5d20 5669 6f6c 6174 696f 6e20 6167 6169 6e73 7420 7369 6e67 6c65 746f 6e2e"
        , _EFwTextID.eLogMsg_LcXStateHistory_TID_002                             : "5b4c 6345 5348 5d20 4d69 7373 696e 6720 6578 6563 7574 696f 6e20 6869 7374 6f72 792e"
        , _EFwTextID.eLogMsg_LcXStateHistory_TID_003                             : "5b 4c63 4553 485d 2042 6164 204c 4320 7365 7475 7020 6661 696c 7572 6520 6f62 6a65 6374 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcXStateHistory_TID_004                             : "5b 4c63 4553 485d 2045 7870 6563 7469 6e67 2070 6f73 6974 6976 6520 6e75 6d62 6572 206f 6620 4c43 2072 756e 7469 6d65 2066 6169 6c75 7265 2873 292c 2067 6f74 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcSetupFailure_TID_001                              : "5b4c 6353 465d 2042 6164 204c 6353 4620 6572 726f 7220 6d65 7373 6167 6520 6f62 6a65 6374 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcSetupFailure_TID_002                              : "5b4c 6353 465d 2045 6d70 7479 204c 6353 4620 6572 726f 7220 6d65 7373 6167 652e"
        , _EFwTextID.eLogMsg_LcSetupFailure_TID_003                              : "5b 4c63 5346 5d20 4261 642f 696e 7661 6c69 6420 4c63 5346 2065 7272 6f72 2063 6f64 6520 6f62 6a65 6374 2f76 616c 7565 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcFailure_TID_001                                   : "5b 4c63 465d 2041 2073 6576 6572 6520 6572 726f 7220 6f63 6375 7272 6564 2064 7572 696e 6720 7365 7475 7020 7068 6173 6520 6f66 204c 432e"
        , _EFwTextID.eLogMsg_LcFailure_TID_003                                   : "5b4c 6346 5d20 5065 726d 6973 7369 6f6e 2064 656e 6965 643a 204f 7665 7277 7269 7469 6e67 204c 4320 7275 6e74 696d 6520 6661 696c 7572 6520 7769 7468 2073 6574 7570 2066 6169 6c75 7265 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcFailure_TID_005                                   : "5b 4c63 465d 2046 6169 6c65 6420 746f 2073 6574 204c 4320 7365 7475 7020 6661 696c 7572 652e"
        , _EFwTextID.eLogMsg_LcFailure_TID_006                                   : "5b 4c63 465d 2041 7474 656d 7074 2074 6f20 7365 7420 4c43 2073 6574 7570 2066 6169 6c75 7265 2077 6869 6c65 2073 6574 7570 2061 6c72 6561 6479 2068 6173 2070 6173 7365 642e"
        , _EFwTextID.eLogMsg_LcFailure_TID_007                                   : "5b 4c63 465d 2050 6572 6d69 7373 696f 6e20 6465 6e69 6564 3a20 4f76 6572 7772 6974 696e 6720 4c43 2073 6574 7570 2066 6169 6c75 7265 2077 6974 6820 7275 6e74 696d 6520 6661 696c 7572 652e"
        , _EFwTextID.eLogMsg_LcFailure_TID_010                                   : "5b 4c63 465d 2046 6169 6c65 6420 746f 2073 6574 204c 4320 7275 6e74 696d 6520 6661 696c 7572 652e"
        , _EFwTextID.eLogMsg_LcFailure_TID_011                                   : "5b4c 6346 5d20 5065 726d 6973 7369 6f6e 2064 656e 6965 643a 2043 616e 6e6f 7420 6f76 6572 7772 6974 6520 4c43 2072 756e 7469 6d65 2066 6169 6c75 7265 2077 6974 6820 7365 7475 7020 6661 696c 7572 652e"
        , _EFwTextID.eLogMsg_LcFailure_TID_015                                   : "5b 4c63 465d 2045 6e63 6f75 6e74 6572 6564 206d 6973 6d61 7463 6820 6f66 204c 4320 6661 696c 7572 6520 7374 6174 653a 207b 7d20 7673 2e20 7b7d"
        , _EFwTextID.eLogMsg_LcFailure_TID_016                                   : "52 6573 756c 7465 6420 4c43 2073 7461 7475 7320 3a20 7b7d"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Name_FwLogLevel                     : "2d2d 6677 2d6c 6f67 2d6c 6576 656c"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Name_UserLogLevel                   : "2d 2d6c 6f67 2d6c 6576 656c"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Name_DisableLogTimestamp            : "2d 2d64 6973 6162 6c65 2d6c 6f67 2d74 696d 6573 7461 6d70"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Name_DisableLogHighlighting         : "2d2d 6469 7361 626c 652d 6c6f 672d 6869 6768 6c69 6768 7469 6e67"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Name_DisableLogCallstack            : "2d 2d64 6973 6162 6c65 2d6c 6f67 2d63 616c 6c73 7461 636b"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Name_SuppressStartPreamble          : "2d 2d73 7570 7072 6573 732d 7374 6172 742d 7072 6561 6d62 6c65"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Help_FwLogLevel                     : "66 7261 6d65 776f 726b 206c 6f67 206c 6576 656c"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Help_UserLogLevel                   : "7573 6572 206c 6f67 206c 6576 656c"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Help_DisableLogTimestamp            : "64 6973 6162 6c65 2f68 6964 6520 7469 6d65 7374 616d 7020 6f66 206c 6f67 2065 6e74 7269 6573"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Help_DisableLogHighlighting         : "64 6973 6162 6c65 2068 6967 686c 6967 6874 696e 6720 6f66 206c 6f67 2065 6e74 7269 6573"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Help_DisableLogCallstack            : "6469 7361 626c 6520 6361 6c6c 7374 6163 6b20 6f66 206c 6f67 2065 6e74 7269 6573"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Help_SuppressStartPreamble          : "73 7570 7072 6573 7320 7374 6172 7420 7072 6561 6d62 6c65"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Choices_FwLogLevel                  : "696e 666f 206b 7069 2077 6172 6e69 6e67 2065 7272 6f72"
        , _EFwTextID.eFwSOptionsImpl_ArgSpec_Choices_UserLogLevel                : "7472 6163 6520 6465 6275 6720 696e 666f 2077 6172 6e69 6e67 2065 7272 6f72"
        , _EFwTextID.eFwSOptionsImpl_ParserProgName                              : "5374 6172 7458 636f 4657"
        , _EFwTextID.eLogMsg_FwSOptionsImpl_TID_092                              : "5b 5374 4f70 745d 2043 6175 6768 7420 6578 6365 7074 696f 6e20 6265 6c6f 7720 7768 696c 6520 7472 7969 6e67 2074 6f20 7061 7273 6520 7374 6172 7420 6f70 7469 6f6e 733a 0a09 7b7d"
        , _EFwTextID.eLogMsg_FwSOptionsImpl_TID_093                              : "5b 5374 4f70 745d 2046 6169 6c65 6420 746f 2070 6172 7365 2066 7261 6d65 776f 726b 2073 7461 7274 206f 7074 696f 6e73 2c20 7365 6520 7573 6167 6520 6265 6c6f 773a 0a09 7061 7373 6564 2069 6e20 7374 6172 7420 6f70 7469 6f6e 733a 207b 7d0a 7b7d"
        , _EFwTextID.eLogMsg_FwSOptionsImpl_TID_094                              : "7b 7d0a 4e6f 7465 3a0a 0954 6869 7320 7665 7273 696f 6e20 6f66 2074 6865 2066 7261 6d65 776f 726b 2064 6f65 7320 6e6f 7420 7375 7070 6f72 7420 6265 6c6f 7720 6f70 7469 6f6e 733a 0a09 097b 7d0a"
        , _EFwTextID.eLogMsg_FwSOptionsImpl_TID_096                              : "5b53 744f 7074 5d20 4661 696c 6564 2074 6f20 7061 7273 6520 6672 616d 6577 6f72 6b20 7374 6172 7420 6f70 7469 6f6e 733a 0a09 7061 7373 6564 2069 6e20 7374 6172 7420 6f70 7469 6f6e 733a 207b 7d0a 0970 6172 7365 7220 6572 726f 723a 207b 7d0a 7b7d"
        , _EFwTextID.eLogMsg_FwSOptionsImpl_TID_097                              : "45 6e63 6f75 6e74 6572 6564 206f 626a 6563 7420 6f66 2075 6e65 7870 6563 7465 6420 7479 7065 2027 2720 6173 206c 6973 7420 6f66 2073 7461 7274 206f 7074 696f 6e73"
        , _EFwTextID.eLogMsg_FwSOptionsImpl_TID_098                              : "5b53 744f 7074 5d20 5061 7373 6564 2069 6e20 6c69 7374 206f 6620 7374 6172 7420 6f70 7469 6f6e 7320 636f 6e74 6169 6e73 2062 6164 2f65 6d70 7479 2065 6e74 7269 6573 3a0a 7b7d"
        , _EFwTextID.eLogMsg_LcDepManager_TID_001                                : "5b4c 6344 4d5d 2043 6175 6768 7420 6578 6365 7074 696f 6e20 6265 6c6f 7720 7768 696c 6520 7472 7969 6e67 2074 6f20 6372 6561 7465 204c 6344 4d3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcDepManager_TID_002                                : "5b4c 6344 4d5d 2046 6169 6c65 6420 746f 206c 6f61 6420 6677 2063 6f6e 6669 672e"
        , _EFwTextID.eLogMsg_LcDepManager_TID_003                                : "5b 4c63 444d 5d20 4661 696c 6564 2074 6f20 7570 6461 7465 204c 4320 7363 6f70 6520 6672 6f6d 207b 7d20 746f 207b 7d2e"
        , _EFwTextID.eLogMsg_LcDepManager_TID_004                                : "5b4c 6344 4d5d 2043 6175 6768 7420 6578 6365 7074 696f 6e20 6265 6c6f 7720 7768 696c 6520 7472 7969 6e67 2074 6f20 7570 6461 7465 204c 4320 7363 6f70 653a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcDepManager_TID_005                                : "5b 4c63 444d 5d20 7b7d"
        , _EFwTextID.eLogMsg_LcProxy_TID_001                                     : "4661 696c 6564 2074 6f20 6669 6e61 6c69 7a65 204c 4320 7365 7475 702e"
        , _EFwTextID.eLogMsg_ErrorLog_TID_001                                    : "49 676e 6f72 6564 2075 6e65 7870 6563 7465 6420 6f62 6a65 6374 2073 7562 6d69 7474 6564 2061 7320 6572 726f 7220 636f 6465 2c20 6578 7065 6374 696e 6720 706f 7369 7469 7665 2069 6e74 6567 6572 2076 616c 7565 733a 206f 626a 6563 7454 7970 653d 7b7d 206f 626a 6563 743d 277b 7d27"
        , _EFwTextID.eLogMsg_XcoException_TID_001                                : "4261 6420 7863 6f20 6578 6365 7074 696f 6e20 7479 7065 3a20 7b7d"
        , _EFwTextID.eLogMsg_XcoException_TID_002                                : "4261 6420 7863 6f20 6578 6365 7074 696f 6e20 6d65 7373 6167 6520 6f62 6a65 6374 2066 6f72 2074 7970 6520 7b7d 3a0a 096d 6573 7361 6765 3a20 7b7d"
        , _EFwTextID.eLogMsg_XcoException_TID_003                                : "4261 6420 7863 6f20 6578 6365 7074 696f 6e20 7472 6163 6562 6163 6b20 6f62 6a65 6374 2066 6f72 2074 7970 6520 7b7d 3a0a 0974 7261 6365 6261 636b 3a20 7b7d"
        , _EFwTextID.eLogMsg_XcoException_TID_004                                : "42 6164 2065 6e63 6c6f 7365 6420 6578 6365 7074 696f 6e20 6f62 6a65 6374 2023 3120 666f 7220 7479 7065 207b 7d3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XcoException_TID_005                                : "42 6164 2065 6e63 6c6f 7365 6420 6578 6365 7074 696f 6e20 6f62 6a65 6374 2023 3220 666f 7220 7479 7065 207b 7d3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XcoException_TID_006                                : "456e 636c 6f73 6564 2065 7863 6570 7469 6f6e 206f 626a 6563 7420 616c 7265 6164 7920 7365 743a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XcoException_TID_007                                : "4261 6420 656e 636c 6f73 6564 206c 6f67 2065 7863 6570 7469 6f6e 206f 626a 6563 7420 666f 7220 7479 7065 207b 7d3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XcoException_TID_008                                : "55 6e65 7863 7065 6374 6564 2078 636f 2065 7863 6570 7469 6f6e 206f 626a 6563 742c 2067 6f74 3a20 7b7d"
        , _EFwTextID.eLogMsg_XcoException_TID_009                                : "45 7863 7065 6374 6564 2042 6173 6545 7863 6570 7469 6f6e 206f 626a 6563 742c 2067 6f74 3a20 7b7d"
        , _EFwTextID.eLogMsg_LogException_TID_001                                : "42 6164 2066 6174 616c 2065 6e74 7279 206f 626a 6563 742c 2074 7970 653d 7b7d"
        , _EFwTextID.eLogMsg_LogException_TID_002                                : "49 6e76 616c 6964 2069 6e69 7442 7946 4520 6f62 6a65 6374"
        , _EFwTextID.eLogMsg_LogException_TID_003                                : "49 6e76 616c 6964 2073 7973 4f70 5863 7020 6f62 6a65 6374"
        , _EFwTextID.eLogMsg_LogException_TID_004                                : "4e 6f74 2069 6d70 6c65 6d65 6e74 6564 2079 6574 2c20 6665 5479 7065 3a20 7b7d"
        , _EFwTextID.eLogMsg_LogException_TID_005                                : "4261 6420 6d61 696e 2065 7863 6570 7469 6f6e 206f 626a 6563 7420 7479 7065 3a20 7b7d"
        , _EFwTextID.eLogMsg_LogException_TID_006                                : "49 6e76 616c 6964 206d 6169 6e20 6578 6365 7074 696f 6e20 6f62 6a65 6374 3a20 7b7d"
        , _EFwTextID.eLogMsg_LogException_TID_007                                : "4261 6420 6e65 7374 6564 2065 7863 6570 7469 6f6e 206f 626a 6563 7420 7479 7065 3a20 7b7d"
        , _EFwTextID.eLogMsg_LogException_TID_008                                : "496e 7661 6c69 6420 6e65 7374 6564 2065 7863 6570 7469 6f6e 206f 626a 6563 742e"
        , _EFwTextID.eLogMsg_LcGuard_TID_001                                     : "4465 7465 6374 6564 204c 4320 6d6f 6e69 746f 7220 616c 6976 656e 6573 7320 616c 6172 6d2c 206d 6973 7369 6e67 2073 696e 6365 207b 7d6d 732e"
        , _EFwTextID.eLogMsg_LcGuard_TID_003                                     : "5b4c 435d 5b4c 6347 5d20 4669 6e69 7368 6564 2063 6f6f 7264 696e 6174 6564 2073 6875 7464 6f77 6e2e"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_001                                 : "5b 4c43 5d5b 4c63 5374 6174 655d 204d 6973 7369 6e67 2076 616c 6964 2063 6f6d 706f 6e65 6e74 2049 442e"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_002                                 : "5b 4c43 5d5b 4c63 5374 6174 655d 204d 6973 7369 6e67 2076 616c 6964 204c 4320 636f 6d70 7020 4944 2061 6e64 2f6f 7220 4645 2063 6c6f 6e65 3a0a 097b 7d20 2c20 7b7d"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_004                                 : "5b 4c43 5d5b 4c63 5374 6174 655d 2050 6572 6d69 7373 696f 6e20 6465 6e69 6564 3a20 5669 6f6c 6174 696f 6e20 6167 6169 6e73 7420 522e 3131 2920 7275 6c65 2d6c 632d 616c 7265 6164 792d 7374 6f70 7065 642d 7669 6f6c 6174 696f 6e3a 7b7d"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_005                                 : "5b 4c43 5d5b 4c63 5374 6174 655d 2050 6572 6d69 7373 696f 6e20 6465 6e69 6564 3a20 5669 6f6c 6174 696f 6e20 6167 6169 6e73 7420 522e 3132 2920 7275 6c65 2d73 7461 7274 2d74 7261 6e73 6974 696f 6e2d 7669 6f6c 6174 696f 6e3a 7b7d"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_006                                 : "5b4c 435d 5b4c 6353 7461 7465 5d20 5065 726d 6973 7369 6f6e 2064 656e 6965 643a 2056 696f 6c61 7469 6f6e 2061 6761 696e 7374 2052 2e31 3329 2072 756c 652d 7374 6f70 2d74 7261 6e73 6974 696f 6e2d 7669 6f6c 6174 696f 6e3a 7b7d"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_007                                 : "5b4c 435d 5b4c 6353 7461 7465 5d20 496d 706c 2f6d 6973 6d61 7463 6820 6572 726f 7220 7768 696c 6520 6170 706c 7969 6e67 2074 7261 6e73 6974 696f 6e3a 7b7d"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_008                                 : "5b4c 435d 5b4c 6353 7461 7465 5d20 556e 6578 7065 6374 6564 2069 6d70 6c2d 6572 726f 7220 237b 7d20 7768 696c 6520 6170 706c 7969 6e67 2074 7261 6e73 6974 696f 6e3a 7b7d"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_009                                 : "5b 4c43 5d5b 4c63 5374 6174 655d 2042 6164 204c 4320 7374 6174 6520 656e 756d 2074 6f20 6d61 7020 237b 7d3a 207b 7d20 2d20 7b7d"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_010                                 : "5b4c 435d 5b4c 6353 7461 7465 5d20 4661 696c 6564 2074 6f20 636c 6f6e 6520 7061 7373 6564 2069 6e20 4652 435b 7b7d 5d20 6265 6c6f 7720 7768 696c 6520 7472 7969 6e67 2074 7261 6e73 6974 696f 6e3a 7b7d 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_011                                 : "5b4c 435d 5b4c 6353 7461 7465 5d20 4661 696c 6564 2074 6f20 7265 7472 6569 7665 2073 7461 7465 2074 7261 6e73 6974 696f 6e20 6f75 7420 6f66 204c 4320 636f 6d70 6f6e 656e 7420 4944 207b 7d5b 7b7d 5d2e"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_012                                 : "5b 4c43 5d5b 4c63 5374 6174 655d 2055 6e65 7870 6563 7465 6420 696d 706c 2d65 7272 6f72 2023 7b7d 2064 7565 2074 6f20 6666 7263 206d 6973 6d61 7463 683a 7b7d"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_013                                 : "5b 4c43 5d5b 4c63 5374 6174 655d 2042 6164 204c 4320 636f 6d70 6f6e 656e 7420 4944 206f 626a 6563 7420 666f 7220 7365 7474 696e 6720 6e65 7720 7374 6174 653a 2074 7970 653d 7b7d"
        , _EFwTextID.eLogMsg_LcStateImpl_TID_014                                 : "5b4c 435d 5b4c 6353 7461 7465 5d20 4d69 736d 6174 6368 206f 6620 7061 7373 6564 2069 6e20 7061 7261 6d73 2023 7b7d 3a20 7b7d"
        , _EFwTextID.eLogMsg_Mutex_TID_001                                       : "4661 696c 6564 2074 6f20 7265 6c65 6173 6520 6d75 7465 7820 6475 6520 746f 2065 7863 6570 7469 6f6e 3a20 7b7d 3a20 7b7d"
        , _EFwTextID.eLogMsg_SemaphoreBase_TID_001                               : "4661 696c 6564 2074 6f20 7265 6c65 6173 6520 7365 6d61 7068 6f72 6520 6475 6520 746f 2065 7863 6570 7469 6f6e 3a20 7b7d 3a20 7b7d"
        , _EFwTextID.eLogMsg_SemaphoreBase_TID_002                               : "5f69 693d 7b7d 3a20 4661 696c 6564 2074 6f20 7265 6c65 6173 6520 6475 6520 746f 2065 7863 6570 7469 6f6e 3a20 7b7d 3a20 7b7d"
        , _EFwTextID.eLogMsg_LcMonitorImpl_TID_001                               : "5b4c 634d 6f6e 5d20 5374 6172 7469 6e67 2063 6f6f 7264 696e 6174 6564 2073 6875 7464 6f77 6e2e 2e2e"
        , _EFwTextID.eLogMsg_LcMonitorImpl_TID_002                               : "5b4c 634d 6f6e 5d20 5374 6172 7469 6e67 2063 6f6f 7264 696e 6174 6564 2073 6875 7464 6f77 6e20 6475 6520 746f 204c 4320 6661 696c 7572 6520 6265 6c6f 773a 0a09 7b7d"
        , _EFwTextID.eLogMsg_LcMonitorImpl_TID_003                               : "4d 6178 696d 756d 2077 6169 7420 7469 6d65 2066 6f72 2074 6173 6b73 2074 6f20 656e 7465 7220 7368 7574 646f 776e 2070 6861 7365 2065 7870 6972 6564 2c20 6967 6e6f 7269 6e67 207b 7d20 7461 736b 2873 292e"
        , _EFwTextID.eLogMsg_LcMonitorImpl_TID_004                               : "5b 4c63 4d6f 6e5d 2057 6169 7469 6e67 2066 6f72 207b 7d20 7461 736b 2873 2920 746f 2065 6e74 6572 2073 6875 7464 6f77 6e20 7068 6173 652e 2e2e"
        , _EFwTextID.eLogMsg_FwMessage_TID_002                                   : "4578 7065 6374 696e 6720 7661 6c69 6420 6f62 6a65 6374 206f 6620 7479 7065 2027 7b7d 272c 2067 6f74 2027 7b7d 2720 696e 7374 6561 642e"
        , _EFwTextID.eLogMsg_FwQueue_TID_001                                     : "47 6f74 2069 6e76 616c 6964 2f69 6e66 696e 6974 6520 7469 6d65 6f75 7420 6f62 6a65 6374 2070 6173 7365 6420 696e 2066 6f72 2062 6c6f 636b 696e 6720 7175 6575 6520 7075 7368 206f 7065 7261 7469 6f6e 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwQueue_TID_002                                     : "476f 7420 696e 7661 6c69 642f 696e 6669 6e69 7465 2074 696d 656f 7574 206f 626a 6563 7420 7061 7373 6564 2069 6e20 666f 7220 626c 6f63 6b69 6e67 2071 7565 7565 2070 6f70 206f 7065 7261 7469 6f6e 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwQueue_TID_003                                     : "55 6e61 626c 6520 746f 2070 7573 682c 2071 7565 7565 2069 7320 6675 6c6c 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwQueue_TID_004                                     : "55 6e61 626c 6520 746f 2070 6f70 2c20 7175 6575 6520 6973 2065 6d70 7479 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwQueue_TID_005                                     : "4d 6178 696d 756d 2071 7565 7565 2073 697a 6520 6d75 7374 2062 6520 6569 7468 6572 2030 206f 7220 6c61 7267 6572 2074 6861 6e20 312e"
        , _EFwTextID.eLogMsg_FwQueue_TID_006                                     : "5061 7373 6564 2069 6e20 7175 6575 6520 6f70 7469 6f6e 2072 6571 7569 7265 7320 7370 6563 6966 6963 6174 696f 6e20 6f66 2061 206d 6178 696d 756d 2071 7565 7565 2073 697a 6520 6c61 7267 6572 2074 6861 6e20 312e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_002                               : "7b7d 6d69 7373 696e 6720 6578 7465 726e 616c 2071 7565 7565 2073 7570 706f 7274 206f 6620 7365 6e64 6572 2074 6161 6b2e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_013                               : "46 6169 6c65 6420 746f 2070 726f 6365 7373 2072 6571 7565 7374 2074 6f20 7365 6e64 206d 6573 7361 6765 2c20"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_014                               : "7b 7d63 7572 7265 6e74 6c79 2072 756e 6e69 6e67 2074 6173 6b2f 7468 7265 6164 2069 7320 6e6f 7420 6120 7573 6572 2f61 7070 6c69 6361 7469 6f6e 2074 6173 6b2e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_015                               : "7b7d 7365 6e64 6572 2075 7365 7220 7461 736b 207b 7d20 646f 6573 206e 6f74 2073 7570 706f 7274 2069 6e74 6572 6e61 6c20 6d65 7373 6167 6520 7175 6575 652e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_016                               : "7b7d 6578 7065 6374 6564 2028 756e 6971 7565 2049 4420 6f66 2920 6120 7275 6e6e 696e 6720 7573 6572 2074 6173 6b20 6973 6e74 616e 6365 2061 7320 6d65 7373 6167 6520 7265 6365 6976 6572 2c20 676f 7420 7b7d 206f 626a 6563 7420 696e 7374 6561 642e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_017                               : "7b 7d70 6173 7365 6420 696e 2072 6563 6569 7665 7220 7b7d 2069 7320 6e6f 7420 6120 7661 6c69 6420 7573 6572 2074 6173 6b20 756e 6971 7565 2049 442e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_018                               : "7b 7d66 6f75 6e64 206e 6f20 7461 736b 2069 6e73 7461 6e63 6520 666f 7220 7265 6365 6976 6572 2075 6e69 7175 6520 4944 207b 7d2e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_019                               : "7b 7d70 6173 7365 6420 696e 2072 6563 6569 7665 7220 7573 6572 2074 6173 6b20 7b7d 2069 7320 6465 7461 6368 6564 2066 726f 6d20 6672 616d 6577 6f72 6b2e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_020                               : "7b 7d70 6173 7365 6420 696e 2072 6563 6569 7665 7220 7573 6572 2074 6173 6b20 7b7d 2069 7320 6e6f 7420 7275 6e6e 696e 672e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_021                               : "7b7d 7061 7373 6564 2069 6e20 7265 6365 6976 6572 2075 7365 7220 7461 736b 207b 7d20 646f 6573 206e 6f74 2073 7570 706f 7274 2065 7874 6572 6e61 6c20 6d65 7373 6167 6520 7175 6575 652e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_022                               : "7b 7d64 6574 6563 7465 6420 696e 7661 6c69 6420 7661 6c75 6573 2070 6173 7365 6420 696e 2066 6f72 206c 6162 656c 2061 6e64 2f6f 7220 636c 7573 7465 723a 0a09 6c61 6265 6c3d 7b7d 2c20 636c 7573 7465 723d 7b7d 2c20 7365 6e64 6572 3d7b 7d2c 2072 6563 6569 7665 723d 7b7d 2020 2877 6974 6820 6d69 6e55 7365 7244 6566 696e 6564 4944 3d7b 7d29"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_023                               : "7b7d 6578 7065 6374 6564 206f 626a 6563 7420 6f66 2074 7970 6520 277b 7d27 206f 7220 277b 7d27 2061 7320 6d65 7373 6167 6527 7320 7061 796c 6f61 642c 2067 6f74 207b 7d20 696e 7374 6561 643a 0a09 6c61 6265 6c3d 7b7d 2c20 636c 7573 7465 723d 7b7d 2c20 7365 6e64 6572 3d7b 7d2c 2072 6563 6569 7665 723d 7b7d 2020 2877 6974 6820 6d69 6e55 7365 7244 6566 696e 6564 4944 3d7b 7d29"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_024                               : "7b 7d69 676e 6f72 696e 6720 656d 7074 7920 7061 796c 6f61 642f 6469 6374 696f 6e61 7279 2070 6173 7365 6420 696e 2061 7320 6d65 7373 6167 6527 7320 7061 796c 6f61 6420 2869 6e69 7469 616c 697a 6572 293a 0a09 6c61 6265 6c3d 7b7d 2c20 636c 7573 7465 723d 7b7d 2c20 7365 6e64 6572 3d7b 7d2c 2072 6563 6569 7665 723d 7b7d 2020 2877 6974 6820 6d69 6e55 7365 7244 6566 696e 6564 4944 3d7b 7d29"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_026                               : "7b 7d64 6574 6563 7465 6420 696e 7661 6c69 6420 7061 796c 6f61 6420 696e 7374 616e 6365 2070 6173 7365 6420 696e 2061 7320 6d65 7373 6167 6527 7320 7061 796c 6f61 643a 0a09 6c61 6265 6c3d 7b7d 2c20 636c 7573 7465 723d 7b7d 2c20 7365 6e64 6572 3d7b 7d2c 2072 6563 6569 7665 723d 7b7d 2020 2877 6974 6820 6d69 6e55 7365 7244 6566 696e 6564 4944 3d7b 7d29"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_027                               : "7b7d 6465 7465 6374 6564 2069 6e76 616c 6964 2076 616c 7565 7320 7061 7373 6564 2069 6e20 666f 7220 6c61 6265 6c20 616e 642f 6f72 2063 6c75 7374 6572 206f 6620 6272 6f61 6463 6173 7420 6d65 7373 6167 653a 0a09 6c61 6265 6c3d 7b7d 2c20 636c 7573 7465 723d 7b7d 2c20 7365 6e64 6572 3d7b 7d2c 2072 6563 6569 7665 723d 7b7d 2020 2877 6974 6820 6d69 6e55 7365 7244 6566 696e 6564 4944 3d7b 7d29"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_028                               : "7b7d 6d69 7373 696e 6720 7661 6c69 6420 7370 6563 6966 6963 6174 696f 6e20 6f66 2072 6563 6569 7665 7220 7461 736b 2773 2075 6e69 7175 6520 4944 2061 7320 7265 7175 6972 6564 2066 6f72 2064 6972 6563 7420 6d65 7373 6167 696e 6720 706f 6c69 6379 3a20 7b7d"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_029                               : "7b7d 6d69 7373 696e 6720 7661 6c69 6420 7370 6563 6966 6963 6174 696f 6e20 6f66 206c 6162 656c 2061 6e64 2f6f 7220 636c 7573 7465 723a 0a09 6c61 6265 6c3d 7b7d 2c20 636c 7573 7465 723d 7b7d 2c20 2877 6974 6820 6d69 6e55 7365 7244 6566 696e 6564 4944 3d7b 7d29"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_030                               : "7b 7d66 6169 6c65 6420 746f 2063 7265 6174 6520 7b7d 2069 6e73 7461 6e63 6520 666f 7220 7061 7373 6564 2069 6e20 696e 6974 6961 6c69 7a65 7220 636f 6e74 6169 6e65 7220 2873 697a 653d 7b7d 293a 0a09 6c61 6265 6c3d 7b7d 2c20 636c 7573 7465 723d 7b7d 2c20 7365 6e64 6572 3d7b 7d2c 2072 6563 6569 7665 723d 7b7d 2020 2877 6974 6820 6d69 6e55 7365 7244 6566 696e 6564 4944 3d7b 7d29"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_031                               : "7b 7d64 6973 616c 6c6f 7765 6420 6174 7465 6d70 7420 6279 2075 7365 7220 7461 736b 207b 7d20 666f 7220 7365 6c66 2d70 6f73 7469 6e67 206f 6620 6578 7465 726e 616c 206d 6573 7361 6765 732e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_032                               : "7b7d 6d61 696e 2075 7365 7220 7461 736b 206e 6f74 2061 7661 696c 6162 6c65 206f 7220 6174 7461 6368 6564 2074 6f20 7468 6520 6672 616d 6577 6f72 6b20 616e 796d 6f72 652e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_033                               : "7b 7d63 7573 746f 6d20 7061 796c 6f61 6420 2864 652d 2973 6572 6961 6c69 7a61 7469 6f6e 2069 7320 6e6f 7420 6176 6169 6c61 626c 6520 696e 2074 6869 7320 7665 7273 696f 6e20 6f66 2074 6865 2073 6f66 7477 6172 652e"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_034                               : "5365 6e64 206f 7065 7261 7469 6f6e 2066 6f72 206d 6573 7361 6765 2062 656c 6f77 2066 6169 6c65 6420 666f 7220 736f 6d65 2075 6e73 7065 6369 6669 6564 2072 6561 736f 6e3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XcoMsgMgrImpl_TID_035                               : "4272 6f61 6463 6173 7420 6f70 6572 6174 696f 6e20 666f 7220 6d65 7373 6167 6520 6265 6c6f 7720 6661 696c 6564 2066 6f72 2073 6f6d 6520 756e 7370 6563 6966 6965 6420 7265 6173 6f6e 3a3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_SubsysMsgUtil_TID_001                               : "2070 6173 7365 6420 696e 2061 7320 6d65 6d62 6572 206f 6620 636c 7573 7465 7220 7b7d"
        , _EFwTextID.eLogMsg_SubsysMsgUtil_TID_002                               : "49 6e76 616c 6964 2028 6c69 7374 206f 6629 206c 6162 656c 2049 4428 7329 7b7d 3a20 7b7d"
        , _EFwTextID.eLogMsg_SubsysMsgUtil_TID_003                               : "496e 7661 6c69 6420 636c 7573 7465 7220 4944 3a20 7b7d"
        , _EFwTextID.eLogMsg_SubsysMsgUtil_TID_004                               : "496e 7661 6c69 6420 7365 6e64 6572 2f72 6563 6569 7665 7220 4944 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageClusterMap_TID_001                           : "4e 6f6e 2d65 7869 7374 696e 6720 7061 7373 6564 2069 6e20 636c 7573 7465 7220 4944 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageClusterMap_TID_002                           : "4661 696c 6564 2074 6f20 6164 6420 286c 6973 7420 6f66 2920 6c61 6265 6c20 4944 2873 2920 746f 2074 6865 2065 7869 7374 696e 6720 636c 7573 7465 7220 7b7d 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageClusterMap_TID_003                           : "4361 6e6e 6f74 2061 6464 206c 6162 656c 2074 6f20 646f 6e74 2d63 6172 6520 636c 7573 7465 722e"
        , _EFwTextID.eLogMsg_MessageClusterMap_TID_004                           : "43 616e 6e6f 7420 6164 6420 646f 6e74 2d63 6172 6520 6c61 6265 6c20 746f 2063 6c75 7374 6572 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageClusterMap_TID_005                           : "4d 6573 7361 6765 206c 6162 656c 207b 7d20 6973 206e 6f74 2061 206d 656d 6265 7220 6f66 206d 6573 7361 6765 2063 6c75 7374 6572 207b 7d2e"
        , _EFwTextID.eLogMsg_DispatchFilter_TID_001                              : "456e 636f 756e 7465 7265 6420 616e 2065 7272 6f72 2028 4944 3d7b 7d29 2077 6869 6c65 2074 7279 696e 6720 746f 2063 6f6e 7374 7275 6374 206d 6573 7361 6765 2066 696c 7465 723a 0a09"
        , _EFwTextID.eLogMsg_DispatchFilter_TID_002                              : "7b7d 676f 7420 6261 6420 742f 633a 2028 742c 2063 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_DispatchFilter_TID_003                              : "7b 7d6f 6e65 206f 7220 6d6f 7265 2069 6e76 616c 6964 2049 4473 2070 6173 7365 6420 696e 3a0a 0928 742c 2063 2c20 636c 7573 7465 722c 206c 6162 656c 2c20 7365 6e64 6572 2c20 7265 6365 6976 6572 293d 287b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_DispatchFilter_TID_004                              : "7b 7d67 6f74 2062 6164 2063 2f73 2f72 3a20 2863 2c20 732c 2072 293d 287b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_DispatchFilter_TID_005                              : "7b7d 6261 6420 6669 6c74 6572 2070 6172 616d 6574 6572 7320 7061 7373 6564 2069 6e20 666f 7220 6465 6661 756c 7420 6469 7370 6174 6368 2066 696c 7465 723a 0a09 6c61 6265 6c3d 7b7d 2c20 636c 7573 7465 723d 7b7d 2c20 7365 6e64 6572 3d7b 7d2c 2072 6563 6569 7665 723d 7b7d"
        , _EFwTextID.eLogMsg_DispatchFilter_TID_006                              : "7b7d 7468 6973 2076 6572 7369 6f6e 206f 6620 7468 6520 6672 616d 6577 6f72 6b20 646f 6573 206e 6f74 2073 7570 706f 7274 2062 726f 6164 6361 7374 2064 6973 7061 7463 6820 6669 6c74 6572 733a 0a09 6c61 6265 6c3d 7b7d 2c20 636c 7573 7465 723d 7b7d 2c20 7365 6e64 6572 3d7b 7d2c 2072 6563 6569 7665 723d 7b7d"
        , _EFwTextID.eLogMsg_DispatchFilter_TID_007                              : "7b 7d55 6e68 616e 646c 6564 2065 7272 4944 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageHeader_TID_001                               : "456e 636f 756e 7465 7265 6420 616e 2065 7272 6f72 2028 4944 3d7b 7d29 2077 6869 6c65 2074 7279 696e 6720 746f 2063 6f6e 7374 7275 6374 206d 6573 7361 6765 2068 6561 6465 723a 0a09"
        , _EFwTextID.eLogMsg_MessageHeader_TID_002                               : "7b7d 476f 7420 6261 6420 742f 633a 2028 742c 2063 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_MessageHeader_TID_003                               : "7b 7d4f 6e65 206f 7220 6d6f 7265 2069 6e76 616c 6964 2049 4473 2070 6173 7365 6420 696e 3a0a 0928 742c 2063 2c20 636c 7573 7465 722c 206c 6162 656c 2c20 7365 6e64 6572 2c20 7265 6365 6976 6572 293d 287b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_MessageHeader_TID_004                               : "7b 7d53 656e 6465 7220 6d75 7374 206e 6f74 2062 6520 6272 6f61 6463 6173 7420 4944 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageHeader_TID_005                               : "7b7d 4469 6666 6572 656e 7420 7365 6e64 6572 2061 6e64 2072 6563 6569 7665 7220 6f66 2061 6e20 696e 7465 726e 616c 206d 6573 7361 6765 3a0a 0928 7365 6e64 6572 2c20 7265 6365 6976 6572 293d 287b 7d2c 207b 7d29"
        , _EFwTextID.eLogMsg_MessageHeader_TID_006                               : "7b7d 4d69 7373 696e 6720 7661 6c69 6420 7370 6563 6966 6963 6174 696f 6e20 6f66 2072 6563 6569 7665 7220 7461 736b 2773 2075 6e69 7175 6520 4944 2061 7320 7265 7175 6972 6564 2066 6f72 2064 6972 6563 7420 6d65 7373 6167 696e 6720 706f 6c69 6379 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageHeader_TID_007                               : "7b7d 466f 756e 6420 6e6f 2072 756e 6e69 6e67 2074 6173 6b20 666f 7220 7370 6563 6966 6965 6420 7365 6e64 6572 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageHeader_TID_008                               : "7b7d 466f 756e 6420 6e6f 2072 756e 6e69 6e67 2074 6173 6b20 666f 7220 7370 6563 6966 6965 6420 7265 6365 6976 6572 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageHeader_TID_009                               : "7b 7d45 7870 6563 7469 6e67 206c 6162 656c 2073 7065 6369 6669 6361 7469 6f6e 2066 6f72 2077 696c 6463 6172 6420 7265 6365 6976 6572 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageHeader_TID_010                               : "7b7d 5370 6563 6966 6965 6420 7365 6e64 6572 2069 7320 6e6f 7420 7072 6f76 6964 696e 6720 6578 7465 726e 616c 2071 7565 7565 2073 7570 706f 7274 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageHeader_TID_011                               : "7b7d 5370 6563 6966 6965 6420 7365 6e64 6572 2069 7320 6e6f 7420 7072 6f76 6964 696e 6720 696e 7465 726e 616c 2071 7565 7565 2073 7570 706f 7274 3a20 7b7d"
        , _EFwTextID.eLogMsg_MessageHeader_TID_012                               : "7b7d 5370 6563 6966 6965 6420 7265 6365 6976 6572 2069 7320 6e6f 7420 7072 6f76 6964 696e 6720 6578 7465 726e 616c 2071 7565 7565 2073 7570 706f 7274 3a20 7b7d"
        , _EFwTextID.eLogMsg_SerDes_TID_001                                      : "4e 6f6e 2d62 696e 6172 7920 6d6f 6465 206f 6620 6669 6c65 2d73 6572 6465 7320 6973 206e 6f74 2073 7570 706f 7274 6564 2079 6574 2c20 7061 7468 3a20 7b7d"
        , _EFwTextID.eLogMsg_SerDes_TID_002                                      : "4361 7567 6874 2075 6e68 616e 646c 6564 2f75 6e65 7870 6563 7465 6420 6578 6365 7074 696f 6e20 7768 696c 6520"
        , _EFwTextID.eLogMsg_SerDes_TID_003                                      : "7b7d 7365 7269 616c 697a 6174 696f 6e3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_SerDes_TID_004                                      : "7b 7d64 652d 7365 7269 616c 697a 6174 696f 6e3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_SerDes_TID_005                                      : "7b 7d73 6572 6961 6c69 7a61 7469 6f6e 3a20 7b7d"
        , _EFwTextID.eLogMsg_SerDes_TID_006                                      : "7b7d 6465 2d73 6572 6961 6c69 7a61 7469 6f6e 3a20 7b7d"
        , _EFwTextID.eLogMsg_SerDes_TID_007                                      : "7b 7d77 7269 7469 6e67 2074 6f20 6669 6c65 3a20 7b7d"
        , _EFwTextID.eLogMsg_SerDes_TID_008                                      : "7b 7d72 6561 6469 6e67 2066 726f 6d20 6669 6c65 3a20 7b7d"
        , _EFwTextID.eLogMsg_SerDes_TID_009                                      : "46 696c 6520 6375 7272 656e 746c 7920 6f70 656e 6564 2066 6f72 2077 7269 7469 6e67 3a20 7b7d"
        , _EFwTextID.eLogMsg_SerDes_TID_010                                      : "46 696c 6520 6375 7272 656e 746c 7920 6f70 656e 6564 2066 6f72 2072 6561 6469 6e67 3a20 7b7d"
        , _EFwTextID.eLogMsg_SerDes_TID_011                                      : "7b 7d6f 7065 6e2f 6372 6561 7465 2064 756d 7020 6669 6c65 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_001                               : "4967 6e6f 7269 6e67 2064 6973 7061 7463 6820 7265 7175 6573 7420 6475 6520 746f 206d 6973 7369 6e67 2072 6567 6973 7472 6174 696f 6e28 7329 2028 6f66 2072 6563 6569 7665 7220 7461 736b 7320 7768 6963 6820 6d6f 7374 2070 726f 6261 626c 7920 6d69 6768 7420 6e6f 7420 6265 2072 756e 6e69 6e67 2061 6e79 6d6f 7265 293a 0a09 7b7d"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_002                               : "49 676e 6f72 696e 6720 6469 7370 6174 6368 2074 6172 6765 7420 7b7d 2066 6f72 206d 6573 7361 6765 2062 656c 6f77 2064 7565 2074 6f20 6974 7320 6375 7272 656e 7420 6f70 6572 6174 696f 6e61 6c20 7374 6174 653a 0a09 7b7d"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_003                               : "4657 2064 6973 7061 7463 6865 7227 7320 696e 7465 726e 616c 2071 7565 7565 2066 756c 6c20 2823 7b7d 292c 2064 726f 7070 696e 6720 6469 7370 6174 6368 2074 6f20 7461 736b 2027 7b7d 2720 666f 7220 6d65 7373 6167 6520 6265 6c6f 773a 0a09 7b7d"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_004                               : "4578 6365 6564 6564 206d 6178 696d 756d 2072 6574 7279 206e 756d 6265 7220 6f66 207b 7d2c 2064 726f 7070 696e 6720 6469 7370 6174 6368 2074 6f20 7461 736b 2873 2920 277b 7d27 2066 6f72 206d 6573 7361 6765 207b 7d20 6265 6c6f 773a 0a09 7b7d"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_005                               : "4469 7370 6174 6368 2074 6172 6765 7420 666f 7220 6d65 7373 6167 6520 6265 6c6f 7720 6861 7320 6265 636f 6d65 2075 6e72 6561 6368 6162 6c65 2c20 6967 6e6f 7269 6e67 2073 656e 6420 7265 7175 6573 743a 0a09 7b7d"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_007                               : "43 7573 746f 6d20 7365 7269 616c 697a 6572 2072 6169 7365 6420 6578 6365 7074 696f 6e20 666f 7220 6d65 7373 6167 6520 6265 6c6f 773a 0a09 6d65 7373 6167 653a 207b 7d0a 0965 7863 6570 7469 6f6e 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_008                               : "4375 7374 6f6d 2073 6572 6961 6c69 7a65 7220 6661 696c 6564 2066 6f72 206d 6573 7361 6765 2062 656c 6f77 3a0a 096d 6573 7361 6765 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_009                               : "46 6169 6c65 6420 746f 2064 652d 7365 7269 616c 697a 6520 6279 7465 2d73 7472 6561 6d20 6f66 206d 6573 7361 6765 207b 7d20 7768 696c 6520 6469 7370 6174 6368 696e 672e"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_010                               : "4375 7374 6f6d 2064 652d 7365 7269 616c 697a 6572 2072 6169 7365 6420 6578 6365 7074 696f 6e20 666f 7220 6d65 7373 6167 6520 7b7d 3a0a 0965 7863 6570 7469 6f6e 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_011                               : "43 7573 746f 6d20 6465 2d73 6572 6961 6c69 7a65 7220 6661 696c 6564 2066 6f72 206d 6573 7361 6765 207b 7d2e"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_012                               : "52 6561 6368 6564 2074 6872 6573 686f 6c64 2076 616c 7565 206f 6620 7b7d 2063 6f6e 7365 6375 7469 7665 2066 6169 6c65 6420 6174 7465 6d70 7473 206f 6620 6d65 7373 6167 6520 6465 6c69 7665 7279 2074 6f20 7461 736b 207b 7d2e 0a09 5375 6273 6571 7565 6e74 206d 6573 7361 6765 2064 656c 6976 6572 7920 6174 7465 6d70 7473 2074 6f20 7468 6973 2074 6173 6b20 7769 6c6c 2062 6520 6170 706c 6965 6420 7769 7468 6f75 7420 7265 7472 7920 616e 796d 6f72 6520 756e 7469 6c20 6669 7273 7420 7375 6363 6573 7366 756c 2064 656c 6976 6572 7920 6973 2061 6363 6f6d 706c 6973 6865 642e"
        , _EFwTextID.eLogMsg_FwsDispatcher_TID_013                               : "52 6563 6569 7665 7220 7461 736b 2064 656e 6965 6420 746f 2071 7565 7565 206d 6573 7361 6765 2c20 6472 6f70 7069 6e67 2064 6973 7061 7463 6820 746f 2074 6173 6b20 277b 7d27 2066 6f72 206d 6573 7361 6765 207b 7d20 6265 6c6f 773a 0a09 7b7d"
        , _EFwTextID.eLogMsg_AbsRunnable_TID_001                                 : "4967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 7365 6e64 2069 6e74 6572 6e61 6c20 6d65 7373 6167 6520 666f 7220 7461 736b 207b 7d20 6475 6520 746f 2066 756c 6c20 696e 7465 726e 616c 2071 7565 7565 3a20 7175 6575 6553 697a 653d 7b7d"
        , _EFwTextID.eLogMsg_AbsRunnable_TID_002                                 : "5461 736b 207b 7d20 6861 7320 7265 6163 6865 6420 6974 7320 6d61 782e 2065 7874 6572 6e61 6c20 7175 6575 6520 7369 7a65 206f 6620 7b7d 2c20 6375 7272 656e 746c 7920 756e 6162 6c65 2074 6f20 7175 6575 6520 6d65 7373 6167 6520 7b7d 2c20 6469 7370 6174 6368 2072 652d 7472 7920 7769 6c6c 2074 616b 6520 706c 6163 6520 2869 6620 6170 706c 6963 6162 6c65 292e"
        , _EFwTextID.eLogMsg_AbsRunnable_TID_003                                 : "54 6173 6b20 7b7d 2069 7320 6375 7272 656e 746c 7920 6e6f 7420 7769 7468 696e 2069 7473 2072 756e 2070 6861 7365 2c20 6967 6e6f 7269 6e67 2072 6571 7565 7374 2074 6f20 7472 6967 6765 7220 7b7d 2071 7565 7565 2070 726f 6365 7373 696e 672e"
        , _EFwTextID.eLogMsg_AbsRunnable_TID_004                                 : "54 6173 6b20 7b7d 2069 7320 7072 6f63 6573 7369 6e67 2069 6e74 6572 6e61 6c2f 6578 7465 726e 616c 2071 7565 7565 2061 6c72 6561 6479 2c20 6967 6e6f 7269 6e67 2072 6571 7565 7374 2074 6f20 7472 6967 6765 7220 7b7d 2071 7565 7565 2070 726f 6365 7373 696e 672e"
        , _EFwTextID.eLogMsg_AbsRunnable_TID_006                                 : "5461 736b 207b 7d20 6973 2063 7572 7265 6e74 6c79 2077 6974 6869 6e20 6974 7320 7465 6172 646f 776e 2070 6861 7365 2c20 6967 6e6f 7269 6e67 2072 6571 7565 7374 2074 6f20 7472 6967 6765 7220 7b7d 2071 7565 7565 2070 726f 6365 7373 696e 672e"
        , _EFwTextID.eLogMsg_CallableIF_TID_004                                  : "4967 6e6f 7265 6420 7061 7373 6564 2069 6e20 7061 7261 6d65 7465 7220 6d65 7468 6f64 3a20 7b7d"
        , _EFwTextID.eLogMsg_CallableIF_TID_011                                  : "4d 6973 7369 6e67 2061 6e20 696e 7374 616e 6365 206f 6620 636c 6173 7320 7b7d 2074 6f20 6265 2070 6173 7365 6420 746f 2061 7320 6669 7273 7420 6172 6775 6d65 6e74 2077 6865 6e20 6361 6c6c 696e 672c 2074 7970 6543 616c 6c61 626c 654f 626a 3a20 7b7d"
        , _EFwTextID.eLogMsg_CallableSignature_TID_001                           : "27 7365 7475 7027"
        , _EFwTextID.eLogMsg_CallableSignature_TID_002                           : "2774 6561 7264 6f77 6e27"
        , _EFwTextID.eLogMsg_CallableSignature_TID_003                           : "27 7275 6e27"
        , _EFwTextID.eLogMsg_CallableSignature_TID_004                           : "2770 726f 6365 7373 2d65 7874 6572 6e61 6c2d 6d65 7373 6167 6527"
        , _EFwTextID.eLogMsg_CallableSignature_TID_005                           : "2770 726f 6365 7373 2d69 6e74 6572 6e61 6c2d 6d65 7373 6167 6527"
        , _EFwTextID.eLogMsg_CallableSignature_TID_006                           : "5061 7373 6564 2069 6e20 6f62 6a65 6374 2062 656c 6f77 2069 7320 6e6f 7420 6120 6361 6c6c 6261 636b 2066 756e 6374 696f 6e20 6f72 206d 6574 686f 643a 0a09 7b7d"
        , _EFwTextID.eLogMsg_CallableSignature_TID_007                           : "69 6e73 7461 6e63 652d 6d65 7468 6f64"
        , _EFwTextID.eLogMsg_CallableSignature_TID_008                           : "66 756e 6374 696f 6e20 286f 7220 7374 6174 6963 2d6d 6574 686f 6429"
        , _EFwTextID.eLogMsg_CallableSignature_TID_009                           : "28 5b2e 2e2e 5d29 2020 2320 7468 6174 2069 7320 6c69 7374 206f 6620 616c 6c20 6f70 7469 6f6e 616c 2070 6172 616d 6574 6572 7320 2869 6620 616e 7929"
        , _EFwTextID.eLogMsg_CallableSignature_TID_010                           : "28 2a61 7267 732c 202a 2a6b 7761 7267 7329"
        , _EFwTextID.eLogMsg_CallableSignature_TID_011                           : "28 786d 7367 203a 2049 4d65 7373 6167 6520 5b2c 202e 2e2e 5d29"
        , _EFwTextID.eLogMsg_CallableSignature_TID_012                           : "27 7870 726f 6365 7373 2d74 6172 6765 7427"
        , _EFwTextID.eLogMsg_CallableSignature_TID_013                           : "28 2a61 7267 732c 202a 2a6b 7761 7267 7329"
        , _EFwTextID.eLogMsg_CallableSignature_TID_014                           : "53 6967 6e61 7475 7265 206d 6973 6d61 7463 6820 6f66 2074 6865 207b 7d20 6265 6c6f 7720 7061 7373 6564 2069 6e20 6173 207b 7d20 6361 6c6c 6261 636b 3a0a 097b 7d0a 0965 7870 6563 7465 6420 7369 676e 6174 7572 6520 2865 7863 6c75 6469 6e67 206d 616e 6461 746f 7279 2027 7365 6c66 2720 6172 6775 6d65 6e74 206f 6620 696e 7374 616e 6365 206d 6574 686f 6473 293a 0a09 7b7d"
        , _EFwTextID.eLogMsg_Payload_TID_001                                     : "55 6e65 7870 6563 7465 6420 6f62 6a65 6374 2074 7970 6520 277b 7d27 2070 6173 7365 6420 696e 2061 7320 7061 796c 6f61 6420 636f 6e74 6169 6e65 722e"
        , _EFwTextID.eLogMsg_Payload_TID_002                                     : "4b65 7920 6e6f 7420 666f 756e 6420 696e 206d 6573 7361 6765 2070 6179 6c6f 6164 3a20 7b7d"
        , _EFwTextID.eLogMsg_XcoMsgImpl_TID_001                                  : "4465 6e69 6564 2072 6571 7565 7374 2074 6f20 6174 7461 6368 2069 6e76 616c 6964 2070 6179 6c6f 6164 206f 626a 6563 7420 746f 206d 6573 7361 6765 207b 7d2e"
        , _EFwTextID.eLogMsg_XProcessConn_TID_001                                : "5b 5850 435d 2052 6566 7573 6564 2074 6f20 6372 6561 7465 206e 6577 2078 7072 6f63 6573 7320 696e 7374 616e 6365 2064 7565 2074 6f20 6368 616e 6765 206f 6620 4d50 2070 726f 6365 7373 2073 7461 7274 206d 6574 686f 642e"
        , _EFwTextID.eLogMsg_XProcessConn_TID_002                                : "5b 5850 435d 205b 5072 6f63 6573 733a 7b7d 5d20"
        , _EFwTextID.eLogMsg_XProcessConn_TID_003                                : "5b 5850 435d 2046 6169 6c65 6420 746f 2063 7265 6174 6520 5254 4520 6578 6368 616e 6765 2064 6174 612e"
        , _EFwTextID.eLogMsg_XProcessConn_TID_004                                : "45 6e63 6f75 6e74 6572 6564 2069 6e76 6c61 6964 2f65 6d70 7479 206e 616d 6520 7061 7373 6564 2069 6e20 746f 2063 7265 6174 6520 7072 6f63 6573 7320 696e 7374 616e 6365 3a20 277b 7d27"
        , _EFwTextID.eLogMsg_XProcessConn_TID_006                                : "54 6172 6765 7420 6361 6c6c 6261 636b 2065 6e63 6f75 6e74 6572 6564 2065 7863 6570 7469 6f6e 2062 656c 6f77 2064 7572 696e 6720 6578 6563 7574 696f 6e3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XProcessConn_TID_007                                : "43 6869 6c64 2070 726f 6365 7373 2074 6572 6d69 6e61 7465 6420 7769 7468 2065 7869 7420 636f 6465 207b 7d2c 2072 6570 6f72 7465 6420 5254 4520 6572 726f 7220 4944 3a20 7b7d"
        , _EFwTextID.eLogMsg_XProcessConn_TID_008                                : "45 6e63 6f75 6e74 6572 6564 2065 7272 6f72 2062 656c 6f77 2077 6869 6c65 2074 7279 696e 6720 746f 2072 6561 6420 5254 4520 6578 6368 616e 6765 2064 6174 613a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XProcessConn_TID_010                                : "43 6869 6c64 2070 726f 6365 7373 2074 6572 6d69 6e61 7465 6420 7769 7468 206e 6f6e 2d69 6e74 6567 6572 2065 7869 7420 636f 6465 2027 7b7d 272c 2077 696c 6c20 7365 7420 7b7d 2061 7320 6578 6974 2063 6f64 652c 2061 6e64 2073 746f 7020 7761 6974 696e 6720 666f 7220 5254 4520 6578 6368 616e 6765 2064 6174 612e"
        , _EFwTextID.eLogMsg_XProcessConn_TID_011                                : "4368 696c 6420 7072 6f63 6573 7320 7465 726d 696e 6174 6564 2077 6974 6820 6578 6974 2063 6f64 6520 7b7d 2c20 7769 6c6c 2073 746f 7020 7761 6974 696e 6720 666f 7220 5254 4520 6578 6368 616e 6765 2064 6174 612e"
        , _EFwTextID.eLogMsg_XProcessConn_TID_012                                : "77 6869 6c65 2070 726f 6365 7373 696e 6720 7265 7175 6573 7420 746f 206a 6f69 6e2e"
        , _EFwTextID.eLogMsg_XProcessConn_TID_013                                : "45 6e63 6f75 6e74 6572 6564 2069 6e76 6c61 6964 2f65 6d70 7479 2061 6c69 6173 206e 616d 6520 7061 7373 6564 2069 6e20 746f 2063 7265 6174 6520 7072 6f63 6573 7320 696e 7374 616e 6365 3a20 277b 7d27"
        , _EFwTextID.eLogMsg_XProcessConn_TID_014                                : "4973 7375 6564 2074 6572 6d69 6e61 7465 2063 6f6d 6d61 6e64 2061 7320 7265 7175 6573 7465 642c 2062 7574 2068 6f73 7420 7072 6f63 6573 7320 6973 2073 7469 6c6c 2061 6c69 7665 2061 6674 6572 2061 2077 6169 7420 7469 6d65 206f 6620 7b7d 205b 6d73 5d2e"
        , _EFwTextID.eLogMsg_XProcessConn_TID_015                                : "4973 7375 6564 2074 6572 6d69 6e61 7465 2063 6f6d 6d61 6e64 2061 7320 7265 7175 6573 7465 642e"
        , _EFwTextID.eLogMsg_XProcessConn_TID_016                                : "52 6563 6569 7665 6420 756e 6578 7065 6374 6564 2070 6179 6c6f 6164 2064 6174 6120 7479 7065 2027 7b7d 272e"
        , _EFwTextID.eLogMsg_XProcessConn_TID_017                                : "456e 636f 756e 7465 7265 6420 756e 6578 7065 6374 6564 206c 6f77 2d6c 6576 656c 2065 7272 6f72 2072 656c 6174 6564 2074 6f20 5254 4520 6578 6368 616e 6765 2064 6174 612e"
        , _EFwTextID.eLogMsg_XProcessConn_TID_018                                : "5b58 5043 5d20 4661 696c 6564 2074 6f20 6372 6561 7465 206e 6577 2068 6f73 7420 7072 6f63 6573 7320 696e 7374 616e 6365 2c20 2861 6c69 6173 2920 6e61 6d65 3a20 7b7d"
        , _EFwTextID.eLogMsg_XProcessConn_TID_019                                : "4368 696c 6420 7072 6f63 6573 7320 6661 696c 6564 2074 6f20 7772 6974 6520 5254 4520 6578 6368 616e 6765 2064 6174 612e"
        , _EFwTextID.eLogMsg_XProcessConn_TID_020                                : "4368 696c 6420 7072 6f63 6573 7320 656e 636f 756e 7465 7265 6420 6572 726f 7220 6265 6c6f 7720 7768 696c 6520 7472 7969 6e67 2074 6f20 7772 6974 6520 5254 4520 6578 6368 616e 6765 2064 6174 613a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XProcessConn_TID_021                                : "53 4947 5445 524d"
        , _EFwTextID.eLogMsg_XProcessConn_TID_022                                : "5b 5850 435d 2043 6175 6768 7420 6578 6365 7074 696f 6e20 6265 6c6f 7720 7768 696c 6520 7072 6f63 6573 7369 6e67 2072 6571 7565 7374 2074 6f20 6a6f 696e 2070 726f 6365 7373 207b 7d3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_MPStartPolicy_TID_001                               : "5b 4d50 5350 5d20 456e 636f 756e 7465 7265 6420 696e 7661 6c69 6420 6f62 6a65 6374 206f 6620 7479 7065 207b 7d20 7061 7373 6564 2069 6e20 6173 2070 726f 6365 7373 2073 7461 7274 206d 6574 686f 6420 4944 2c20 6578 7065 6374 696e 6720 6f62 6a65 6374 206f 6620 7479 7065 207b 7d20 696e 7374 6561 642e"
        , _EFwTextID.eLogMsg_MPStartPolicy_TID_007                               : "5b4d 5053 505d 204d 5020 7072 6f63 6573 7320 7374 6172 7420 6d65 7468 6f64 2028 534d 2920 7374 6174 7573 3a0a 0970 6c61 7466 6f72 6d20 2020 2020 2020 3a20 7b7d 0a09 696e 6974 6961 6c20 2020 2020 534d 203a 207b 7d0a 0970 7265 7669 6f75 7320 2020 2053 4d20 3a20 7b7d 0a09 6375 7272 656e 7420 2020 2020 534d 203a 207b 7d0a 0966 6972 7374 2066 6978 6564 2053 4d20 3a20 7b7d"
        , _EFwTextID.eLogMsg_MPStartPolicy_TID_008                               : "456e 636f 756e 7465 7265 6420 756e 6b6e 6f77 6e20 2870 6173 7365 6420 696e 2920 7072 6f63 6573 7320 7374 6172 7420 6d65 7468 6f64 206e 616d 6520 277b 7d27 2c20 7b7d"
        , _EFwTextID.eLogMsg_MPStartPolicy_TID_009                               : "556e 6861 6e64 6c65 6420 7072 6f63 6573 7320 7374 6172 7420 6d65 7468 6f64 206e 616d 6520 277b 7d27 2c20 7b7d"
        , _EFwTextID.eLogMsg_MPStartPolicy_TID_015                               : "44 6574 6563 7465 6420 6368 616e 6765 206f 6620 4d50 2070 726f 6365 7373 2073 7461 7274 206d 6574 686f 6420 6672 6f6d 2027 7b7d 2720 746f 2027 7b7d 272e"
        , _EFwTextID.eLogMsg_XMPUtilImpl_TID_001                                 : "5b58 504d 6772 5d20 456e 636f 756e 7465 7265 6420 696e 7661 6c69 6420 6f62 6a65 6374 206f 6620 7479 7065 207b 7d20 7061 7373 6564 2069 6e20 6173 2070 726f 6365 7373 2073 7461 7274 206d 6574 686f 6420 4944 2c20 6578 7065 6374 696e 6720 6f62 6a65 6374 206f 6620 7479 7065 207b 7d20 696e 7374 6561 642e"
        , _EFwTextID.eLogMsg_XMPUtilImpl_TID_002                                 : "46 7261 6d65 776f 726b 2069 7320 6375 7272 656e 746c 7920 6e6f 7420 6176 6169 6c61 626c 652c 2069 676e 6f72 696e 6720 4150 4920 7265 7175 6573 7420 746f 2066 7261 6d65 776f 726b 2773 204d 5020 6170 692e"
        , _EFwTextID.eLogMsg_FwRteConfig_TID_001                                 : "4967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 2872 652d 2920 636f 6e66 6967 7572 6520 6672 6f7a 656e 2066 7261 6d65 776f 726b 2773 2052 5445 2070 6f6c 6963 792e"
        , _EFwTextID.eLogMsg_FwRteConfig_TID_003                                 : "5079 7468 6f6e 2076 6572 7369 6f6e 207b 7d20 646f 6573 206e 6f74 2073 7570 706f 7274 2028 6275 696c 6429 2063 6f6e 6669 6775 7261 7469 6f6e 206f 6620 7468 6520 696e 7465 7270 7265 7465 7220 666f 7220 2865 7870 6572 696d 656e 7461 6c29 2066 7265 652d 7468 7265 6164 696e 672e"
        , _EFwTextID.eLogMsg_FwRteConfig_TID_004                                 : "52 5445 2063 6f6e 6669 6775 7261 7469 6f6e 2070 6f6c 6963 6965 7320 2774 6572 6d69 6e61 6c2d 6d6f 6465 2720 616e 6420 2761 7574 6f2d 7374 6f70 2720 286f 7220 2766 6f72 6365 642d 6175 746f 2d73 746f 7027 2920 6172 6520 6d75 7475 616c 6c79 2065 7863 6c75 7369 7665 2c20 656e 6162 6c69 6e67 2062 6f74 6820 6f66 2074 6865 6d20 6973 2064 6973 616c 6c6f 7765 642e"
        , _EFwTextID.eLogMsg_FwRteConfig_TID_005                                 : "45 6e63 6f75 6e74 6572 6564 2075 6e6b 6e6f 776e 2f69 6e76 616c 6964 2052 5445 2070 6f6c 6963 7920 4944 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwRteConfig_TID_006                                 : "456e 636f 756e 7465 7265 6420 756e 6578 7065 6374 6564 2052 5445 2070 6f6c 6963 7920 4944 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwRteConfig_TID_007                                 : "5254 4520 636f 6e66 6967 7572 6174 696f 6e20 706f 6c69 6369 6573 2027 6175 746f 2d73 746f 7027 2061 6e64 2027 666f 7263 6564 2d61 7574 6f2d 7374 6f70 2720 6172 6520 6d75 7475 616c 6c79 2065 7863 6c75 7369 7665 2c20 656e 6162 6c69 6e67 2062 6f74 6820 6f66 2074 6865 6d20 6973 2064 6973 616c 6c6f 7765 642e"
        , _EFwTextID.eLogMsg_FwRteConfig_TID_008                                 : "5265 6675 7365 6420 746f 2065 6e61 626c 6520 5254 4520 636f 6e66 6967 7572 6174 696f 6e20 706f 6c69 6369 6573 2027 6175 746f 2d73 746f 7027 2064 7565 2074 6f20 2766 6f72 6365 642d 6175 746f 2d73 746f 7027 2065 6e61 626c 6564 2070 7265 7669 6f75 736c 792e"
        , _EFwTextID.eLogMsg_FwRteConfig_TID_009                                 : "5265 6675 7365 6420 746f 2065 6e61 626c 6520 5254 4520 636f 6e66 6967 7572 6174 696f 6e20 706f 6c69 6369 6573 2027 666f 7263 6564 2d61 7574 6f2d 7374 6f70 2720 6475 6520 746f 2027 6175 746f 2d73 746f 7027 2065 6e61 626c 6564 2070 7265 7669 6f75 736c 792e"
        , _EFwTextID.eLogMsg_FwRteException_TID_001                              : "3c 554e 5350 4543 4946 4945 442d 5254 452d 4558 4345 5054 494f 4e2d 4d45 5353 4147 453e"
        , _EFwTextID.eLogMsg_FwRteException_TID_002                              : "7b7d 203a 0a09 636f 6465 2020 2020 3a20 7b7d 0a09 6d65 7373 6167 6520 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwRteException_TID_003                              : "0a09 7265 6173 6f6e 2074 7970 6520 3a20 7b7d 0a09 7265 6173 6f6e 2020 2020 2020 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwRteException_TID_004                              : "5375 7070 6c69 6564 2064 6174 6127 7320 7061 796c 6f61 6420 7369 7a65 206f 6620 7b7d 2065 7863 6565 6473 2074 6f6b 656e 2773 2070 6179 6c6f 6164 2063 6170 6163 6974 7920 6f66 207b 7d2e"
        , _EFwTextID.eLogMsg_FwRteException_TID_005                              : "43 6175 6867 7420 6578 6365 7074 696f 6e20 7768 696c 6520 7472 7969 6e67 2074 6f20 7365 7269 616c 697a 6520 746f 6b65 6e20 7061 796c 6f61 642e"
        , _EFwTextID.eLogMsg_FwRteException_TID_006                              : "55 6e65 7870 6563 7465 6420 6d69 736d 6174 6368 206f 6620 6578 7065 6374 6564 2074 6f6b 656e 2068 6561 6465 7220 7369 7a65 206f 6620 7b7d 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwRteException_TID_007                              : "43 6175 6867 7420 6578 6365 7074 696f 6e20 7768 696c 6520 7472 7969 6e67 2074 6f20 7365 7269 616c 697a 6520 746f 6b65 6e20 6865 6164 6572 207b 7d2e"
        , _EFwTextID.eLogMsg_FwRteException_TID_008                              : "43 6175 6867 7420 6578 6365 7074 696f 6e20 7768 696c 6520 7472 7969 6e67 2074 6f20 7772 6974 6520 7b7d 2062 7974 6573 2074 6f20 746f 6b65 6e2e"
        , _EFwTextID.eLogMsg_FwRteException_TID_009                              : "5b 5049 443a 7b7d 5d20"
        , _EFwTextID.eLogMsg_FwRteException_TID_010                              : "556e 6578 7065 6374 6564 2073 697a 6520 6f66 207b 5f62 7566 4c65 6e7d 206f 6620 5254 4520 746f 6b65 6e20 746f 2062 6520 7265 6164 2066 726f 6d2e"
        , _EFwTextID.eLogMsg_FwRteException_TID_011                              : "43 6175 6867 7420 6578 6365 7074 696f 6e20 7768 696c 6520 7472 7969 6e67 2074 6f20 6465 2d73 6572 6961 6c69 7a65 2074 6f6b 656e 2068 6561 6465 722e"
        , _EFwTextID.eLogMsg_FwRteException_TID_012                              : "55 6e65 7870 6563 7465 6420 7369 7a65 206f 6620 5254 4520 746f 6b65 6e20 7061 796c 6f61 643a 2062 7566 5369 7a65 3d7b 7d20 2c20 6865 6164 6572 4c65 6e3d 7b7d 202c 2070 6179 6c6f 6164 4c65 6e3d 7b7d"
        , _EFwTextID.eLogMsg_FwRteException_TID_013                              : "4361 7568 6774 2065 7863 6570 7469 6f6e 2077 6869 6c65 2074 7279 696e 6720 746f 2064 652d 7365 7269 616c 697a 6520 746f 6b65 6e20 7061 796c 6f61 642e"
        , _EFwTextID.eLogMsg_FwRteException_TID_014                              : "46 6f75 6e64 2075 6e65 7870 6563 7465 6420 746f 6b65 6e20 7061 796c 6f61 6420 7479 7065 2061 6e64 2f6f 7220 7369 7a65 206f 6620 7061 7373 6564 2069 6e20 5254 4520 746f 6b65 6e20 277b 7d27 2073 6574 2074 6f20 7b7d 2c20 6578 7065 6374 696e 6720 6d69 6e2e 2073 697a 6520 6f66 207b 7d2e"
        , _EFwTextID.eLogMsg_FwRteException_TID_015                              : "53 7570 706c 6965 6420 6461 7461 2773 2070 6179 6c6f 6164 2073 697a 6520 6f66 207b 7d20 6578 6365 6564 7320 7370 6563 6966 6965 6420 6d61 782e 2073 697a 6520 6f66 207b 7d2e"
        , _EFwTextID.eLogMsg_FwRteException_TID_016                              : "3c53 4552 4941 4c49 5a41 5449 4f4e 2d45 5252 4f52 2d57 4849 4c45 2d53 5452 2d54 5249 4d3e"
        , _EFwTextID.eLogMsg_FwRteTokenMgr_TID_001                               : "43 6175 6867 7420 6578 6365 7074 696f 6e20 6265 6c6f 7720 7768 696c 6520 7472 7969 6e67 2074 6f20 6372 6561 7465 2052 5445 2074 6f6b 656e 2027 7b7d 2720 6f66 2073 697a 6520 7b7d 3a0a 097b 7d20 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwRteTokenMgr_TID_002                               : "0a 094e 4f54 453a 0a09 2020 2d20 416e 2028 6f72 7068 616e 6564 2920 7368 6172 6564 206d 656d 6f72 7920 6669 6c65 2027 7b7d 2720 6578 6973 7473 2061 6c72 6164 792c 206d 6f73 7420 7072 6f62 6162 6c79 2066 726f 6d20 6120 7072 6576 696f 7573 2c20 6661 696c 6564 2061 7474 656d 7074 2074 6f20 6372 6561 7465 2061 2063 6869 6c64 2070 726f 6365 7373 2e0a 0920 202d 2049 6620 736f 2c20 7265 6d6f 7665 2074 6861 7420 6669 6c65 2061 6e64 2074 7279 2069 7420 6167 6169 6e20 6166 7465 7220 7265 736f 6c76 696e 6720 7468 6520 726f 6f74 2063 6175 7365 206f 6620 7072 6576 696f 7573 2066 6169 6c75 7265 2873 292e"
        , _EFwTextID.eLogMsg_FwRteTokenMgr_TID_003                               : "49 6e76 616c 6964 206e 616d 6520 746f 206f 7065 6e20 5254 4520 746f 6b65 6e3a 2027 7b29 7d27"
        , _EFwTextID.eLogMsg_FwRteTokenMgr_TID_004                               : "4361 7568 6774 2065 7863 6570 7469 6f6e 2062 656c 6f77 2077 6869 6c65 2074 7279 696e 6720 746f 206f 7065 6e20 5254 4520 746f 6b65 6e20 277b 7d27 3a0a 097b 7d20 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwRteTokenMgr_TID_005                               : "45 6e63 6f75 6e74 6572 6564 2069 6e76 6c61 6964 206f 7220 6f75 7420 6f66 2072 616e 6765 206d 6178 2e20 7375 7070 6c69 6564 2064 6174 6120 7369 7a65 206f 6620 7b7d 2070 6173 7365 6420 696e 2074 6f20 6372 6561 7465 2070 726f 6365 7373 2069 6e73 7461 6e63 652c 2076 616c 6964 2072 616e 6765 3a20 5b7b 7d2e 2e7b 7d5d"
        , _EFwTextID.eLogMsg_FwRteDataExchange_TID_001                           : "5b52 7465 4445 5d20 5254 4520 6461 7461 2065 7863 6861 6e67 6520 6861 7320 6265 656e 2061 7474 6163 6865 6420 746f 2063 6869 6c64 2070 726f 6365 7373 2061 6c72 6561 6479 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwRteDataExchange_TID_002                           : "5b 5274 6544 455d 2046 6169 6c65 6420 746f 2061 7474 6163 6820 5254 4520 6461 7461 2065 7863 6861 6e67 6520 746f 2063 6869 6c64 2070 726f 6365 7373 3a20 7b7d"
        , _EFwTextID.eLogMsg_FwRteDataExchange_TID_004                           : "7b7d 0a09 7b7d 0a09 2361 7267 733d 7b7d 202c 2023 6b77 6172 6773 5f3d 7b7d"
        , _EFwTextID.eLogMsg_FwRteDataExchange_TID_005                           : "7b 7d0a 0963 6869 6c64 2070 726f 6365 7373 3a20 7b7d 0a09 7061 7265 6e74 2070 726f 6365 7373 3a20 7b7d"
        , _EFwTextID.eLogMsg_XProcessTarget_TID_001                              : "5b58 5054 6774 5d20 4361 7567 6874 207b 7d20 6578 6365 7074 696f 6e20 7768 696c 6520 6578 6563 7574 696e 6720 7461 7267 6574 2063 616c 6c62 6163 6b20 6f6e 2063 6869 6c64 2070 726f 6365 7373 207b 7d2e"
        , _EFwTextID.eLogMsg_XProcessTarget_TID_002                              : "5b 5850 5467 745d 2054 6172 6765 7420 6361 6c6c 6261 636b 206f 6e20 6368 696c 6420 7072 6f63 6573 7320 7b7d 2072 6574 7572 6e65 6420 6469 7361 6c6c 6f77 6564 2073 7570 706c 6965 6420 6461 7461 2074 796f 653a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XProcessTarget_TID_003                              : "5b58 5054 6774 5d20 4361 7567 6874 2064 6973 616c 6c6f 7765 6420 6578 6365 7074 696f 6e20 7768 696c 6520 6578 6563 7574 696e 6720 7461 7267 6574 2063 616c 6c62 6163 6b20 6f6e 2063 6869 6c64 2070 726f 6365 7373 207b 7d3a 0a09"
        , _EFwTextID.eLogMsg_XCbCase_TID_001                                     : "57 6869 6c65 2063 7265 6174 696e 6720 616e 2069 6e73 7461 6e63 6520 6f66 2063 6c61 7373 2027 7b7d 272c 2066 6f75 6e64 206e 6f20 7661 6c69 6420 6361 6c6c 6261 636b 2070 6172 616d 6574 6572 2873 2920 7061 7373 6564 2074 6f20 7468 6520 632d 746f 722e"
        , _EFwTextID.eLogMsg_XCbCase_TID_002                                     : "57 6869 6c65 2063 7265 6174 696e 6720 616e 2069 6e73 7461 6e63 6520 6f66 2063 6c61 7373 2027 7b7d 272c 2069 676e 6f72 6564 2070 6173 7365 6420 666f 726d 616c 2070 6172 616d 6574 6572 2873 2920 6265 6c6f 7720 6475 6520 746f 2070 7265 6365 6465 6e63 6520 6f66 207b 7d3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XCbCase_TID_003                                     : "5768 696c 6520 6372 6561 7469 6e67 2061 6e20 696e 7374 616e 6365 206f 6620 636c 6173 7320 277b 7d27 2c20 6465 7465 6374 6564 2064 6973 616c 6c6f 7765 6420 6361 6c6c 6261 636b 2066 756e 6374 696f 6e28 7329 2062 656c 6f77 2066 6f72 2061 206e 6f6e 2d6d 6573 7361 6769 6e67 2074 6173 6b3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XCbCase_TID_004                                     : "5768 696c 6520 6372 6561 7469 6e67 2061 6e20 696e 7374 616e 6365 206f 6620 636c 6173 7320 277b 7d27 2c20 676f 7420 6578 6365 7074 696f 6e20 6265 6c6f 7720 6475 6520 746f 2066 6169 6c65 6420 6465 6661 756c 742d 636f 6e73 7472 7563 7469 6f6e 206f 6620 616e 2069 6e73 7461 6e63 6520 6f66 2063 6c61 7373 2027 7b7d 270a 097b 7d2e"
        , _EFwTextID.eLogMsg_XCbCase_TID_005                                     : "5768 696c 6520 6372 6561 7469 6e67 2061 6e20 696e 7374 616e 6365 206f 6620 636c 6173 7320 277b 7d27 2c20 656e 636f 756e 7465 7265 6420 636f 6e66 6c69 6374 696e 6720 666f 726d 616c 2070 6172 616d 6574 6572 2873 2920 6265 6c6f 7720 6475 6520 746f 2070 7265 6365 6465 6e63 6520 6f66 207b 7d3a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XCbCase_TID_006                                     : "57 6869 6c65 2063 7265 6174 696e 6720 616e 2069 6e73 7461 6e63 6520 6f66 2063 6c61 7373 2027 7b7d 272c 2066 6169 6c65 6420 746f 2069 6465 6e74 6966 7920 7468 6520 6361 6c6c 6261 636b 2066 756e 6374 696f 6e20 7061 7373 6564 2074 6f20 7669 6120 666f 726d 616c 2070 6172 616d 6574 6572 207b 7d2e"
        , _EFwTextID.eLogMsg_XCbCase_TID_008                                     : "5768 696c 6520 6372 6561 7469 6e67 2061 6e20 696e 7374 616e 6365 206f 6620 636c 6173 7320 277b 7d27 2c20 656e 636f 756e 7465 7265 6420 7669 6f6c 6174 696f 6e20 6361 7573 6564 2062 7920 7468 6520 7061 7373 6564 2063 616c 6c62 6163 6b20 6675 6e63 7469 6f6e 2027 7b7d 2720 6475 6520 746f 2064 6973 6162 6c65 6420 7375 7070 6f72 7420 666f 7220 696e 7465 726e 616c 2071 7565 7565 732e"
        , _EFwTextID.eLogMsg_XCbCase_TID_009                                     : "57 6869 6c65 2063 7265 6174 696e 6720 616e 2069 6e73 7461 6e63 6520 6f66 2063 6c61 7373 2027 7b7d 272c 2064 6574 6563 7465 6420 6d69 7373 696e 6720 6361 6c6c 6261 636b 2066 756e 6374 696f 6e20 666f 7220 7072 6f63 6573 7369 6e67 2065 7874 6572 6e61 6c20 6d65 7373 6167 6573 2074 6f20 6265 2070 6173 7365 6420 6f72 2064 6566 696e 6564 2f69 6d70 6c65 6d65 6e74 6564 2076 6961 206f 6e65 206f 6620 7468 6520 666f 726d 616c 2070 6172 616d 6574 6572 2873 2920 6265 6c6f 7720 6163 632e 2074 6f20 7468 6520 7265 7175 6573 7465 6420 626c 6f63 6b69 6e67 2065 7874 6572 6e61 6c20 7175 6575 6520 7375 7070 6f72 743a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XCbCase_TID_010                                     : "5768 696c 6520 6372 6561 7469 6e67 2061 6e20 696e 7374 616e 6365 206f 6620 636c 6173 7320 277b 7d27 2c20 656e 636f 756e 7465 7265 6420 7669 6f6c 6174 696f 6e20 6167 6169 6e73 7420 6d75 7475 616c 6c79 2065 7863 6c75 7369 7665 2063 616c 6c62 6163 6b20 6675 6e63 7469 6f6e 7320 6265 6c6f 7720 6173 2062 6c6f 636b 696e 6720 6578 7465 726e 616c 2071 7565 7565 2073 7570 706f 7274 2069 7320 7265 7175 6573 7465 643a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XCbCase_TID_011                                     : "57 6869 6c65 2063 7265 6174 696e 6720 616e 2069 6e73 7461 6e63 6520 6f66 2063 6c61 7373 2027 7b7d 272c 2064 6574 6563 7465 6420 6361 6c6c 6261 636b 2066 756e 6374 696f 6e20 277b 7d27 2073 7065 6369 6669 6564 206d 756c 7469 706c 6520 7469 6d65 732e"
        , _EFwTextID.eLogMsg_XCbCase_TID_012                                     : "5768 696c 6520 6372 6561 7469 6e67 2061 6e20 696e 7374 616e 6365 206f 6620 636c 6173 7320 277b 7d27 2c20 656e 636f 756e 7465 7265 6420 756e 6578 7065 6374 6564 2063 616c 6c61 626c 6520 6f62 6a65 6374 2027 7b7d 272e 0a09 4e6f 7465 2074 6861 7420 7661 6c69 6420 6361 6c6c 6162 6c65 206f 626a 6563 7473 2061 7265 2065 6974 6865 7220 6f6e 6520 6f66 3a20 6f72 6469 6e61 7279 2066 756e 6374 696f 6e20 6f72 2073 7461 7469 6320 6d65 7468 6f64 206f 7220 696e 7374 616e 6365 206d 6574 686f 6420 6f72 2028 616e 2069 6e73 7461 6e63 6520 6f66 2920 6120 636c 6173 7320 7265 7072 6573 656e 7469 6e67 2061 2070 6861 7365 6420 6578 6563 7574 696f 6e20 6672 616d 652e"
        , _EFwTextID.eLogMsg_XCbCase_TID_013                                     : "5768 696c 6520 6372 6561 7469 6e67 2061 6e20 696e 7374 616e 6365 206f 6620 636c 6173 7320 277b 7d27 2c20 666f 756e 6420 6361 6c6c 6261 636b 2066 756e 6374 696f 6e20 277b 7d27 2076 696f 6c61 7469 6e67 206d 696e 696d 756d 206e 756d 6265 7220 6f66 207b 7d20 7061 7261 6d65 7465 7228 7329 2065 7870 6563 7465 6420 666f 7220 7468 6520 6c65 6164 696e 6720 706f 7369 7469 6f6e 616c 2070 6172 616d 6574 6572 2873 292e"
        , _EFwTextID.eLogMsg_XCbCase_TID_014                                     : "0a 0941 6c73 6f2c 206e 6f74 6520 7468 6174 2074 6865 2066 6972 7374 2070 6f73 6974 696f 6e61 6c20 7061 7261 6d65 7465 7220 6973 2065 7870 6563 7465 6420 746f 2074 616b 6520 616e 2069 6e73 7461 6e63 6520 6f66 2063 6c61 7373 2027 5243 5461 736b 272e"
        , _EFwTextID.eLogMsg_XCbCase_TID_015                                     : "5768 696c 6520 6372 6561 7469 6e67 2061 6e20 696e 7374 616e 6365 206f 6620 636c 6173 7320 277b 7d27 2c20 666f 756e 6420 6361 6c6c 6261 636b 2066 756e 6374 696f 6e20 277b 7d27 2076 696f 6c61 7469 6e67 2065 7870 6563 7465 6420 656d 7074 7920 6c69 7374 206f 6620 6c65 6164 696e 6720 706f 7369 7469 6f6e 616c 2070 6172 616d 6574 6572 2873 292e"
        , _EFwTextID.eLogMsg_XCbCase_TID_016                                     : "57 6869 6c65 2063 7265 6174 696e 6720 616e 2069 6e73 7461 6e63 6520 6f66 2063 6c61 7373 2027 7b7d 272c 2066 6169 6c65 6420 746f 2069 6465 6e74 6966 7920 6e6f 6e65 206f 6620 7468 6520 6361 6c6c 6261 636b 2066 756e 6374 696f 6e73 2062 656c 6f77 2074 6f20 6265 2064 6566 696e 6564 2f69 6d70 6c65 6d65 6e74 6564 2062 7920 7468 6520 7061 7373 6564 2066 6f72 6d61 6c20 7061 7261 6d65 7465 7220 7b7d 0a09 7b7d"
        , _EFwTextID.eLogMsg_XCbCase_TID_017                                     : "5768 696c 6520 6372 6561 7469 6e67 2061 6e20 696e 7374 616e 6365 206f 6620 636c 6173 7320 277b 7d27 2c20 6465 7465 6374 6564 206d 6973 7369 6e67 2063 616c 6c62 6163 6b20 6675 6e63 7469 6f6e 2066 6f72 2074 6865 2072 756e 2d70 6861 7365 2074 6f20 6265 2070 6173 7365 6420 6f72 2064 6566 696e 6564 2f69 6d70 6c65 6d65 6e74 6564 2076 6961 206f 6e65 206f 6620 7468 6520 666f 726d 616c 2070 6172 616d 6574 6572 2873 2920 6265 6c6f 773a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XCbCase_TID_018                                     : "55 6e73 7065 6369 6669 6564 5263 5461 736b"
        , _EFwTextID.eLogMsg_XCbCase_TID_019                                     : "5768 696c 6520 6372 6561 7469 6e67 2061 6e20 696e 7374 616e 6365 206f 6620 636c 6173 7320 277b 7d27 2c20 6465 7465 6374 6564 206d 6973 7369 6e67 2063 616c 6c62 6163 6b20 6675 6e63 7469 6f6e 2873 2920 666f 7220 6d65 7373 6167 6520 7072 6f63 6573 7369 6e67 2074 6f20 6265 2070 6173 7365 6420 6f72 2064 6566 696e 6564 2f69 6d70 6c65 6d65 6e74 6564 2076 6961 206f 6e65 206f 6620 7468 6520 666f 726d 616c 2070 6172 616d 6574 6572 2873 2920 6265 6c6f 773a 0a09 7b7d"
        , _EFwTextID.eLogMsg_XRCTAgent_PhXF_IF_CLASS                             : "5068 6173 6564 4578 6563 7574 696f 6e46 7261 6d65 4946"
        , _EFwTextID.eLogMsg_XRCTAgent_PhXF_REF_IF_CLASS                         : "50 6861 7365 6445 7865 6375 7469 6f6e 4672 616d 6542 7952 6566 4946"
        , _EFwTextID.eLogMsg_XRCTAgent_CB_NAME_RUN                               : "52 756e 5461 736b"
        , _EFwTextID.eLogMsg_XRCTAgent_CB_NAME_SETUP                             : "53 6574 5570 5461 736b"
        , _EFwTextID.eLogMsg_XRCTAgent_CB_NAME_TEARDOWN                          : "5465 6172 446f 776e 5461 736b"
        , _EFwTextID.eLogMsg_XRCTAgent_CB_PARAM_NAME_001                         : "2772 756e 4361 6c6c 6261 636b 5f27"
        , _EFwTextID.eLogMsg_XRCTAgent_CB_PARAM_NAME_002                         : "2773 6574 7570 4361 6c6c 6261 636b 5f27"
        , _EFwTextID.eLogMsg_XRCTAgent_CB_PARAM_NAME_003                         : "27 7465 6172 646f 776e 4361 6c6c 6261 636b 5f27"
        , _EFwTextID.eLogMsg_XRCTAgent_CB_PARAM_NAME_004                         : "27 7072 6f63 4578 744d 7367 4361 6c6c 6261 636b 5f27"
        , _EFwTextID.eLogMsg_XRCTAgent_CB_PARAM_NAME_005                         : "27 7072 6f63 496e 744d 7367 4361 6c6c 6261 636b 5f27"
        , _EFwTextID.eLogMsg_XRCTAgent_CB_PARAM_NAME_006                         : "27 6361 6c6c 6162 6c65 496e 7374 5f27"
        , _EFwTextID.eLogMsg_XRCTAgent_TID_001                                   : "456e 636f 756e 7465 7265 6420 616e 2065 7272 6f72 2077 6869 6c65 2063 7265 6174 696e 6720 616e 2069 6e73 7461 6e63 6520 6f66 2063 6c61 7373 2027 7b7d 273a 0a09 7b7d"
        , _EFwTextID.eLogMsg_FwsProcMgr_TID_001                                  : "5b50 4d67 725d 2046 7261 6d65 776f 726b 2068 6173 2065 6e63 6f75 6e74 6572 6564 2061 6e20 4c43 2066 6169 6c75 7265 2c20 6967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 6372 6561 7465 2f73 7461 7274 206e 6577 2070 726f 6365 7373 2069 6e73 7461 6e63 652e"
        , _EFwTextID.eLogMsg_FwsProcMgr_TID_003                                  : "5b 504d 6772 5d20 4967 6e6f 7269 6e67 2061 7474 656d 7074 2074 6f20 7374 6172 7420 7072 6f63 6573 7320 7b7d 6475 6520 746f 2063 7572 7265 6e74 206f 7065 7261 7469 6f6e 616c 2073 7461 7465 206f 6620 6672 616d 6577 6f72 6b2e"
        , _EFwTextID.eLogMsg_FwSubsysShare_TID_001                               : "5375 6273 7973 7465 6d20 7469 6d65 7220 6973 2064 6973 6162 6c65 642e"
        , _EFwTextID.eLogMsg_FwSubsysShare_TID_002                               : "5375 6273 7973 7465 6d20 6d75 6c74 6970 726f 6365 7373 696e 6720 6973 2064 6973 6162 6c65 642e"
        , _EFwTextID.eLogMsg_FwSubsysShare_TID_003                               : "5375 6273 7973 7465 6d20 6d65 7373 6167 696e 6720 6973 2064 6973 6162 6c65 642e"
        , _EFwTextID.eLogMsg_UserTaskAgent_TID_001                               : "45 7870 6563 7469 6e67 2070 6f73 6974 6976 6520 696e 742f 666c 6f61 7420 7661 6c75 6520 666f 7220 736c 6565 7020 7469 6d65 7370 616e 2c20 676f 7420 616e 2028 6e6f 6e2d 706f 7369 7469 7665 2920 7b7d 206f 626a 6563 7420 7061 7373 6564 2069 6e2e"
    }
    return res

